/*
Navicat MySQL Data Transfer

Source Server         : localhost
Source Server Version : 50734
Source Host           : localhost:3306
Source Database       : sys_shiro

Target Server Type    : MYSQL
Target Server Version : 50734
File Encoding         : 65001

Date: 2023-08-10 10:19:43
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for course_info
-- ----------------------------
DROP TABLE IF EXISTS `course_info`;
CREATE TABLE `course_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `course_id` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL,
  `course_url` varchar(200) COLLATE utf8mb4_bin DEFAULT NULL,
  `course_standard` varchar(20) COLLATE utf8mb4_bin DEFAULT NULL,
  `time` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL,
  `state` int(11) DEFAULT '0' COMMENT '0：否 1：是',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of course_info
-- ----------------------------

-- ----------------------------
-- Table structure for course_info_count
-- ----------------------------
DROP TABLE IF EXISTS `course_info_count`;
CREATE TABLE `course_info_count` (
  `id` bigint(20) NOT NULL,
  `course_id` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL,
  `time` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of course_info_count
-- ----------------------------

-- ----------------------------
-- Table structure for cs
-- ----------------------------
DROP TABLE IF EXISTS `cs`;
CREATE TABLE `cs` (
  `id` int(11) NOT NULL,
  `grade` decimal(10,2) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of cs
-- ----------------------------

-- ----------------------------
-- Table structure for gen_table
-- ----------------------------
DROP TABLE IF EXISTS `gen_table`;
CREATE TABLE `gen_table` (
  `table_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `table_name` varchar(200) COLLATE utf8mb4_bin DEFAULT '' COMMENT '表名称',
  `table_comment` varchar(500) COLLATE utf8mb4_bin DEFAULT '' COMMENT '表描述',
  `sub_table_name` varchar(64) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '关联子表的表名',
  `sub_table_fk_name` varchar(64) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '子表关联的外键名',
  `class_name` varchar(100) COLLATE utf8mb4_bin DEFAULT '' COMMENT '实体类名称',
  `tpl_category` varchar(200) COLLATE utf8mb4_bin DEFAULT 'crud' COMMENT '使用的模板（crud单表操作 tree树表操作）',
  `package_name` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '生成包路径',
  `module_name` varchar(30) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '生成模块名',
  `business_name` varchar(30) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '生成业务名',
  `function_name` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '生成功能名',
  `function_author` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '生成功能作者',
  `gen_type` char(1) COLLATE utf8mb4_bin DEFAULT '0' COMMENT '生成代码方式（0zip压缩包 1自定义路径）',
  `gen_path` varchar(200) COLLATE utf8mb4_bin DEFAULT '/' COMMENT '生成路径（不填默认项目路径）',
  `options` varchar(1000) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '其它生成选项',
  `create_by` varchar(64) COLLATE utf8mb4_bin DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) COLLATE utf8mb4_bin DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`table_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='代码生成业务表';

-- ----------------------------
-- Records of gen_table
-- ----------------------------

-- ----------------------------
-- Table structure for gen_table_column
-- ----------------------------
DROP TABLE IF EXISTS `gen_table_column`;
CREATE TABLE `gen_table_column` (
  `column_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `table_id` varchar(64) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '归属表编号',
  `column_name` varchar(200) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '列名称',
  `column_comment` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '列描述',
  `column_type` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '列类型',
  `java_type` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT 'JAVA类型',
  `java_field` varchar(200) COLLATE utf8mb4_bin DEFAULT NULL COMMENT 'JAVA字段名',
  `is_pk` char(1) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '是否主键（1是）',
  `is_increment` char(1) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '是否自增（1是）',
  `is_required` char(1) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '是否必填（1是）',
  `is_insert` char(1) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '是否为插入字段（1是）',
  `is_edit` char(1) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '是否编辑字段（1是）',
  `is_list` char(1) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '是否列表字段（1是）',
  `is_query` char(1) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '是否查询字段（1是）',
  `query_type` varchar(200) COLLATE utf8mb4_bin DEFAULT 'EQ' COMMENT '查询方式（等于、不等于、大于、小于、范围）',
  `html_type` varchar(200) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '显示类型（文本框、文本域、下拉框、复选框、单选框、日期控件）',
  `dict_type` varchar(200) COLLATE utf8mb4_bin DEFAULT '' COMMENT '字典类型',
  `sort` int(11) DEFAULT NULL COMMENT '排序',
  `create_by` varchar(64) COLLATE utf8mb4_bin DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) COLLATE utf8mb4_bin DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`column_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='代码生成业务表字段';

-- ----------------------------
-- Records of gen_table_column
-- ----------------------------

-- ----------------------------
-- Table structure for login_user
-- ----------------------------
DROP TABLE IF EXISTS `login_user`;
CREATE TABLE `login_user` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL,
  `code` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL,
  `md_name` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL,
  `login_name` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL,
  `reg_name` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '登录名  实际应该对应人资编码user_code',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of login_user
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_blob_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_blob_triggers`;
CREATE TABLE `qrtz_blob_triggers` (
  `sched_name` varchar(120) COLLATE utf8mb4_bin NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) COLLATE utf8mb4_bin NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) COLLATE utf8mb4_bin NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `blob_data` blob COMMENT '存放持久化Trigger对象',
  PRIMARY KEY (`sched_name`,`trigger_name`,`trigger_group`) USING BTREE,
  CONSTRAINT `QRTZ_BLOB_TRIGGERS_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='Blob类型的触发器表';

-- ----------------------------
-- Records of qrtz_blob_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_calendars
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_calendars`;
CREATE TABLE `qrtz_calendars` (
  `sched_name` varchar(120) COLLATE utf8mb4_bin NOT NULL COMMENT '调度名称',
  `calendar_name` varchar(200) COLLATE utf8mb4_bin NOT NULL COMMENT '日历名称',
  `calendar` blob NOT NULL COMMENT '存放持久化calendar对象',
  PRIMARY KEY (`sched_name`,`calendar_name`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='日历信息表';

-- ----------------------------
-- Records of qrtz_calendars
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_cron_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_cron_triggers`;
CREATE TABLE `qrtz_cron_triggers` (
  `sched_name` varchar(120) COLLATE utf8mb4_bin NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) COLLATE utf8mb4_bin NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) COLLATE utf8mb4_bin NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `cron_expression` varchar(200) COLLATE utf8mb4_bin NOT NULL COMMENT 'cron表达式',
  `time_zone_id` varchar(80) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '时区',
  PRIMARY KEY (`sched_name`,`trigger_name`,`trigger_group`) USING BTREE,
  CONSTRAINT `QRTZ_CRON_TRIGGERS_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='Cron类型的触发器表';

-- ----------------------------
-- Records of qrtz_cron_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_fired_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_fired_triggers`;
CREATE TABLE `qrtz_fired_triggers` (
  `sched_name` varchar(120) COLLATE utf8mb4_bin NOT NULL COMMENT '调度名称',
  `entry_id` varchar(95) COLLATE utf8mb4_bin NOT NULL COMMENT '调度器实例id',
  `trigger_name` varchar(200) COLLATE utf8mb4_bin NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) COLLATE utf8mb4_bin NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `instance_name` varchar(200) COLLATE utf8mb4_bin NOT NULL COMMENT '调度器实例名',
  `fired_time` bigint(20) NOT NULL COMMENT '触发的时间',
  `sched_time` bigint(20) NOT NULL COMMENT '定时器制定的时间',
  `priority` int(11) NOT NULL COMMENT '优先级',
  `state` varchar(16) COLLATE utf8mb4_bin NOT NULL COMMENT '状态',
  `job_name` varchar(200) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '任务名称',
  `job_group` varchar(200) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '任务组名',
  `is_nonconcurrent` varchar(1) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '是否并发',
  `requests_recovery` varchar(1) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '是否接受恢复执行',
  PRIMARY KEY (`sched_name`,`entry_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='已触发的触发器表';

-- ----------------------------
-- Records of qrtz_fired_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_job_details
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_job_details`;
CREATE TABLE `qrtz_job_details` (
  `sched_name` varchar(120) COLLATE utf8mb4_bin NOT NULL COMMENT '调度名称',
  `job_name` varchar(200) COLLATE utf8mb4_bin NOT NULL COMMENT '任务名称',
  `job_group` varchar(200) COLLATE utf8mb4_bin NOT NULL COMMENT '任务组名',
  `description` varchar(250) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '相关介绍',
  `job_class_name` varchar(250) COLLATE utf8mb4_bin NOT NULL COMMENT '执行任务类名称',
  `is_durable` varchar(1) COLLATE utf8mb4_bin NOT NULL COMMENT '是否持久化',
  `is_nonconcurrent` varchar(1) COLLATE utf8mb4_bin NOT NULL COMMENT '是否并发',
  `is_update_data` varchar(1) COLLATE utf8mb4_bin NOT NULL COMMENT '是否更新数据',
  `requests_recovery` varchar(1) COLLATE utf8mb4_bin NOT NULL COMMENT '是否接受恢复执行',
  `job_data` blob COMMENT '存放持久化job对象',
  PRIMARY KEY (`sched_name`,`job_name`,`job_group`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='任务详细信息表';

-- ----------------------------
-- Records of qrtz_job_details
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_locks
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_locks`;
CREATE TABLE `qrtz_locks` (
  `sched_name` varchar(120) COLLATE utf8mb4_bin NOT NULL COMMENT '调度名称',
  `lock_name` varchar(40) COLLATE utf8mb4_bin NOT NULL COMMENT '悲观锁名称',
  PRIMARY KEY (`sched_name`,`lock_name`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='存储的悲观锁信息表';

-- ----------------------------
-- Records of qrtz_locks
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_paused_trigger_grps
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_paused_trigger_grps`;
CREATE TABLE `qrtz_paused_trigger_grps` (
  `sched_name` varchar(120) COLLATE utf8mb4_bin NOT NULL COMMENT '调度名称',
  `trigger_group` varchar(200) COLLATE utf8mb4_bin NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  PRIMARY KEY (`sched_name`,`trigger_group`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='暂停的触发器表';

-- ----------------------------
-- Records of qrtz_paused_trigger_grps
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_scheduler_state
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_scheduler_state`;
CREATE TABLE `qrtz_scheduler_state` (
  `sched_name` varchar(120) COLLATE utf8mb4_bin NOT NULL COMMENT '调度名称',
  `instance_name` varchar(200) COLLATE utf8mb4_bin NOT NULL COMMENT '实例名称',
  `last_checkin_time` bigint(20) NOT NULL COMMENT '上次检查时间',
  `checkin_interval` bigint(20) NOT NULL COMMENT '检查间隔时间',
  PRIMARY KEY (`sched_name`,`instance_name`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='调度器状态表';

-- ----------------------------
-- Records of qrtz_scheduler_state
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_simple_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_simple_triggers`;
CREATE TABLE `qrtz_simple_triggers` (
  `sched_name` varchar(120) COLLATE utf8mb4_bin NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) COLLATE utf8mb4_bin NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) COLLATE utf8mb4_bin NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `repeat_count` bigint(20) NOT NULL COMMENT '重复的次数统计',
  `repeat_interval` bigint(20) NOT NULL COMMENT '重复的间隔时间',
  `times_triggered` bigint(20) NOT NULL COMMENT '已经触发的次数',
  PRIMARY KEY (`sched_name`,`trigger_name`,`trigger_group`) USING BTREE,
  CONSTRAINT `QRTZ_SIMPLE_TRIGGERS_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='简单触发器的信息表';

-- ----------------------------
-- Records of qrtz_simple_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_simprop_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_simprop_triggers`;
CREATE TABLE `qrtz_simprop_triggers` (
  `sched_name` varchar(120) COLLATE utf8mb4_bin NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) COLLATE utf8mb4_bin NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) COLLATE utf8mb4_bin NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `str_prop_1` varchar(512) COLLATE utf8mb4_bin DEFAULT NULL COMMENT 'String类型的trigger的第一个参数',
  `str_prop_2` varchar(512) COLLATE utf8mb4_bin DEFAULT NULL COMMENT 'String类型的trigger的第二个参数',
  `str_prop_3` varchar(512) COLLATE utf8mb4_bin DEFAULT NULL COMMENT 'String类型的trigger的第三个参数',
  `int_prop_1` int(11) DEFAULT NULL COMMENT 'int类型的trigger的第一个参数',
  `int_prop_2` int(11) DEFAULT NULL COMMENT 'int类型的trigger的第二个参数',
  `long_prop_1` bigint(20) DEFAULT NULL COMMENT 'long类型的trigger的第一个参数',
  `long_prop_2` bigint(20) DEFAULT NULL COMMENT 'long类型的trigger的第二个参数',
  `dec_prop_1` decimal(13,4) DEFAULT NULL COMMENT 'decimal类型的trigger的第一个参数',
  `dec_prop_2` decimal(13,4) DEFAULT NULL COMMENT 'decimal类型的trigger的第二个参数',
  `bool_prop_1` varchar(1) COLLATE utf8mb4_bin DEFAULT NULL COMMENT 'Boolean类型的trigger的第一个参数',
  `bool_prop_2` varchar(1) COLLATE utf8mb4_bin DEFAULT NULL COMMENT 'Boolean类型的trigger的第二个参数',
  PRIMARY KEY (`sched_name`,`trigger_name`,`trigger_group`) USING BTREE,
  CONSTRAINT `QRTZ_SIMPROP_TRIGGERS_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='同步机制的行锁表';

-- ----------------------------
-- Records of qrtz_simprop_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_triggers`;
CREATE TABLE `qrtz_triggers` (
  `sched_name` varchar(120) COLLATE utf8mb4_bin NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) COLLATE utf8mb4_bin NOT NULL COMMENT '触发器的名字',
  `trigger_group` varchar(200) COLLATE utf8mb4_bin NOT NULL COMMENT '触发器所属组的名字',
  `job_name` varchar(200) COLLATE utf8mb4_bin NOT NULL COMMENT 'qrtz_job_details表job_name的外键',
  `job_group` varchar(200) COLLATE utf8mb4_bin NOT NULL COMMENT 'qrtz_job_details表job_group的外键',
  `description` varchar(250) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '相关介绍',
  `next_fire_time` bigint(20) DEFAULT NULL COMMENT '上一次触发时间（毫秒）',
  `prev_fire_time` bigint(20) DEFAULT NULL COMMENT '下一次触发时间（默认为-1表示不触发）',
  `priority` int(11) DEFAULT NULL COMMENT '优先级',
  `trigger_state` varchar(16) COLLATE utf8mb4_bin NOT NULL COMMENT '触发器状态',
  `trigger_type` varchar(8) COLLATE utf8mb4_bin NOT NULL COMMENT '触发器的类型',
  `start_time` bigint(20) NOT NULL COMMENT '开始时间',
  `end_time` bigint(20) DEFAULT NULL COMMENT '结束时间',
  `calendar_name` varchar(200) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '日程表名称',
  `misfire_instr` smallint(6) DEFAULT NULL COMMENT '补偿执行的策略',
  `job_data` blob COMMENT '存放持久化job对象',
  PRIMARY KEY (`sched_name`,`trigger_name`,`trigger_group`) USING BTREE,
  KEY `sched_name` (`sched_name`,`job_name`,`job_group`) USING BTREE,
  CONSTRAINT `QRTZ_TRIGGERS_ibfk_1` FOREIGN KEY (`sched_name`, `job_name`, `job_group`) REFERENCES `qrtz_job_details` (`sched_name`, `job_name`, `job_group`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='触发器详细信息表';

-- ----------------------------
-- Records of qrtz_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for sync_log
-- ----------------------------
DROP TABLE IF EXISTS `sync_log`;
CREATE TABLE `sync_log` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sync_type` tinyint(4) DEFAULT NULL COMMENT '同步类型;1-人员,2-单位',
  `step` tinyint(4) DEFAULT NULL COMMENT '步骤1，2，3，4',
  `start_time` datetime DEFAULT NULL COMMENT '开始时间',
  `end_time` datetime DEFAULT NULL COMMENT '结束时间',
  `is_success` tinyint(4) DEFAULT NULL COMMENT '是否成功 1是 0否',
  `err_msg` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '错误信息',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of sync_log
-- ----------------------------

-- ----------------------------
-- Table structure for sys_config
-- ----------------------------
DROP TABLE IF EXISTS `sys_config`;
CREATE TABLE `sys_config` (
  `config_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '参数主键',
  `config_name` varchar(100) COLLATE utf8mb4_bin DEFAULT '' COMMENT '参数名称',
  `config_key` varchar(100) COLLATE utf8mb4_bin DEFAULT '' COMMENT '参数键名',
  `config_value` varchar(500) COLLATE utf8mb4_bin DEFAULT '' COMMENT '参数键值',
  `config_type` char(1) COLLATE utf8mb4_bin DEFAULT 'N' COMMENT '系统内置（Y是 N否）',
  `create_by` varchar(64) COLLATE utf8mb4_bin DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) COLLATE utf8mb4_bin DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`config_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='参数配置表';

-- ----------------------------
-- Records of sys_config
-- ----------------------------

-- ----------------------------
-- Table structure for sys_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_dept`;
CREATE TABLE `sys_dept` (
  `dept_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '部门id',
  `parent_id` bigint(20) DEFAULT '0' COMMENT '父部门id',
  `ancestors` varchar(50) COLLATE utf8mb4_bin DEFAULT '' COMMENT '祖级列表',
  `dept_name` varchar(30) COLLATE utf8mb4_bin DEFAULT '' COMMENT '部门名称',
  `order_num` int(11) DEFAULT '0' COMMENT '显示顺序',
  `leader` varchar(20) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '负责人',
  `phone` varchar(11) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '联系电话',
  `email` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '邮箱',
  `status` char(1) COLLATE utf8mb4_bin DEFAULT '0' COMMENT '部门状态（0正常 1停用）',
  `del_flag` char(1) COLLATE utf8mb4_bin DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) COLLATE utf8mb4_bin DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) COLLATE utf8mb4_bin DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`dept_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='部门表';

-- ----------------------------
-- Records of sys_dept
-- ----------------------------

-- ----------------------------
-- Table structure for sys_dict_data
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_data`;
CREATE TABLE `sys_dict_data` (
  `dict_code` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '字典编码',
  `dict_sort` int(11) DEFAULT '0' COMMENT '字典排序',
  `dict_label` varchar(100) COLLATE utf8mb4_bin DEFAULT '' COMMENT '字典标签',
  `dict_value` varchar(100) COLLATE utf8mb4_bin DEFAULT '' COMMENT '字典键值',
  `dict_type` varchar(100) COLLATE utf8mb4_bin DEFAULT '' COMMENT '字典类型',
  `css_class` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '样式属性（其他样式扩展）',
  `list_class` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '表格回显样式',
  `is_default` char(1) COLLATE utf8mb4_bin DEFAULT 'N' COMMENT '是否默认（Y是 N否）',
  `status` char(1) COLLATE utf8mb4_bin DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) COLLATE utf8mb4_bin DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) COLLATE utf8mb4_bin DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_code`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='字典数据表';

-- ----------------------------
-- Records of sys_dict_data
-- ----------------------------

-- ----------------------------
-- Table structure for sys_dict_type
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_type`;
CREATE TABLE `sys_dict_type` (
  `dict_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '字典主键',
  `dict_name` varchar(100) COLLATE utf8mb4_bin DEFAULT '' COMMENT '字典名称',
  `dict_type` varchar(100) COLLATE utf8mb4_bin DEFAULT '' COMMENT '字典类型',
  `status` char(1) COLLATE utf8mb4_bin DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) COLLATE utf8mb4_bin DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) COLLATE utf8mb4_bin DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_id`) USING BTREE,
  UNIQUE KEY `dict_type` (`dict_type`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='字典类型表';

-- ----------------------------
-- Records of sys_dict_type
-- ----------------------------

-- ----------------------------
-- Table structure for sys_job
-- ----------------------------
DROP TABLE IF EXISTS `sys_job`;
CREATE TABLE `sys_job` (
  `job_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '任务ID',
  `job_name` varchar(64) COLLATE utf8mb4_bin NOT NULL DEFAULT '' COMMENT '任务名称',
  `job_group` varchar(64) COLLATE utf8mb4_bin NOT NULL DEFAULT 'DEFAULT' COMMENT '任务组名',
  `invoke_target` varchar(500) COLLATE utf8mb4_bin NOT NULL COMMENT '调用目标字符串',
  `cron_expression` varchar(255) COLLATE utf8mb4_bin DEFAULT '' COMMENT 'cron执行表达式',
  `misfire_policy` varchar(20) COLLATE utf8mb4_bin DEFAULT '3' COMMENT '计划执行错误策略（1立即执行 2执行一次 3放弃执行）',
  `concurrent` char(1) COLLATE utf8mb4_bin DEFAULT '1' COMMENT '是否并发执行（0允许 1禁止）',
  `status` char(1) COLLATE utf8mb4_bin DEFAULT '0' COMMENT '状态（0正常 1暂停）',
  `create_by` varchar(64) COLLATE utf8mb4_bin DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) COLLATE utf8mb4_bin DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) COLLATE utf8mb4_bin DEFAULT '' COMMENT '备注信息',
  `type` int(11) DEFAULT NULL COMMENT ' 项目类型 0：默认 1：培训班 2：自学楼 3：专家工坊',
  PRIMARY KEY (`job_id`,`job_name`,`job_group`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='定时任务调度表';

-- ----------------------------
-- Records of sys_job
-- ----------------------------

-- ----------------------------
-- Table structure for sys_job_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_job_log`;
CREATE TABLE `sys_job_log` (
  `job_log_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '任务日志ID',
  `job_name` varchar(64) COLLATE utf8mb4_bin NOT NULL COMMENT '任务名称',
  `job_group` varchar(64) COLLATE utf8mb4_bin NOT NULL COMMENT '任务组名',
  `invoke_target` varchar(500) COLLATE utf8mb4_bin NOT NULL COMMENT '调用目标字符串',
  `job_message` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '日志信息',
  `status` char(1) COLLATE utf8mb4_bin DEFAULT '0' COMMENT '执行状态（0正常 1失败）',
  `exception_info` varchar(2000) COLLATE utf8mb4_bin DEFAULT '' COMMENT '异常信息',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`job_log_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='定时任务调度日志表';

-- ----------------------------
-- Records of sys_job_log
-- ----------------------------

-- ----------------------------
-- Table structure for sys_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_log`;
CREATE TABLE `sys_log` (
  `id` varchar(64) NOT NULL COMMENT '主键',
  `user_id` varchar(64) DEFAULT NULL COMMENT '用户id',
  `username` varchar(50) DEFAULT NULL COMMENT '用户名',
  `operation` varchar(50) DEFAULT NULL COMMENT '用户操作',
  `time` int(11) DEFAULT NULL COMMENT '响应时间',
  `method` varchar(200) DEFAULT NULL COMMENT '请求方法',
  `params` varchar(5000) DEFAULT NULL COMMENT '请求参数',
  `ip` varchar(64) DEFAULT NULL COMMENT 'IP地址',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='系统日志';

-- ----------------------------
-- Records of sys_log
-- ----------------------------
INSERT INTO `sys_log` VALUES ('1689201198445498368', '1237361915165020161', '张三', '组织管理-角色管理-分页获取角色数据接口', '45', 'com.suelec.permission.controller.RoleController.pageInfo', '[{\"pageNum\":1,\"pageSize\":10}]', '127.0.0.1', '2023-08-09 17:05:24');
INSERT INTO `sys_log` VALUES ('1689201200441987072', '1237361915165020161', '张三', '组织管理-用户管理-分页查询用户接口', '13', 'com.suelec.permission.controller.UserController.pageInfo', '[{\"endTime\":\"\",\"nickName\":\"\",\"pageNum\":1,\"pageSize\":10,\"startTime\":\"\",\"username\":\"\"}]', '127.0.0.1', '2023-08-09 17:05:25');
INSERT INTO `sys_log` VALUES ('1689201234285826048', '1237361915165020161', '张三', '组织管理-角色管理-分页获取角色数据接口', '2', 'com.suelec.permission.controller.RoleController.pageInfo', '[{\"pageNum\":1,\"pageSize\":10}]', '127.0.0.1', '2023-08-09 17:05:33');
INSERT INTO `sys_log` VALUES ('1689201236794019840', '1237361915165020161', '张三', '组织管理-用户管理-分页查询用户接口', '6', 'com.suelec.permission.controller.UserController.pageInfo', '[{\"endTime\":\"\",\"nickName\":\"\",\"pageNum\":1,\"pageSize\":10,\"startTime\":\"\",\"username\":\"\"}]', '127.0.0.1', '2023-08-09 17:05:33');
INSERT INTO `sys_log` VALUES ('1689201245207793664', '1237361915165020161', '张三', '组织管理-角色管理-分页获取角色数据接口', '3', 'com.suelec.permission.controller.RoleController.pageInfo', '[{\"pageNum\":1,\"pageSize\":10}]', '127.0.0.1', '2023-08-09 17:05:35');
INSERT INTO `sys_log` VALUES ('1689201258633760768', '1237361915165020161', '张三', '组织管理-菜单权限管理-只递归查询到菜单结构数据接口', '5', 'com.suelec.permission.controller.PermissionController.getAllPermission', '', '127.0.0.1', '2023-08-09 17:05:39');
INSERT INTO `sys_log` VALUES ('1689201313293930496', '1237361915165020161', '张三', '组织管理-角色管理-分页获取角色数据接口', '3', 'com.suelec.permission.controller.RoleController.pageInfo', '[{\"pageNum\":1,\"pageSize\":10}]', '127.0.0.1', '2023-08-09 17:05:52');
INSERT INTO `sys_log` VALUES ('1689201320252280832', '1237361915165020161', '张三', '组织管理-菜单权限管理-获取所有的菜单权限数据接口', '2', 'com.suelec.permission.controller.PermissionController.getAllPermissionTree', '', '127.0.0.1', '2023-08-09 17:05:53');
INSERT INTO `sys_log` VALUES ('1689201320382304256', '1237361915165020161', '张三', '组织管理-角色管理-获取角色详情接口', '4', 'com.suelec.permission.controller.RoleController.detailInfo', '[\"1237258113002901512\"]', '127.0.0.1', '2023-08-09 17:05:53');
INSERT INTO `sys_log` VALUES ('1689201367840854016', '1237361915165020161', '张三', '组织管理-角色管理-更新角色信息接口', '36', 'com.suelec.permission.controller.RoleController.updateRole', '[{\"description\":\"我是超级管理员\",\"id\":\"1237258113002901512\",\"name\":\"超级管理员\",\"permissionsIds\":[\"1236916745927790578\",\"1236916745927790562\",\"1236916745927790570\",\"1236916745927790572\",\"1236916745927790574\",\"1236916745927790583\",\"1236916745927790560\",\"1236916745927790563\",\"1236916745927790565\",\"1236916745927790577\",\"1236916745927790582\",\"1236916745927790569\",\"1236916745927790589\",\"1236916745927790557\",\"1236916745927790591\",\"1236916745927790558\",\"1236916745927790571\",\"1236916745927790564\"],\"status\":1}]', '127.0.0.1', '2023-08-09 17:06:05');
INSERT INTO `sys_log` VALUES ('1689201509939679232', '1237361915165020161', '张三', '组织管理-角色管理-分页获取角色数据接口', '2', 'com.suelec.permission.controller.RoleController.pageInfo', '[{\"pageNum\":1,\"pageSize\":10}]', '127.0.0.1', '2023-08-09 17:06:38');
INSERT INTO `sys_log` VALUES ('1689201514599550976', '1237361915165020161', '张三', '组织管理-菜单权限管理-只递归查询到菜单结构数据接口', '2', 'com.suelec.permission.controller.PermissionController.getAllPermission', '', '127.0.0.1', '2023-08-09 17:06:40');
INSERT INTO `sys_log` VALUES ('1689201520173780992', '1237361915165020161', '张三', '组织管理-角色管理-分页获取角色数据接口', '2', 'com.suelec.permission.controller.RoleController.pageInfo', '[{\"pageNum\":1,\"pageSize\":10}]', '127.0.0.1', '2023-08-09 17:06:41');
INSERT INTO `sys_log` VALUES ('1689201526435876864', '1237361915165020161', '张三', '组织管理-菜单权限管理-获取所有的菜单权限数据接口', '2', 'com.suelec.permission.controller.PermissionController.getAllPermissionTree', '', '127.0.0.1', '2023-08-09 17:06:42');
INSERT INTO `sys_log` VALUES ('1689201526515568640', '1237361915165020161', '张三', '组织管理-角色管理-获取角色详情接口', '1', 'com.suelec.permission.controller.RoleController.detailInfo', '[\"1237258113002901512\"]', '127.0.0.1', '2023-08-09 17:06:42');
INSERT INTO `sys_log` VALUES ('1689201542160322560', '1237361915165020161', '张三', '组织管理-角色管理-更新角色信息接口', '11', 'com.suelec.permission.controller.RoleController.updateRole', '[{\"description\":\"我是超级管理员\",\"id\":\"1237258113002901512\",\"name\":\"超级管理员\",\"permissionsIds\":[\"1236916745927790564\",\"1236916745927790575\",\"1236916745927790556\",\"1236916745927790561\",\"1236916745927790568\",\"1236916745927790579\",\"1236916745927790580\",\"1525716686727155712\",\"1236916745927790578\",\"1236916745927790562\",\"1236916745927790570\",\"1236916745927790572\",\"1236916745927790574\",\"1236916745927790583\",\"1236916745927790560\",\"1236916745927790563\",\"1236916745927790565\",\"1236916745927790577\",\"1236916745927790582\",\"1236916745927790569\",\"1236916745927790589\",\"1236916745927790557\",\"1236916745927790591\",\"1236916745927790558\",\"1236916745927790571\"],\"status\":1}]', '127.0.0.1', '2023-08-09 17:06:46');
INSERT INTO `sys_log` VALUES ('1689202526970318848', '1237361915165020161', '张三', '组织管理-用户管理-分页查询用户接口', '9', 'com.suelec.permission.controller.UserController.pageInfo', '[{\"endTime\":\"\",\"nickName\":\"\",\"pageNum\":1,\"pageSize\":10,\"startTime\":\"\",\"username\":\"\"}]', '127.0.0.1', '2023-08-09 17:10:41');
INSERT INTO `sys_log` VALUES ('1689202532980756480', '1237361915165020161', '张三', '组织管理-角色管理-分页获取角色数据接口', '8', 'com.suelec.permission.controller.RoleController.pageInfo', '[{\"pageNum\":1,\"pageSize\":10}]', '127.0.0.1', '2023-08-09 17:10:42');
INSERT INTO `sys_log` VALUES ('1689202540018798592', '1237361915165020161', '张三', '组织管理-用户管理-分页查询用户接口', '7', 'com.suelec.permission.controller.UserController.pageInfo', '[{\"endTime\":\"\",\"nickName\":\"\",\"pageNum\":1,\"pageSize\":10,\"startTime\":\"\",\"username\":\"\"}]', '127.0.0.1', '2023-08-09 17:10:44');
INSERT INTO `sys_log` VALUES ('1689202545337176064', '1237361915165020161', '张三', '组织管理-角色管理-分页获取角色数据接口', '3', 'com.suelec.permission.controller.RoleController.pageInfo', '[{\"pageNum\":1,\"pageSize\":10}]', '127.0.0.1', '2023-08-09 17:10:45');
INSERT INTO `sys_log` VALUES ('1689202559488757760', '1237361915165020161', '张三', '组织管理-菜单权限管理-获取所有的菜单权限数据接口', '5', 'com.suelec.permission.controller.PermissionController.getAllPermissionTree', '', '127.0.0.1', '2023-08-09 17:10:49');
INSERT INTO `sys_log` VALUES ('1689202559602003968', '1237361915165020161', '张三', '组织管理-角色管理-获取角色详情接口', '3', 'com.suelec.permission.controller.RoleController.detailInfo', '[\"1237258113002901512\"]', '127.0.0.1', '2023-08-09 17:10:49');
INSERT INTO `sys_log` VALUES ('1689202581865369600', '1237361915165020161', '张三', '组织管理-菜单权限管理-获取所有的菜单权限数据接口', '2', 'com.suelec.permission.controller.PermissionController.getAllPermissionTree', '', '127.0.0.1', '2023-08-09 17:10:54');
INSERT INTO `sys_log` VALUES ('1689202581961838592', '1237361915165020161', '张三', '组织管理-角色管理-获取角色详情接口', '2', 'com.suelec.permission.controller.RoleController.detailInfo', '[\"1237258113002901512\"]', '127.0.0.1', '2023-08-09 17:10:54');
INSERT INTO `sys_log` VALUES ('1689202593919799296', '1237361915165020161', '张三', '组织管理-角色管理-更新角色信息接口', '35', 'com.suelec.permission.controller.RoleController.updateRole', '[{\"description\":\"我是超级管理员\",\"id\":\"1237258113002901512\",\"name\":\"超级管理员\",\"permissionsIds\":[\"1236916745927790578\",\"1236916745927790562\",\"1236916745927790570\",\"1236916745927790572\",\"1236916745927790574\",\"1236916745927790583\",\"1236916745927790560\",\"1236916745927790563\",\"1236916745927790565\",\"1236916745927790577\",\"1236916745927790582\",\"1236916745927790569\",\"1236916745927790589\",\"1236916745927790557\",\"1236916745927790591\",\"1236916745927790558\",\"1236916745927790571\",\"1236916745927790564\"],\"status\":1}]', '127.0.0.1', '2023-08-09 17:10:57');
INSERT INTO `sys_log` VALUES ('1689202981569957888', '1237361915165020161', '张三', '组织管理-角色管理-分页获取角色数据接口', '45', 'com.suelec.permission.controller.RoleController.pageInfo', '[{\"pageNum\":1,\"pageSize\":10}]', '127.0.0.1', '2023-08-09 17:12:29');
INSERT INTO `sys_log` VALUES ('1689202987752361984', '1237361915165020161', '张三', '组织管理-菜单权限管理-获取所有的菜单权限数据接口', '6', 'com.suelec.permission.controller.PermissionController.getAllPermissionTree', '', '127.0.0.1', '2023-08-09 17:12:31');
INSERT INTO `sys_log` VALUES ('1689202987878191104', '1237361915165020161', '张三', '组织管理-角色管理-获取角色详情接口', '3', 'com.suelec.permission.controller.RoleController.detailInfo', '[\"1237258113002901512\"]', '127.0.0.1', '2023-08-09 17:12:31');
INSERT INTO `sys_log` VALUES ('1689203000524017664', '1237361915165020161', '张三', '组织管理-角色管理-更新角色信息接口', '38', 'com.suelec.permission.controller.RoleController.updateRole', '[{\"description\":\"我是超级管理员\",\"id\":\"1237258113002901512\",\"name\":\"超级管理员\",\"permissionsIds\":[\"1236916745927790564\",\"1236916745927790575\",\"1236916745927790556\",\"1236916745927790561\",\"1236916745927790568\",\"1236916745927790579\",\"1236916745927790580\",\"1525716686727155712\",\"1236916745927790578\",\"1236916745927790562\",\"1236916745927790570\",\"1236916745927790572\",\"1236916745927790574\",\"1236916745927790583\",\"1236916745927790560\",\"1236916745927790563\",\"1236916745927790565\",\"1236916745927790577\",\"1236916745927790582\",\"1236916745927790569\",\"1236916745927790589\",\"1236916745927790557\",\"1236916745927790591\",\"1236916745927790558\",\"1236916745927790571\"],\"status\":1}]', '127.0.0.1', '2023-08-09 17:12:34');
INSERT INTO `sys_log` VALUES ('1689203000691789824', '1237361915165020161', '张三', '组织管理-角色管理-分页获取角色数据接口', '3', 'com.suelec.permission.controller.RoleController.pageInfo', '[{\"pageNum\":1,\"pageSize\":10}]', '127.0.0.1', '2023-08-09 17:12:34');
INSERT INTO `sys_log` VALUES ('1689203069084110848', '1237361915165020161', '张三', '组织管理-用户管理-分页查询用户接口', '7', 'com.suelec.permission.controller.UserController.pageInfo', '[{\"endTime\":\"\",\"nickName\":\"\",\"pageNum\":1,\"pageSize\":10,\"startTime\":\"\",\"username\":\"\"}]', '127.0.0.1', '2023-08-09 17:12:50');
INSERT INTO `sys_log` VALUES ('1689203082552020992', '1237361915165020161', '张三', '组织管理-用户管理-查询用户拥有的角色数据接口', '3', 'com.suelec.permission.controller.UserController.getUserOwnRole', '[\"1237365636208922624\"]', '127.0.0.1', '2023-08-09 17:12:53');
INSERT INTO `sys_log` VALUES ('1689203151539933184', '1237361915165020161', '张三', '组织管理-用户管理-分页查询用户接口', '9', 'com.suelec.permission.controller.UserController.pageInfo', '[{\"endTime\":\"\",\"nickName\":\"\",\"pageNum\":1,\"pageSize\":10,\"startTime\":\"\",\"username\":\"\"}]', '127.0.0.1', '2023-08-09 17:13:10');
INSERT INTO `sys_log` VALUES ('1689203161883086848', '1237361915165020161', '张三', '组织管理-用户管理-分页查询用户接口', '4', 'com.suelec.permission.controller.UserController.pageInfo', '[{\"endTime\":\"\",\"nickName\":\"\",\"pageNum\":1,\"pageSize\":10,\"startTime\":\"\",\"username\":\"\"}]', '127.0.0.1', '2023-08-09 17:13:12');
INSERT INTO `sys_log` VALUES ('1689203169650937856', '1237361915165020161', '张三', '组织管理-用户管理-查询用户拥有的角色数据接口', '3', 'com.suelec.permission.controller.UserController.getUserOwnRole', '[\"1237365636208922624\"]', '127.0.0.1', '2023-08-09 17:13:14');
INSERT INTO `sys_log` VALUES ('1689203480784408576', '1237361915165020161', '张三', '组织管理-用户管理-分页查询用户接口', '8', 'com.suelec.permission.controller.UserController.pageInfo', '[{\"endTime\":\"\",\"nickName\":\"\",\"pageNum\":1,\"pageSize\":10,\"startTime\":\"\",\"username\":\"\"}]', '127.0.0.1', '2023-08-09 17:14:28');
INSERT INTO `sys_log` VALUES ('1689203485914042368', '1237361915165020161', '张三', '组织管理-角色管理-分页获取角色数据接口', '2', 'com.suelec.permission.controller.RoleController.pageInfo', '[{\"pageNum\":1,\"pageSize\":10}]', '127.0.0.1', '2023-08-09 17:14:30');
INSERT INTO `sys_log` VALUES ('1689203486379610112', '1237361915165020161', '张三', '组织管理-用户管理-分页查询用户接口', '3', 'com.suelec.permission.controller.UserController.pageInfo', '[{\"endTime\":\"\",\"nickName\":\"\",\"pageNum\":1,\"pageSize\":10,\"startTime\":\"\",\"username\":\"\"}]', '127.0.0.1', '2023-08-09 17:14:30');
INSERT INTO `sys_log` VALUES ('1689203502859030528', '1237361915165020161', '张三', '组织管理-角色管理-分页获取角色数据接口', '2', 'com.suelec.permission.controller.RoleController.pageInfo', '[{\"pageNum\":1,\"pageSize\":10}]', '127.0.0.1', '2023-08-09 17:14:34');
INSERT INTO `sys_log` VALUES ('1689203503945355264', '1237361915165020161', '张三', '组织管理-用户管理-分页查询用户接口', '4', 'com.suelec.permission.controller.UserController.pageInfo', '[{\"endTime\":\"\",\"nickName\":\"\",\"pageNum\":1,\"pageSize\":10,\"startTime\":\"\",\"username\":\"\"}]', '127.0.0.1', '2023-08-09 17:14:34');
INSERT INTO `sys_log` VALUES ('1689203533993349120', '1237361915165020161', '张三', '组织管理-角色管理-分页获取角色数据接口', '2', 'com.suelec.permission.controller.RoleController.pageInfo', '[{\"pageNum\":1,\"pageSize\":10}]', '127.0.0.1', '2023-08-09 17:14:41');
INSERT INTO `sys_log` VALUES ('1689203536350547968', '1237361915165020161', '张三', '组织管理-用户管理-分页查询用户接口', '4', 'com.suelec.permission.controller.UserController.pageInfo', '[{\"endTime\":\"\",\"nickName\":\"\",\"pageNum\":1,\"pageSize\":10,\"startTime\":\"\",\"username\":\"\"}]', '127.0.0.1', '2023-08-09 17:14:42');
INSERT INTO `sys_log` VALUES ('1689205239305080832', '1237361915165020161', '张三', '组织管理-角色管理-分页获取角色数据接口', '16', 'com.suelec.permission.controller.RoleController.pageInfo', '[{\"pageNum\":1,\"pageSize\":10}]', '127.0.0.1', '2023-08-09 17:21:28');
INSERT INTO `sys_log` VALUES ('1689205245802057728', '1237361915165020161', '张三', '组织管理-用户管理-分页查询用户接口', '4', 'com.suelec.permission.controller.UserController.pageInfo', '[{\"endTime\":\"\",\"nickName\":\"\",\"pageNum\":1,\"pageSize\":10,\"startTime\":\"\",\"username\":\"\"}]', '127.0.0.1', '2023-08-09 17:21:29');
INSERT INTO `sys_log` VALUES ('1689205259899113472', '1237361915165020161', '张三', '组织管理-用户管理-查询用户拥有的角色数据接口', '2', 'com.suelec.permission.controller.UserController.getUserOwnRole', '[\"1237365636208922624\"]', '127.0.0.1', '2023-08-09 17:21:33');
INSERT INTO `sys_log` VALUES ('1689205278639263744', '1237361915165020161', '张三', '组织管理-用户管理-分页查询用户接口', '3', 'com.suelec.permission.controller.UserController.pageInfo', '[{\"endTime\":\"\",\"nickName\":\"\",\"pageNum\":1,\"pageSize\":10,\"startTime\":\"\",\"username\":\"\"}]', '127.0.0.1', '2023-08-09 17:21:37');
INSERT INTO `sys_log` VALUES ('1689205977028628480', '1237361915165020161', '张三', '组织管理-用户管理-查询用户拥有的角色数据接口', '3', 'com.suelec.permission.controller.UserController.getUserOwnRole', '[\"1237365636208922624\"]', '127.0.0.1', '2023-08-09 17:24:24');
INSERT INTO `sys_log` VALUES ('1689207661867962368', '1237361915165020161', '张三', '组织管理-角色管理-分页获取角色数据接口', '38', 'com.suelec.permission.controller.RoleController.pageInfo', '[{\"pageNum\":1,\"pageSize\":10}]', '127.0.0.1', '2023-08-09 17:31:05');
INSERT INTO `sys_log` VALUES ('1689207669098942464', '1237361915165020161', '张三', '组织管理-用户管理-分页查询用户接口', '6', 'com.suelec.permission.controller.UserController.pageInfo', '[{\"endTime\":\"\",\"nickName\":\"\",\"pageNum\":1,\"pageSize\":10,\"startTime\":\"\",\"username\":\"\"}]', '127.0.0.1', '2023-08-09 17:31:07');
INSERT INTO `sys_log` VALUES ('1689207674740281344', '1237361915165020161', '张三', '组织管理-角色管理-分页获取角色数据接口', '3', 'com.suelec.permission.controller.RoleController.pageInfo', '[{\"pageNum\":1,\"pageSize\":10}]', '127.0.0.1', '2023-08-09 17:31:08');
INSERT INTO `sys_log` VALUES ('1689207679077191680', '1237361915165020161', '张三', '组织管理-用户管理-分页查询用户接口', '3', 'com.suelec.permission.controller.UserController.pageInfo', '[{\"endTime\":\"\",\"nickName\":\"\",\"pageNum\":1,\"pageSize\":10,\"startTime\":\"\",\"username\":\"\"}]', '127.0.0.1', '2023-08-09 17:31:09');
INSERT INTO `sys_log` VALUES ('1689207685549002752', '1237361915165020161', '张三', '组织管理-角色管理-分页获取角色数据接口', '4', 'com.suelec.permission.controller.RoleController.pageInfo', '[{\"pageNum\":1,\"pageSize\":10}]', '127.0.0.1', '2023-08-09 17:31:11');
INSERT INTO `sys_log` VALUES ('1689207692545101824', '1237361915165020161', '张三', '组织管理-用户管理-分页查询用户接口', '2', 'com.suelec.permission.controller.UserController.pageInfo', '[{\"endTime\":\"\",\"nickName\":\"\",\"pageNum\":1,\"pageSize\":10,\"startTime\":\"\",\"username\":\"\"}]', '127.0.0.1', '2023-08-09 17:31:13');
INSERT INTO `sys_log` VALUES ('1689207721594851328', '1237361915165020161', '张三', '组织管理-用户管理-查询用户拥有的角色数据接口', '6', 'com.suelec.permission.controller.UserController.getUserOwnRole', '[\"10002\"]', '127.0.0.1', '2023-08-09 17:31:19');
INSERT INTO `sys_log` VALUES ('1689207743275208704', '1237361915165020161', '张三', '组织管理-用户管理-查询用户拥有的角色数据接口', '3', 'com.suelec.permission.controller.UserController.getUserOwnRole', '[\"1237361915165020161\"]', '127.0.0.1', '2023-08-09 17:31:25');
INSERT INTO `sys_log` VALUES ('1689207757523259392', '1237361915165020161', '张三', '组织管理-用户管理-查询用户拥有的角色数据接口', '2', 'com.suelec.permission.controller.UserController.getUserOwnRole', '[\"1237361915165020161\"]', '127.0.0.1', '2023-08-09 17:31:28');
INSERT INTO `sys_log` VALUES ('1689207764464832512', '1237361915165020161', '张三', '组织管理-用户管理-查询用户拥有的角色数据接口', '2', 'com.suelec.permission.controller.UserController.getUserOwnRole', '[\"10002\"]', '127.0.0.1', '2023-08-09 17:31:30');
INSERT INTO `sys_log` VALUES ('1689207796500926464', '1237361915165020161', '张三', '组织管理-用户管理-保存用户拥有的角色信息接口', '18', 'com.suelec.permission.controller.UserController.saveUserOwnRole', '[{\"roleIds\":[\"1237258113002901512\"],\"userId\":\"10002\"}]', '127.0.0.1', '2023-08-09 17:31:37');
INSERT INTO `sys_log` VALUES ('1689207813135536128', '1237361915165020161', '张三', '组织管理-用户管理-分页查询用户接口', '4', 'com.suelec.permission.controller.UserController.pageInfo', '[{\"endTime\":\"\",\"nickName\":\"\",\"pageNum\":1,\"pageSize\":10,\"startTime\":\"\",\"username\":\"\"}]', '127.0.0.1', '2023-08-09 17:31:41');
INSERT INTO `sys_log` VALUES ('1689207822283313152', '1237361915165020161', '张三', '组织管理-用户管理-分页查询用户接口', '2', 'com.suelec.permission.controller.UserController.pageInfo', '[{\"endTime\":\"\",\"nickName\":\"\",\"pageNum\":1,\"pageSize\":10,\"startTime\":\"\",\"username\":\"\"}]', '127.0.0.1', '2023-08-09 17:31:43');
INSERT INTO `sys_log` VALUES ('1689207828822233088', '1237361915165020161', '张三', '组织管理-角色管理-分页获取角色数据接口', '2', 'com.suelec.permission.controller.RoleController.pageInfo', '[{\"pageNum\":1,\"pageSize\":10}]', '127.0.0.1', '2023-08-09 17:31:45');
INSERT INTO `sys_log` VALUES ('1689207832769073152', '1237361915165020161', '张三', '组织管理-用户管理-分页查询用户接口', '5', 'com.suelec.permission.controller.UserController.pageInfo', '[{\"endTime\":\"\",\"nickName\":\"\",\"pageNum\":1,\"pageSize\":10,\"startTime\":\"\",\"username\":\"\"}]', '127.0.0.1', '2023-08-09 17:31:46');
INSERT INTO `sys_log` VALUES ('1689207835847692288', '1237361915165020161', '张三', '组织管理-用户管理-查询用户拥有的角色数据接口', '2', 'com.suelec.permission.controller.UserController.getUserOwnRole', '[\"10002\"]', '127.0.0.1', '2023-08-09 17:31:47');
INSERT INTO `sys_log` VALUES ('1689207981935300608', '10002', '宋梅', '组织管理-用户管理-分页查询用户接口', '2', 'com.suelec.permission.controller.UserController.pageInfo', '[{\"endTime\":\"\",\"nickName\":\"\",\"pageNum\":1,\"pageSize\":10,\"startTime\":\"\",\"username\":\"\"}]', '127.0.0.1', '2023-08-09 17:32:22');
INSERT INTO `sys_log` VALUES ('1689207991070494720', '10002', '宋梅', '组织管理-角色管理-分页获取角色数据接口', '2', 'com.suelec.permission.controller.RoleController.pageInfo', '[{\"pageNum\":1,\"pageSize\":10}]', '127.0.0.1', '2023-08-09 17:32:24');
INSERT INTO `sys_log` VALUES ('1689207994723733504', '10002', '宋梅', '组织管理-菜单权限管理-只递归查询到菜单结构数据接口', '3', 'com.suelec.permission.controller.PermissionController.getAllPermission', '', '127.0.0.1', '2023-08-09 17:32:25');
INSERT INTO `sys_log` VALUES ('1689207997798158336', '10002', '宋梅', '组织管理-用户管理-分页查询用户接口', '4', 'com.suelec.permission.controller.UserController.pageInfo', '[{\"endTime\":\"\",\"nickName\":\"\",\"pageNum\":1,\"pageSize\":10,\"startTime\":\"\",\"username\":\"\"}]', '127.0.0.1', '2023-08-09 17:32:25');
INSERT INTO `sys_log` VALUES ('1689208007294062592', '10002', '宋梅', '组织管理-角色管理-分页获取角色数据接口', '3', 'com.suelec.permission.controller.RoleController.pageInfo', '[{\"pageNum\":1,\"pageSize\":10}]', '127.0.0.1', '2023-08-09 17:32:28');
INSERT INTO `sys_log` VALUES ('1689208016810938368', '10002', '宋梅', '组织管理-用户管理-分页查询用户接口', '2', 'com.suelec.permission.controller.UserController.pageInfo', '[{\"endTime\":\"\",\"nickName\":\"\",\"pageNum\":1,\"pageSize\":10,\"startTime\":\"\",\"username\":\"\"}]', '127.0.0.1', '2023-08-09 17:32:30');
INSERT INTO `sys_log` VALUES ('1689208190014722048', '10002', '宋梅', '组织管理-菜单权限管理-只递归查询到菜单结构数据接口', '2', 'com.suelec.permission.controller.PermissionController.getAllPermission', '', '127.0.0.1', '2023-08-09 17:33:11');
INSERT INTO `sys_log` VALUES ('1689208207223951360', '10002', '宋梅', '组织管理-菜单权限管理-新增菜单权限接口', '2', 'com.suelec.permission.controller.PermissionController.getAllPermissionTreeExBtn', '', '127.0.0.1', '2023-08-09 17:33:15');
INSERT INTO `sys_log` VALUES ('1689208276597739520', '10002', '宋梅', '组织管理-角色管理-分页获取角色数据接口', '2', 'com.suelec.permission.controller.RoleController.pageInfo', '[{\"pageNum\":1,\"pageSize\":10}]', '127.0.0.1', '2023-08-09 17:33:32');
INSERT INTO `sys_log` VALUES ('1689208282708840448', '10002', '宋梅', '组织管理-菜单权限管理-获取所有的菜单权限数据接口', '1', 'com.suelec.permission.controller.PermissionController.getAllPermissionTree', '', '127.0.0.1', '2023-08-09 17:33:33');
INSERT INTO `sys_log` VALUES ('1689208282805309440', '10002', '宋梅', '组织管理-角色管理-获取角色详情接口', '3', 'com.suelec.permission.controller.RoleController.detailInfo', '[\"1237258113002901512\"]', '127.0.0.1', '2023-08-09 17:33:33');
INSERT INTO `sys_log` VALUES ('1689208306083696640', '10002', '宋梅', '组织管理-菜单权限管理-获取所有的菜单权限数据接口', '2', 'com.suelec.permission.controller.PermissionController.getAllPermissionTree', '', '127.0.0.1', '2023-08-09 17:33:39');
INSERT INTO `sys_log` VALUES ('1689208306167582720', '10002', '宋梅', '组织管理-角色管理-获取角色详情接口', '1', 'com.suelec.permission.controller.RoleController.detailInfo', '[\"1237258113002901514\"]', '127.0.0.1', '2023-08-09 17:33:39');
INSERT INTO `sys_log` VALUES ('1689208317789999104', '10002', '宋梅', '组织管理-菜单权限管理-获取所有的菜单权限数据接口', '2', 'com.suelec.permission.controller.PermissionController.getAllPermissionTree', '', '127.0.0.1', '2023-08-09 17:33:42');
INSERT INTO `sys_log` VALUES ('1689208395598532608', '10002', '宋梅', '组织管理-角色管理-新增角色接口', '14', 'com.suelec.permission.controller.RoleController.createRole', '[{\"description\":\"林谷智能\",\"name\":\"林谷智能\",\"permissionsIds\":[\"1236916745927790575\",\"1236916745927790556\",\"1236916745927790561\",\"1236916745927790568\",\"1236916745927790579\",\"1236916745927790580\",\"1525716686727155712\",\"1236916745927790589\",\"1236916745927790557\",\"1236916745927790591\",\"1236916745927790564\",\"1236916745927790569\"],\"status\":1}]', '127.0.0.1', '2023-08-09 17:34:00');
INSERT INTO `sys_log` VALUES ('1689208395711778816', '10002', '宋梅', '组织管理-角色管理-分页获取角色数据接口', '2', 'com.suelec.permission.controller.RoleController.pageInfo', '[{\"pageNum\":1,\"pageSize\":10}]', '127.0.0.1', '2023-08-09 17:34:00');
INSERT INTO `sys_log` VALUES ('1689208403680956416', '10002', '宋梅', '组织管理-用户管理-分页查询用户接口', '2', 'com.suelec.permission.controller.UserController.pageInfo', '[{\"endTime\":\"\",\"nickName\":\"\",\"pageNum\":1,\"pageSize\":10,\"startTime\":\"\",\"username\":\"\"}]', '127.0.0.1', '2023-08-09 17:34:02');
INSERT INTO `sys_log` VALUES ('1689208419216658432', '10002', '宋梅', '组织管理-用户管理-查询用户拥有的角色数据接口', '2', 'com.suelec.permission.controller.UserController.getUserOwnRole', '[\"10002\"]', '127.0.0.1', '2023-08-09 17:34:06');
INSERT INTO `sys_log` VALUES ('1689208437889699840', '10002', '宋梅', '组织管理-用户管理-保存用户拥有的角色信息接口', '13', 'com.suelec.permission.controller.UserController.saveUserOwnRole', '[{\"roleIds\":[\"1689208395539812352\"],\"userId\":\"10002\"}]', '127.0.0.1', '2023-08-09 17:34:10');
INSERT INTO `sys_log` VALUES ('1689208504579133440', '10002', '宋梅', '组织管理-用户管理-分页查询用户接口', '2', 'com.suelec.permission.controller.UserController.pageInfo', '[{\"endTime\":\"\",\"nickName\":\"\",\"pageNum\":1,\"pageSize\":10,\"startTime\":\"\",\"username\":\"\"}]', '127.0.0.1', '2023-08-09 17:34:26');
INSERT INTO `sys_log` VALUES ('1689208523902291968', '10002', '宋梅', '组织管理-用户管理-分页查询用户接口', '2', 'com.suelec.permission.controller.UserController.pageInfo', '[{\"endTime\":\"\",\"nickName\":\"\",\"pageNum\":1,\"pageSize\":10,\"startTime\":\"\",\"username\":\"\"}]', '127.0.0.1', '2023-08-09 17:34:31');
INSERT INTO `sys_log` VALUES ('1689208565245546496', '10002', '宋梅', '组织管理-用户管理-分页查询用户接口', '3', 'com.suelec.permission.controller.UserController.pageInfo', '[{\"endTime\":\"\",\"nickName\":\"\",\"pageNum\":1,\"pageSize\":10,\"startTime\":\"\",\"username\":\"\"}]', '127.0.0.1', '2023-08-09 17:34:41');
INSERT INTO `sys_log` VALUES ('1689208648284377088', '10002', '宋梅', '组织管理-用户管理-分页查询用户接口', '1', 'com.suelec.permission.controller.UserController.pageInfo', '[{\"endTime\":\"\",\"nickName\":\"\",\"pageNum\":1,\"pageSize\":10,\"startTime\":\"\",\"username\":\"\"}]', '127.0.0.1', '2023-08-09 17:35:00');
INSERT INTO `sys_log` VALUES ('1689209950921953280', '10002', '宋梅', '组织管理-用户管理-查询用户拥有的角色数据接口', '14', 'com.suelec.permission.controller.UserController.getUserOwnRole', '[\"10002\"]', '127.0.0.1', '2023-08-09 17:40:11');
INSERT INTO `sys_log` VALUES ('1689210057922842624', '1237361915165020161', '张三', '组织管理-角色管理-分页获取角色数据接口', '2', 'com.suelec.permission.controller.RoleController.pageInfo', '[{\"pageNum\":1,\"pageSize\":10}]', '127.0.0.1', '2023-08-09 17:40:36');
INSERT INTO `sys_log` VALUES ('1689210066890264576', '1237361915165020161', '张三', '组织管理-菜单权限管理-获取所有的菜单权限数据接口', '2', 'com.suelec.permission.controller.PermissionController.getAllPermissionTree', '', '127.0.0.1', '2023-08-09 17:40:39');
INSERT INTO `sys_log` VALUES ('1689210066990927872', '1237361915165020161', '张三', '组织管理-角色管理-获取角色详情接口', '2', 'com.suelec.permission.controller.RoleController.detailInfo', '[\"1689208395539812352\"]', '127.0.0.1', '2023-08-09 17:40:39');
INSERT INTO `sys_log` VALUES ('1689211721182482432', '1237361915165020161', '张三', '组织管理-角色管理-分页获取角色数据接口', '10', 'com.suelec.permission.controller.RoleController.pageInfo', '[{\"pageNum\":1,\"pageSize\":10}]', '127.0.0.1', '2023-08-09 17:47:13');
INSERT INTO `sys_log` VALUES ('1689211727293583360', '1237361915165020161', '张三', '组织管理-角色管理-分页获取角色数据接口', '2', 'com.suelec.permission.controller.RoleController.pageInfo', '[{\"pageNum\":1,\"pageSize\":10}]', '127.0.0.1', '2023-08-09 17:47:14');
INSERT INTO `sys_log` VALUES ('1689211730925850624', '1237361915165020161', '张三', '组织管理-角色管理-分页获取角色数据接口', '1', 'com.suelec.permission.controller.RoleController.pageInfo', '[{\"pageNum\":1,\"pageSize\":10}]', '127.0.0.1', '2023-08-09 17:47:15');
INSERT INTO `sys_log` VALUES ('1689211731282366464', '1237361915165020161', '张三', '组织管理-用户管理-分页查询用户接口', '2', 'com.suelec.permission.controller.UserController.pageInfo', '[{\"endTime\":\"\",\"nickName\":\"\",\"pageNum\":1,\"pageSize\":10,\"startTime\":\"\",\"username\":\"\"}]', '127.0.0.1', '2023-08-09 17:47:15');
INSERT INTO `sys_log` VALUES ('1689211734834941952', '1237361915165020161', '张三', '组织管理-角色管理-分页获取角色数据接口', '1', 'com.suelec.permission.controller.RoleController.pageInfo', '[{\"pageNum\":1,\"pageSize\":10}]', '127.0.0.1', '2023-08-09 17:47:16');
INSERT INTO `sys_log` VALUES ('1689211735183069184', '1237361915165020161', '张三', '组织管理-菜单权限管理-只递归查询到菜单结构数据接口', '1', 'com.suelec.permission.controller.PermissionController.getAllPermission', '', '127.0.0.1', '2023-08-09 17:47:16');
INSERT INTO `sys_log` VALUES ('1689211741013151744', '1237361915165020161', '张三', '组织管理-角色管理-分页获取角色数据接口', '2', 'com.suelec.permission.controller.RoleController.pageInfo', '[{\"pageNum\":1,\"pageSize\":10}]', '127.0.0.1', '2023-08-09 17:47:18');
INSERT INTO `sys_log` VALUES ('1689211745572360192', '1237361915165020161', '张三', '组织管理-角色管理-分页获取角色数据接口', '1', 'com.suelec.permission.controller.RoleController.pageInfo', '[{\"pageNum\":1,\"pageSize\":10}]', '127.0.0.1', '2023-08-09 17:47:19');
INSERT INTO `sys_log` VALUES ('1689211747015200768', '1237361915165020161', '张三', '组织管理-用户管理-分页查询用户接口', '9', 'com.suelec.permission.controller.UserController.pageInfo', '[{\"endTime\":\"\",\"nickName\":\"\",\"pageNum\":1,\"pageSize\":10,\"startTime\":\"\",\"username\":\"\"}]', '127.0.0.1', '2023-08-09 17:47:19');
INSERT INTO `sys_log` VALUES ('1689211748432875520', '1237361915165020161', '张三', '组织管理-角色管理-分页获取角色数据接口', '2', 'com.suelec.permission.controller.RoleController.pageInfo', '[{\"pageNum\":1,\"pageSize\":10}]', '127.0.0.1', '2023-08-09 17:47:20');
INSERT INTO `sys_log` VALUES ('1689211753398931456', '1237361915165020161', '张三', '组织管理-菜单权限管理-只递归查询到菜单结构数据接口', '1', 'com.suelec.permission.controller.PermissionController.getAllPermission', '', '127.0.0.1', '2023-08-09 17:47:21');
INSERT INTO `sys_log` VALUES ('1689211785053343744', '1237361915165020161', '张三', '组织管理-菜单权限管理-新增菜单权限接口', '2', 'com.suelec.permission.controller.PermissionController.getAllPermissionTreeExBtn', '', '127.0.0.1', '2023-08-09 17:47:28');
INSERT INTO `sys_log` VALUES ('1689212194937507840', '1237361915165020161', '张三', '组织管理-用户管理-分页查询用户接口', '4', 'com.suelec.permission.controller.UserController.pageInfo', '[{\"endTime\":\"\",\"nickName\":\"\",\"pageNum\":1,\"pageSize\":10,\"startTime\":\"\",\"username\":\"\"}]', '127.0.0.1', '2023-08-09 17:49:06');
INSERT INTO `sys_log` VALUES ('1689446962694328320', '1237361915165020161', '张三', '组织管理-角色管理-分页获取角色数据接口', '12', 'com.suelec.permission.controller.RoleController.pageInfo', '[{\"pageNum\":1,\"pageSize\":10}]', '127.0.0.1', '2023-08-10 09:21:59');
INSERT INTO `sys_log` VALUES ('1689446971930185728', '1237361915165020161', '张三', '组织管理-菜单权限管理-只递归查询到菜单结构数据接口', '2', 'com.suelec.permission.controller.PermissionController.getAllPermission', '', '127.0.0.1', '2023-08-10 09:22:01');
INSERT INTO `sys_log` VALUES ('1689447464588939264', '1237361915165020161', '张三', '组织管理-角色管理-分页获取角色数据接口', '9', 'com.suelec.permission.controller.RoleController.pageInfo', '[{\"pageNum\":1,\"pageSize\":10}]', '127.0.0.1', '2023-08-10 09:23:59');
INSERT INTO `sys_log` VALUES ('1689447470167363584', '1237361915165020161', '张三', '组织管理-菜单权限管理-只递归查询到菜单结构数据接口', '2', 'com.suelec.permission.controller.PermissionController.getAllPermission', '', '127.0.0.1', '2023-08-10 09:24:00');
INSERT INTO `sys_log` VALUES ('1689447687742689280', '1237361915165020161', '张三', '组织管理-菜单权限管理-新增菜单权限接口', '1', 'com.suelec.permission.controller.PermissionController.getAllPermissionTreeExBtn', '', '127.0.0.1', '2023-08-10 09:24:52');
INSERT INTO `sys_log` VALUES ('1689450410902949888', '1237361915165020161', '张三', '组织管理-菜单权限管理-只递归查询到菜单结构数据接口', '6', 'com.suelec.permission.controller.PermissionController.getAllPermission', '', '127.0.0.1', '2023-08-10 09:35:41');
INSERT INTO `sys_log` VALUES ('1689450417672556544', '1237361915165020161', '张三', '组织管理-菜单权限管理-新增菜单权限接口', '2', 'com.suelec.permission.controller.PermissionController.getAllPermissionTreeExBtn', '', '127.0.0.1', '2023-08-10 09:35:43');
INSERT INTO `sys_log` VALUES ('1689450709168295936', '1237361915165020161', '张三', '组织管理-菜单权限管理-新增菜单权限接口', '17', 'com.suelec.permission.controller.PermissionController.createPermission', '[{\"code\":\"\",\"icon\":\"\",\"method\":\"\",\"name\":\"\",\"orderNum\":0,\"perms\":\"\",\"pid\":\"0\",\"title\":\"发布\",\"type\":1,\"url\":\"\\\"/\\\"\"}]', '127.0.0.1', '2023-08-10 09:36:52');
INSERT INTO `sys_log` VALUES ('1689450709323485184', '1237361915165020161', '张三', '组织管理-菜单权限管理-只递归查询到菜单结构数据接口', '3', 'com.suelec.permission.controller.PermissionController.getAllPermission', '', '127.0.0.1', '2023-08-10 09:36:52');
INSERT INTO `sys_log` VALUES ('1689450719897325568', '1237361915165020161', '张三', '组织管理-菜单权限管理-新增菜单权限接口', '2', 'com.suelec.permission.controller.PermissionController.getAllPermissionTreeExBtn', '', '127.0.0.1', '2023-08-10 09:36:55');
INSERT INTO `sys_log` VALUES ('1689450732803198976', '1237361915165020161', '张三', '组织管理-菜单权限管理-编辑菜单权限接口', '19', 'com.suelec.permission.controller.PermissionController.updatePermission', '[{\"code\":\"\",\"icon\":\"\",\"id\":\"1689450709126352896\",\"method\":\"\",\"name\":\"\",\"orderNum\":0,\"perms\":\"\",\"pid\":\"0\",\"title\":\"发布\",\"type\":1,\"url\":\"/\"}]', '127.0.0.1', '2023-08-10 09:36:58');
INSERT INTO `sys_log` VALUES ('1689450732929028096', '1237361915165020161', '张三', '组织管理-菜单权限管理-只递归查询到菜单结构数据接口', '2', 'com.suelec.permission.controller.PermissionController.getAllPermission', '', '127.0.0.1', '2023-08-10 09:36:58');
INSERT INTO `sys_log` VALUES ('1689450760351387648', '1237361915165020161', '张三', '组织管理-菜单权限管理-新增菜单权限接口', '2', 'com.suelec.permission.controller.PermissionController.getAllPermissionTreeExBtn', '', '127.0.0.1', '2023-08-10 09:37:04');
INSERT INTO `sys_log` VALUES ('1689450837509804032', '1237361915165020161', '张三', '组织管理-菜单权限管理-新增菜单权限接口', '2', 'com.suelec.permission.controller.PermissionController.getAllPermissionTreeExBtn', '', '127.0.0.1', '2023-08-10 09:37:23');
INSERT INTO `sys_log` VALUES ('1689450889162657792', '1237361915165020161', '张三', '组织管理-菜单权限管理-新增菜单权限接口', '1', 'com.suelec.permission.controller.PermissionController.getAllPermissionTreeExBtn', '', '127.0.0.1', '2023-08-10 09:37:35');
INSERT INTO `sys_log` VALUES ('1689450991314931712', '1237361915165020161', '张三', '组织管理-菜单权限管理-新增菜单权限接口', '1', 'com.suelec.permission.controller.PermissionController.getAllPermissionTreeExBtn', '', '127.0.0.1', '2023-08-10 09:37:59');
INSERT INTO `sys_log` VALUES ('1689451003218366464', '1237361915165020161', '张三', '组织管理-菜单权限管理-新增菜单权限接口', '1', 'com.suelec.permission.controller.PermissionController.getAllPermissionTreeExBtn', '', '127.0.0.1', '2023-08-10 09:38:02');
INSERT INTO `sys_log` VALUES ('1689451017680326656', '1237361915165020161', '张三', '组织管理-角色管理-分页获取角色数据接口', '36', 'com.suelec.permission.controller.RoleController.pageInfo', '[{\"pageNum\":1,\"pageSize\":10}]', '127.0.0.1', '2023-08-10 09:38:06');
INSERT INTO `sys_log` VALUES ('1689451021773967360', '1237361915165020161', '张三', '组织管理-菜单权限管理-只递归查询到菜单结构数据接口', '1', 'com.suelec.permission.controller.PermissionController.getAllPermission', '', '127.0.0.1', '2023-08-10 09:38:07');
INSERT INTO `sys_log` VALUES ('1689451027637604352', '1237361915165020161', '张三', '组织管理-菜单权限管理-新增菜单权限接口', '2', 'com.suelec.permission.controller.PermissionController.getAllPermissionTreeExBtn', '', '127.0.0.1', '2023-08-10 09:38:08');
INSERT INTO `sys_log` VALUES ('1689451045329178624', '1237361915165020161', '张三', '组织管理-菜单权限管理-只递归查询到菜单结构数据接口', '2', 'com.suelec.permission.controller.PermissionController.getAllPermission', '', '127.0.0.1', '2023-08-10 09:38:12');
INSERT INTO `sys_log` VALUES ('1689451052333666304', '1237361915165020161', '张三', '组织管理-菜单权限管理-新增菜单权限接口', '2', 'com.suelec.permission.controller.PermissionController.getAllPermissionTreeExBtn', '', '127.0.0.1', '2023-08-10 09:38:14');
INSERT INTO `sys_log` VALUES ('1689451315048091648', '1237361915165020161', '张三', '组织管理-菜单权限管理-新增菜单权限接口', '1', 'com.suelec.permission.controller.PermissionController.getAllPermissionTreeExBtn', '', '127.0.0.1', '2023-08-10 09:39:17');
INSERT INTO `sys_log` VALUES ('1689451370454847488', '1237361915165020161', '张三', '组织管理-菜单权限管理-新增菜单权限接口', '2', 'com.suelec.permission.controller.PermissionController.getAllPermissionTreeExBtn', '', '127.0.0.1', '2023-08-10 09:39:30');
INSERT INTO `sys_log` VALUES ('1689451384065363968', '1237361915165020161', '张三', '组织管理-菜单权限管理-编辑菜单权限接口', '7', 'com.suelec.permission.controller.PermissionController.updatePermission', '[{\"code\":\"\",\"icon\":\"Layout\",\"id\":\"1689450709126352896\",\"method\":\"\",\"name\":\"\",\"orderNum\":0,\"perms\":\"\",\"pid\":\"0\",\"title\":\"发布\",\"type\":1,\"url\":\"/\"}]', '127.0.0.1', '2023-08-10 09:39:33');
INSERT INTO `sys_log` VALUES ('1689451384161832960', '1237361915165020161', '张三', '组织管理-菜单权限管理-只递归查询到菜单结构数据接口', '1', 'com.suelec.permission.controller.PermissionController.getAllPermission', '', '127.0.0.1', '2023-08-10 09:39:33');
INSERT INTO `sys_log` VALUES ('1689451395431927808', '1237361915165020161', '张三', '组织管理-菜单权限管理-新增菜单权限接口', '1', 'com.suelec.permission.controller.PermissionController.getAllPermissionTreeExBtn', '', '127.0.0.1', '2023-08-10 09:39:36');
INSERT INTO `sys_log` VALUES ('1689451436204756992', '1237361915165020161', '张三', '组织管理-菜单权限管理-新增菜单权限接口', '1', 'com.suelec.permission.controller.PermissionController.getAllPermissionTreeExBtn', '', '127.0.0.1', '2023-08-10 09:39:46');
INSERT INTO `sys_log` VALUES ('1689451453527232512', '1237361915165020161', '张三', '组织管理-菜单权限管理-编辑菜单权限接口', '8', 'com.suelec.permission.controller.PermissionController.updatePermission', '[{\"code\":\"\",\"icon\":\"\",\"id\":\"1689450709126352896\",\"method\":\"\",\"name\":\"Layout\",\"orderNum\":0,\"perms\":\"\",\"pid\":\"0\",\"title\":\"发布\",\"type\":1,\"url\":\"/\"}]', '127.0.0.1', '2023-08-10 09:39:50');
INSERT INTO `sys_log` VALUES ('1689451453619507200', '1237361915165020161', '张三', '组织管理-菜单权限管理-只递归查询到菜单结构数据接口', '2', 'com.suelec.permission.controller.PermissionController.getAllPermission', '', '127.0.0.1', '2023-08-10 09:39:50');
INSERT INTO `sys_log` VALUES ('1689451540693258240', '1237361915165020161', '张三', '组织管理-菜单权限管理-新增菜单权限接口', '1', 'com.suelec.permission.controller.PermissionController.getAllPermissionTreeExBtn', '', '127.0.0.1', '2023-08-10 09:40:10');
INSERT INTO `sys_log` VALUES ('1689451633550954496', '1237361915165020161', '张三', '组织管理-菜单权限管理-新增菜单权限接口', '1', 'com.suelec.permission.controller.PermissionController.getAllPermissionTreeExBtn', '', '127.0.0.1', '2023-08-10 09:40:33');
INSERT INTO `sys_log` VALUES ('1689453171346378752', '1237361915165020161', '张三', '组织管理-菜单权限管理-新增菜单权限接口', '10', 'com.suelec.permission.controller.PermissionController.getAllPermissionTreeExBtn', '', '127.0.0.1', '2023-08-10 09:46:39');
INSERT INTO `sys_log` VALUES ('1689453190359158784', '1237361915165020161', '张三', '组织管理-菜单权限管理-编辑菜单权限接口', '9', 'com.suelec.permission.controller.PermissionController.updatePermission', '[{\"code\":\"\",\"icon\":\"\",\"id\":\"1689450709126352896\",\"method\":\"\",\"name\":\"\",\"orderNum\":0,\"perms\":\"\",\"pid\":\"0\",\"title\":\"发布\",\"type\":1,\"url\":\"/\"}]', '127.0.0.1', '2023-08-10 09:46:44');
INSERT INTO `sys_log` VALUES ('1689453190455627776', '1237361915165020161', '张三', '组织管理-菜单权限管理-只递归查询到菜单结构数据接口', '1', 'com.suelec.permission.controller.PermissionController.getAllPermission', '', '127.0.0.1', '2023-08-10 09:46:44');
INSERT INTO `sys_log` VALUES ('1689453193915928576', '1237361915165020161', '张三', '组织管理-菜单权限管理-新增菜单权限接口', '2', 'com.suelec.permission.controller.PermissionController.getAllPermissionTreeExBtn', '', '127.0.0.1', '2023-08-10 09:46:45');
INSERT INTO `sys_log` VALUES ('1689453288740753408', '1237361915165020161', '张三', '组织管理-菜单权限管理-编辑菜单权限接口', '9', 'com.suelec.permission.controller.PermissionController.updatePermission', '[{\"code\":\"\",\"icon\":\"Layout\",\"id\":\"1689450709126352896\",\"method\":\"\",\"name\":\"/dashboard\",\"orderNum\":0,\"perms\":\"\",\"pid\":\"0\",\"title\":\"发布\",\"type\":1,\"url\":\"/\"}]', '127.0.0.1', '2023-08-10 09:47:07');
INSERT INTO `sys_log` VALUES ('1689453288828833792', '1237361915165020161', '张三', '组织管理-菜单权限管理-只递归查询到菜单结构数据接口', '1', 'com.suelec.permission.controller.PermissionController.getAllPermission', '', '127.0.0.1', '2023-08-10 09:47:07');
INSERT INTO `sys_log` VALUES ('1689453298362486784', '1237361915165020161', '张三', '组织管理-菜单权限管理-新增菜单权限接口', '1', 'com.suelec.permission.controller.PermissionController.getAllPermissionTreeExBtn', '', '127.0.0.1', '2023-08-10 09:47:10');
INSERT INTO `sys_log` VALUES ('1689453311108976640', '1237361915165020161', '张三', '组织管理-菜单权限管理-新增菜单权限接口', '1', 'com.suelec.permission.controller.PermissionController.getAllPermissionTreeExBtn', '', '127.0.0.1', '2023-08-10 09:47:13');
INSERT INTO `sys_log` VALUES ('1689453320277725184', '1237361915165020161', '张三', '组织管理-菜单权限管理-编辑菜单权限接口', '8', 'com.suelec.permission.controller.PermissionController.updatePermission', '[{\"code\":\"\",\"icon\":\"Layout\",\"id\":\"1689450709126352896\",\"method\":\"\",\"name\":\"dashboard\",\"orderNum\":0,\"perms\":\"\",\"pid\":\"0\",\"title\":\"发布\",\"type\":1,\"url\":\"/\"}]', '127.0.0.1', '2023-08-10 09:47:15');
INSERT INTO `sys_log` VALUES ('1689453320369999872', '1237361915165020161', '张三', '组织管理-菜单权限管理-只递归查询到菜单结构数据接口', '2', 'com.suelec.permission.controller.PermissionController.getAllPermission', '', '127.0.0.1', '2023-08-10 09:47:15');
INSERT INTO `sys_log` VALUES ('1689453474221264896', '1237361915165020161', '张三', '组织管理-菜单权限管理-新增菜单权限接口', '2', 'com.suelec.permission.controller.PermissionController.getAllPermissionTreeExBtn', '', '127.0.0.1', '2023-08-10 09:47:51');
INSERT INTO `sys_log` VALUES ('1689453485835292672', '1237361915165020161', '张三', '组织管理-菜单权限管理-编辑菜单权限接口', '8', 'com.suelec.permission.controller.PermissionController.updatePermission', '[{\"code\":\"\",\"icon\":\"Layout\",\"id\":\"1689450709126352896\",\"method\":\"\",\"name\":\"dashboard\",\"orderNum\":0,\"perms\":\"\",\"pid\":\"0\",\"title\":\"发布\",\"type\":1,\"url\":\"/\"}]', '127.0.0.1', '2023-08-10 09:47:54');
INSERT INTO `sys_log` VALUES ('1689453485923373056', '1237361915165020161', '张三', '组织管理-菜单权限管理-只递归查询到菜单结构数据接口', '2', 'com.suelec.permission.controller.PermissionController.getAllPermission', '', '127.0.0.1', '2023-08-10 09:47:54');
INSERT INTO `sys_log` VALUES ('1689453493066272768', '1237361915165020161', '张三', '组织管理-菜单权限管理-新增菜单权限接口', '1', 'com.suelec.permission.controller.PermissionController.getAllPermissionTreeExBtn', '', '127.0.0.1', '2023-08-10 09:47:56');
INSERT INTO `sys_log` VALUES ('1689455802479415296', '1237361915165020161', '张三', '组织管理-菜单权限管理-新增菜单权限接口', '9', 'com.suelec.permission.controller.PermissionController.getAllPermissionTreeExBtn', '', '127.0.0.1', '2023-08-10 09:57:07');
INSERT INTO `sys_log` VALUES ('1689455848952303616', '1237361915165020161', '张三', '组织管理-菜单权限管理-新增菜单权限接口', '2', 'com.suelec.permission.controller.PermissionController.getAllPermissionTreeExBtn', '', '127.0.0.1', '2023-08-10 09:57:18');
INSERT INTO `sys_log` VALUES ('1689455857923919872', '1237361915165020161', '张三', '组织管理-菜单权限管理-新增菜单权限接口', '1', 'com.suelec.permission.controller.PermissionController.getAllPermissionTreeExBtn', '', '127.0.0.1', '2023-08-10 09:57:20');
INSERT INTO `sys_log` VALUES ('1689456088556113920', '1237361915165020161', '张三', '组织管理-菜单权限管理-编辑菜单权限接口', '9', 'com.suelec.permission.controller.PermissionController.updatePermission', '[{\"code\":\"\",\"icon\":\"\",\"id\":\"1689450709126352896\",\"method\":\"\",\"name\":\"Layout\",\"orderNum\":0,\"perms\":\"\",\"pid\":\"0\",\"title\":\"home\",\"type\":1,\"url\":\"/\"}]', '127.0.0.1', '2023-08-10 09:58:15');
INSERT INTO `sys_log` VALUES ('1689456088648388608', '1237361915165020161', '张三', '组织管理-菜单权限管理-只递归查询到菜单结构数据接口', '2', 'com.suelec.permission.controller.PermissionController.getAllPermission', '', '127.0.0.1', '2023-08-10 09:58:15');
INSERT INTO `sys_log` VALUES ('1689456097397706752', '1237361915165020161', '张三', '组织管理-菜单权限管理-新增菜单权限接口', '1', 'com.suelec.permission.controller.PermissionController.getAllPermissionTreeExBtn', '', '127.0.0.1', '2023-08-10 09:58:17');
INSERT INTO `sys_log` VALUES ('1689456115928141824', '1237361915165020161', '张三', '组织管理-菜单权限管理-编辑菜单权限接口', '8', 'com.suelec.permission.controller.PermissionController.updatePermission', '[{\"code\":\"\",\"icon\":\"\",\"id\":\"1689450709126352896\",\"method\":\"\",\"name\":\"Layout\",\"orderNum\":0,\"perms\":\"\",\"pid\":\"0\",\"title\":\"home\",\"type\":1,\"url\":\"/\"}]', '127.0.0.1', '2023-08-10 09:58:21');
INSERT INTO `sys_log` VALUES ('1689456116020416512', '1237361915165020161', '张三', '组织管理-菜单权限管理-只递归查询到菜单结构数据接口', '2', 'com.suelec.permission.controller.PermissionController.getAllPermission', '', '127.0.0.1', '2023-08-10 09:58:21');
INSERT INTO `sys_log` VALUES ('1689456121498177536', '1237361915165020161', '张三', '组织管理-菜单权限管理-新增菜单权限接口', '2', 'com.suelec.permission.controller.PermissionController.getAllPermissionTreeExBtn', '', '127.0.0.1', '2023-08-10 09:58:23');
INSERT INTO `sys_log` VALUES ('1689456132067823616', '1237361915165020161', '张三', '组织管理-菜单权限管理-编辑菜单权限接口', '8', 'com.suelec.permission.controller.PermissionController.updatePermission', '[{\"code\":\"\",\"icon\":\" \",\"id\":\"1689450709126352896\",\"method\":\"\",\"name\":\"Layout\",\"orderNum\":0,\"perms\":\"\",\"pid\":\"0\",\"title\":\"home\",\"type\":1,\"url\":\"/\"}]', '127.0.0.1', '2023-08-10 09:58:25');
INSERT INTO `sys_log` VALUES ('1689456132160098304', '1237361915165020161', '张三', '组织管理-菜单权限管理-只递归查询到菜单结构数据接口', '2', 'com.suelec.permission.controller.PermissionController.getAllPermission', '', '127.0.0.1', '2023-08-10 09:58:25');
INSERT INTO `sys_log` VALUES ('1689456139248472064', '1237361915165020161', '张三', '组织管理-菜单权限管理-新增菜单权限接口', '1', 'com.suelec.permission.controller.PermissionController.getAllPermissionTreeExBtn', '', '127.0.0.1', '2023-08-10 09:58:27');
INSERT INTO `sys_log` VALUES ('1689456146550755328', '1237361915165020161', '张三', '组织管理-菜单权限管理-编辑菜单权限接口', '6', 'com.suelec.permission.controller.PermissionController.updatePermission', '[{\"code\":\"\",\"icon\":\"\",\"id\":\"1689450709126352896\",\"method\":\"\",\"name\":\"Layout\",\"orderNum\":0,\"perms\":\"\",\"pid\":\"0\",\"title\":\"home\",\"type\":1,\"url\":\"/\"}]', '127.0.0.1', '2023-08-10 09:58:29');
INSERT INTO `sys_log` VALUES ('1689456146647224320', '1237361915165020161', '张三', '组织管理-菜单权限管理-只递归查询到菜单结构数据接口', '2', 'com.suelec.permission.controller.PermissionController.getAllPermission', '', '127.0.0.1', '2023-08-10 09:58:29');
INSERT INTO `sys_log` VALUES ('1689456181761937408', '1237361915165020161', '张三', '组织管理-菜单权限管理-新增菜单权限接口', '1', 'com.suelec.permission.controller.PermissionController.getAllPermissionTreeExBtn', '', '127.0.0.1', '2023-08-10 09:58:37');
INSERT INTO `sys_log` VALUES ('1689456191840849920', '1237361915165020161', '张三', '组织管理-菜单权限管理-新增菜单权限接口', '1', 'com.suelec.permission.controller.PermissionController.getAllPermissionTreeExBtn', '', '127.0.0.1', '2023-08-10 09:58:39');
INSERT INTO `sys_log` VALUES ('1689456308195037184', '1237361915165020161', '张三', '组织管理-菜单权限管理-新增菜单权限接口', '8', 'com.suelec.permission.controller.PermissionController.createPermission', '[{\"code\":\"\",\"icon\":\"dashboard\",\"method\":\"\",\"name\":\"/dashboard/index\",\"orderNum\":0,\"perms\":\"\",\"pid\":\"1689450709126352896\",\"title\":\"发布\",\"type\":1,\"url\":\"dashboard\"}]', '127.0.0.1', '2023-08-10 09:59:07');
INSERT INTO `sys_log` VALUES ('1689456308283117568', '1237361915165020161', '张三', '组织管理-菜单权限管理-只递归查询到菜单结构数据接口', '2', 'com.suelec.permission.controller.PermissionController.getAllPermission', '', '127.0.0.1', '2023-08-10 09:59:07');
INSERT INTO `sys_log` VALUES ('1689456693374750720', '1237361915165020161', '张三', '组织管理-菜单权限管理-新增菜单权限接口', '2', 'com.suelec.permission.controller.PermissionController.getAllPermissionTreeExBtn', '', '127.0.0.1', '2023-08-10 10:00:39');
INSERT INTO `sys_log` VALUES ('1689456844080287744', '1237361915165020161', '张三', '组织管理-菜单权限管理-新增菜单权限接口', '1', 'com.suelec.permission.controller.PermissionController.getAllPermissionTreeExBtn', '', '127.0.0.1', '2023-08-10 10:01:15');
INSERT INTO `sys_log` VALUES ('1689456945699885056', '1237361915165020161', '张三', '组织管理-菜单权限管理-新增菜单权限接口', '7', 'com.suelec.permission.controller.PermissionController.createPermission', '[{\"code\":\"\",\"icon\":\"\",\"method\":\"\",\"name\":\"Layout\",\"orderNum\":0,\"perms\":\"\",\"pid\":\"0\",\"title\":\"权限\",\"type\":1,\"url\":\"pessionConfig\"}]', '127.0.0.1', '2023-08-10 10:01:39');
INSERT INTO `sys_log` VALUES ('1689456945792159744', '1237361915165020161', '张三', '组织管理-菜单权限管理-只递归查询到菜单结构数据接口', '1', 'com.suelec.permission.controller.PermissionController.getAllPermission', '', '127.0.0.1', '2023-08-10 10:01:39');
INSERT INTO `sys_log` VALUES ('1689456961021677568', '1237361915165020161', '张三', '组织管理-菜单权限管理-新增菜单权限接口', '1', 'com.suelec.permission.controller.PermissionController.getAllPermissionTreeExBtn', '', '127.0.0.1', '2023-08-10 10:01:43');
INSERT INTO `sys_log` VALUES ('1689457111798517760', '1237361915165020161', '张三', '组织管理-菜单权限管理-新增菜单权限接口', '8', 'com.suelec.permission.controller.PermissionController.createPermission', '[{\"code\":\"\",\"icon\":\"dashboard\",\"method\":\"\",\"name\":\"pessionConfig/index\",\"orderNum\":0,\"perms\":\"\",\"pid\":\"1689456945674719232\",\"title\":\"权限配置\",\"type\":1,\"url\":\"index\"}]', '127.0.0.1', '2023-08-10 10:02:19');
INSERT INTO `sys_log` VALUES ('1689457111890792448', '1237361915165020161', '张三', '组织管理-菜单权限管理-只递归查询到菜单结构数据接口', '2', 'com.suelec.permission.controller.PermissionController.getAllPermission', '', '127.0.0.1', '2023-08-10 10:02:19');
INSERT INTO `sys_log` VALUES ('1689457132958781440', '1237361915165020161', '张三', '组织管理-角色管理-分页获取角色数据接口', '2', 'com.suelec.permission.controller.RoleController.pageInfo', '[{\"pageNum\":1,\"pageSize\":10}]', '127.0.0.1', '2023-08-10 10:02:24');
INSERT INTO `sys_log` VALUES ('1689457145629773824', '1237361915165020161', '张三', '组织管理-菜单权限管理-获取所有的菜单权限数据接口', '2', 'com.suelec.permission.controller.PermissionController.getAllPermissionTree', '', '127.0.0.1', '2023-08-10 10:02:27');
INSERT INTO `sys_log` VALUES ('1689457145772380160', '1237361915165020161', '张三', '组织管理-角色管理-获取角色详情接口', '4', 'com.suelec.permission.controller.RoleController.detailInfo', '[\"1689208395539812352\"]', '127.0.0.1', '2023-08-10 10:02:27');
INSERT INTO `sys_log` VALUES ('1689457175891677184', '1237361915165020161', '张三', '组织管理-角色管理-更新角色信息接口', '39', 'com.suelec.permission.controller.RoleController.updateRole', '[{\"description\":\"林谷智能\",\"id\":\"1689208395539812352\",\"name\":\"林谷智能\",\"permissionsIds\":[\"1689450709126352896\",\"1689456308165677056\",\"1689456945674719232\",\"1689457111769157632\"],\"status\":1}]', '127.0.0.1', '2023-08-10 10:02:34');
INSERT INTO `sys_log` VALUES ('1689457176000729088', '1237361915165020161', '张三', '组织管理-角色管理-分页获取角色数据接口', '4', 'com.suelec.permission.controller.RoleController.pageInfo', '[{\"pageNum\":1,\"pageSize\":10}]', '127.0.0.1', '2023-08-10 10:02:34');
INSERT INTO `sys_log` VALUES ('1689457189397336064', '1237361915165020161', '张三', '组织管理-用户管理-分页查询用户接口', '7', 'com.suelec.permission.controller.UserController.pageInfo', '[{\"endTime\":\"\",\"nickName\":\"\",\"pageNum\":1,\"pageSize\":10,\"startTime\":\"\",\"username\":\"\"}]', '127.0.0.1', '2023-08-10 10:02:37');
INSERT INTO `sys_log` VALUES ('1689457207093104640', '1237361915165020161', '张三', '组织管理-用户管理-查询用户拥有的角色数据接口', '3', 'com.suelec.permission.controller.UserController.getUserOwnRole', '[\"10002\"]', '127.0.0.1', '2023-08-10 10:02:41');
INSERT INTO `sys_log` VALUES ('1689457225975861248', '1237361915165020161', '张三', '组织管理-用户管理-查询用户拥有的角色数据接口', '2', 'com.suelec.permission.controller.UserController.getUserOwnRole', '[\"1237361915165020161\"]', '127.0.0.1', '2023-08-10 10:02:46');
INSERT INTO `sys_log` VALUES ('1689457235769561088', '1237361915165020161', '张三', '组织管理-用户管理-查询用户拥有的角色数据接口', '1', 'com.suelec.permission.controller.UserController.getUserOwnRole', '[\"10002\"]', '127.0.0.1', '2023-08-10 10:02:48');
INSERT INTO `sys_log` VALUES ('1689457315880767488', '1237361915165020161', '张三', '组织管理-角色管理-分页获取角色数据接口', '2', 'com.suelec.permission.controller.RoleController.pageInfo', '[{\"pageNum\":1,\"pageSize\":10}]', '127.0.0.1', '2023-08-10 10:03:07');
INSERT INTO `sys_log` VALUES ('1689457319693389824', '1237361915165020161', '张三', '组织管理-用户管理-分页查询用户接口', '2', 'com.suelec.permission.controller.UserController.pageInfo', '[{\"endTime\":\"\",\"nickName\":\"\",\"pageNum\":1,\"pageSize\":10,\"startTime\":\"\",\"username\":\"\"}]', '127.0.0.1', '2023-08-10 10:03:08');
INSERT INTO `sys_log` VALUES ('1689457334516060160', '1237361915165020161', '张三', '组织管理-用户管理-查询用户拥有的角色数据接口', '1', 'com.suelec.permission.controller.UserController.getUserOwnRole', '[\"10002\"]', '127.0.0.1', '2023-08-10 10:03:12');
INSERT INTO `sys_log` VALUES ('1689457353906327552', '1237361915165020161', '张三', '组织管理-用户管理-查询用户拥有的角色数据接口', '1', 'com.suelec.permission.controller.UserController.getUserOwnRole', '[\"10002\"]', '127.0.0.1', '2023-08-10 10:03:16');
INSERT INTO `sys_log` VALUES ('1689457373556641792', '1237361915165020161', '张三', '组织管理-角色管理-分页获取角色数据接口', '2', 'com.suelec.permission.controller.RoleController.pageInfo', '[{\"pageNum\":1,\"pageSize\":10}]', '127.0.0.1', '2023-08-10 10:03:21');
INSERT INTO `sys_log` VALUES ('1689457376199053312', '1237361915165020161', '张三', '组织管理-用户管理-分页查询用户接口', '2', 'com.suelec.permission.controller.UserController.pageInfo', '[{\"endTime\":\"\",\"nickName\":\"\",\"pageNum\":1,\"pageSize\":10,\"startTime\":\"\",\"username\":\"\"}]', '127.0.0.1', '2023-08-10 10:03:22');
INSERT INTO `sys_log` VALUES ('1689457379374141440', '1237361915165020161', '张三', '组织管理-用户管理-查询用户拥有的角色数据接口', '2', 'com.suelec.permission.controller.UserController.getUserOwnRole', '[\"10002\"]', '127.0.0.1', '2023-08-10 10:03:23');
INSERT INTO `sys_log` VALUES ('1689457390170279936', '1237361915165020161', '张三', '组织管理-角色管理-分页获取角色数据接口', '2', 'com.suelec.permission.controller.RoleController.pageInfo', '[{\"pageNum\":1,\"pageSize\":10}]', '127.0.0.1', '2023-08-10 10:03:25');
INSERT INTO `sys_log` VALUES ('1689457392254849024', '1237361915165020161', '张三', '组织管理-用户管理-分页查询用户接口', '2', 'com.suelec.permission.controller.UserController.pageInfo', '[{\"endTime\":\"\",\"nickName\":\"\",\"pageNum\":1,\"pageSize\":10,\"startTime\":\"\",\"username\":\"\"}]', '127.0.0.1', '2023-08-10 10:03:26');
INSERT INTO `sys_log` VALUES ('1689457432159457280', '1237361915165020161', '张三', '组织管理-用户管理-查询用户拥有的角色数据接口', '1', 'com.suelec.permission.controller.UserController.getUserOwnRole', '[\"10002\"]', '127.0.0.1', '2023-08-10 10:03:35');
INSERT INTO `sys_log` VALUES ('1689457484886052864', '1237361915165020161', '张三', '组织管理-用户管理-查询用户拥有的角色数据接口', '2', 'com.suelec.permission.controller.UserController.getUserOwnRole', '[\"10002\"]', '127.0.0.1', '2023-08-10 10:03:48');

-- ----------------------------
-- Table structure for sys_logininfor
-- ----------------------------
DROP TABLE IF EXISTS `sys_logininfor`;
CREATE TABLE `sys_logininfor` (
  `info_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '访问ID',
  `user_name` varchar(50) COLLATE utf8mb4_bin DEFAULT '' COMMENT '用户账号',
  `ipaddr` varchar(128) COLLATE utf8mb4_bin DEFAULT '' COMMENT '登录IP地址',
  `login_location` varchar(255) COLLATE utf8mb4_bin DEFAULT '' COMMENT '登录地点',
  `browser` varchar(50) COLLATE utf8mb4_bin DEFAULT '' COMMENT '浏览器类型',
  `os` varchar(50) COLLATE utf8mb4_bin DEFAULT '' COMMENT '操作系统',
  `status` char(1) COLLATE utf8mb4_bin DEFAULT '0' COMMENT '登录状态（0成功 1失败）',
  `msg` varchar(255) COLLATE utf8mb4_bin DEFAULT '' COMMENT '提示消息',
  `login_time` datetime DEFAULT NULL COMMENT '访问时间',
  PRIMARY KEY (`info_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='系统访问记录';

-- ----------------------------
-- Records of sys_logininfor
-- ----------------------------

-- ----------------------------
-- Table structure for sys_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_menu`;
CREATE TABLE `sys_menu` (
  `menu_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID',
  `menu_name` varchar(50) COLLATE utf8mb4_bin NOT NULL COMMENT '菜单名称',
  `parent_id` bigint(20) DEFAULT '0' COMMENT '父菜单ID',
  `order_num` int(11) DEFAULT '0' COMMENT '显示顺序',
  `path` varchar(200) COLLATE utf8mb4_bin DEFAULT '' COMMENT '路由地址',
  `component` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '组件路径',
  `query` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '路由参数',
  `is_frame` int(11) DEFAULT '1' COMMENT '是否为外链（0是 1否）',
  `is_cache` int(11) DEFAULT '0' COMMENT '是否缓存（0缓存 1不缓存）',
  `menu_type` char(1) COLLATE utf8mb4_bin DEFAULT '' COMMENT '菜单类型（M目录 C菜单 F按钮）',
  `visible` char(1) COLLATE utf8mb4_bin DEFAULT '0' COMMENT '菜单状态（0显示 1隐藏）',
  `status` char(1) COLLATE utf8mb4_bin DEFAULT '0' COMMENT '菜单状态（0正常 1停用）',
  `perms` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '权限标识',
  `icon` varchar(100) COLLATE utf8mb4_bin DEFAULT '#' COMMENT '菜单图标',
  `create_by` varchar(64) COLLATE utf8mb4_bin DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) COLLATE utf8mb4_bin DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) COLLATE utf8mb4_bin DEFAULT '' COMMENT '备注',
  `type` int(11) DEFAULT NULL COMMENT ' 项目类型 0：默认 1：培训班 2：自学楼 3：专家工坊',
  PRIMARY KEY (`menu_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='菜单权限表';

-- ----------------------------
-- Records of sys_menu
-- ----------------------------

-- ----------------------------
-- Table structure for sys_notice
-- ----------------------------
DROP TABLE IF EXISTS `sys_notice`;
CREATE TABLE `sys_notice` (
  `notice_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '公告ID',
  `notice_title` varchar(50) COLLATE utf8mb4_bin NOT NULL COMMENT '公告标题',
  `notice_type` char(1) COLLATE utf8mb4_bin NOT NULL COMMENT '公告类型（1通知 2公告）',
  `notice_content` longblob COMMENT '公告内容',
  `status` char(1) COLLATE utf8mb4_bin DEFAULT '0' COMMENT '公告状态（0正常 1关闭）',
  `create_by` varchar(64) COLLATE utf8mb4_bin DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) COLLATE utf8mb4_bin DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`notice_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='通知公告表';

-- ----------------------------
-- Records of sys_notice
-- ----------------------------

-- ----------------------------
-- Table structure for sys_oper_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_oper_log`;
CREATE TABLE `sys_oper_log` (
  `oper_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '日志主键',
  `title` varchar(50) COLLATE utf8mb4_bin DEFAULT '' COMMENT '模块标题',
  `business_type` int(11) DEFAULT '0' COMMENT '业务类型（0其它 1新增 2修改 3删除）',
  `method` varchar(100) COLLATE utf8mb4_bin DEFAULT '' COMMENT '方法名称',
  `request_method` varchar(10) COLLATE utf8mb4_bin DEFAULT '' COMMENT '请求方式',
  `operator_type` int(11) DEFAULT '0' COMMENT '操作类别（0其它 1后台用户 2手机端用户）',
  `oper_name` varchar(50) COLLATE utf8mb4_bin DEFAULT '' COMMENT '操作人员',
  `dept_name` varchar(50) COLLATE utf8mb4_bin DEFAULT '' COMMENT '部门名称',
  `oper_url` varchar(255) COLLATE utf8mb4_bin DEFAULT '' COMMENT '请求URL',
  `oper_ip` varchar(128) COLLATE utf8mb4_bin DEFAULT '' COMMENT '主机地址',
  `oper_location` varchar(255) COLLATE utf8mb4_bin DEFAULT '' COMMENT '操作地点',
  `oper_param` varchar(2000) COLLATE utf8mb4_bin DEFAULT '' COMMENT '请求参数',
  `json_result` varchar(2000) COLLATE utf8mb4_bin DEFAULT '' COMMENT '返回参数',
  `status` int(11) DEFAULT '0' COMMENT '操作状态（0正常 1异常）',
  `error_msg` varchar(2000) COLLATE utf8mb4_bin DEFAULT '' COMMENT '错误消息',
  `oper_time` datetime DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`oper_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='操作日志记录';

-- ----------------------------
-- Records of sys_oper_log
-- ----------------------------

-- ----------------------------
-- Table structure for sys_permission
-- ----------------------------
DROP TABLE IF EXISTS `sys_permission`;
CREATE TABLE `sys_permission` (
  `id` varchar(64) NOT NULL COMMENT '主键',
  `code` varchar(64) DEFAULT NULL COMMENT '菜单权限编码(前端按钮权限标识)',
  `title` varchar(300) DEFAULT NULL COMMENT '菜单权限名称',
  `icon` varchar(60) DEFAULT '' COMMENT '菜单图标',
  `perms` varchar(500) DEFAULT NULL COMMENT '授权(如：sys:user:add)',
  `url` varchar(100) DEFAULT NULL COMMENT '访问地址URL',
  `method` varchar(10) DEFAULT NULL COMMENT '资源请求类型',
  `name` varchar(255) DEFAULT '' COMMENT 'name与前端vue路由name约定一致',
  `pid` varchar(64) DEFAULT '0' COMMENT '父级菜单权限id',
  `order_num` int(11) DEFAULT '0' COMMENT '排序',
  `type` tinyint(4) DEFAULT '1' COMMENT '菜单权限类型(1:目录;2:菜单;3:按钮)',
  `status` tinyint(4) DEFAULT '1' COMMENT '状态1:正常 0：禁用',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` tinyint(4) DEFAULT '1' COMMENT '是否删除(1未删除；0已删除)',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='权限表（菜单）';

-- ----------------------------
-- Records of sys_permission
-- ----------------------------
INSERT INTO `sys_permission` VALUES ('1236916745927790556', 'btn-user-delete', '删除用户权限', '', 'sys:user:delete', '/api/user', 'DELETE', '', '1236916745927790575', '100', '3', '1', '2020-01-08 15:42:50', null, '1');
INSERT INTO `sys_permission` VALUES ('1236916745927790557', 'btn-log-delete', '删除日志权限', '', 'sys:log:delete', '/api/log', 'DELETE', '', '1236916745927790589', '100', '3', '1', '2020-01-08 16:12:53', null, '1');
INSERT INTO `sys_permission` VALUES ('1236916745927790558', '', '接口管理', 'el-icon-s-ticket', '', '/swagger', 'GET', 'swagger', '1236916745927790569', '97', '2', '1', '2020-01-08 14:28:56', '2020-04-04 22:19:39', '1');
INSERT INTO `sys_permission` VALUES ('1236916745927790560', '', '菜单权限管理', 'el-icon-menu', '', '/menus', 'GET', 'menus', '1236916745927790564', '98', '2', '1', '2020-01-06 21:55:59', '2020-04-07 22:55:14', '1');
INSERT INTO `sys_permission` VALUES ('1236916745927790561', 'btn-user-add', '新增用户权限', '', 'sys:user:add', '/api/user', 'POST', '', '1236916745927790575', '100', '3', '1', '2020-01-08 15:40:36', null, '1');
INSERT INTO `sys_permission` VALUES ('1236916745927790562', 'btn-role-update', '更新角色权限', '', 'sys:role:update', '/api/role', 'PUT', '', '1236916745927790578', '100', '3', '1', '2020-01-08 16:09:55', '2020-04-04 22:31:22', '1');
INSERT INTO `sys_permission` VALUES ('1236916745927790563', 'btn-permission-delete', '删除菜单权限', '', 'sys:permission:delete', '/api/permission', 'DELETE', '', '1236916745927790560', '100', '3', '1', '2020-01-08 15:48:37', null, '1');
INSERT INTO `sys_permission` VALUES ('1236916745927790564', '', '组织管理', 'el-icon-menu', '', '/org', '', 'org', '0', '100', '1', '1', '2020-01-06 21:53:55', '2022-05-14 15:11:29', '1');
INSERT INTO `sys_permission` VALUES ('1236916745927790565', 'btn-permission-list', '查询菜单权限列表权限', '', 'sys:permission:list', '/api/permissions', 'POST', '', '1236916745927790560', '100', '3', '1', '2020-01-08 15:46:36', null, '1');
INSERT INTO `sys_permission` VALUES ('1236916745927790568', 'btn-user-list', '查询用户信息列表权限', '', 'sys:user:list', '/api/users', 'POST', '', '1236916745927790575', '100', '3', '1', '2020-01-08 15:39:55', null, '1');
INSERT INTO `sys_permission` VALUES ('1236916745927790569', '', '系统管理', 'el-icon-s-tools', '', '/sys', '', 'sys', '0', '98', '1', '1', '2020-01-08 13:55:56', null, '1');
INSERT INTO `sys_permission` VALUES ('1236916745927790570', 'btn-role-delete', '删除角色权限', '', 'sys:role:delete', '/api/role/*', 'DELETE', '', '1236916745927790578', '100', '3', '1', '2020-01-08 16:11:22', null, '1');
INSERT INTO `sys_permission` VALUES ('1236916745927790571', '', 'SQL监控', 'el-icon-s-data', '', '/sql', 'GET', 'sql', '1236916745927790569', '96', '2', '1', '2020-01-08 14:30:01', '2020-04-04 22:18:36', '1');
INSERT INTO `sys_permission` VALUES ('1236916745927790572', 'btn-role-add', '新增角色权限', '', 'sys:role:add', '/api/role', 'POST', '', '1236916745927790578', '100', '3', '1', '2020-01-08 15:50:00', '2020-03-12 05:15:46', '1');
INSERT INTO `sys_permission` VALUES ('1236916745927790574', 'btn-role-detail', '角色详情权限', '', 'sys:role:detail', '/api/role/*', 'GET', '', '1236916745927790578', '100', '3', '1', '2020-01-08 16:10:32', null, '1');
INSERT INTO `sys_permission` VALUES ('1236916745927790575', '', '用户管理', 'el-icon-user-solid', '', '/user', '', 'user', '1236916745927790564', '100', '2', '1', '2020-01-07 19:49:37', '2022-05-14 15:25:36', '1');
INSERT INTO `sys_permission` VALUES ('1236916745927790577', 'btn-permission-update', '更新菜单权限', '', 'sys:permission:update', '/api/permission', 'PUT', '', '1236916745927790560', '100', '3', '1', '2020-01-08 15:47:56', null, '1');
INSERT INTO `sys_permission` VALUES ('1236916745927790578', '', '角色管理', 'el-icon-user', '', '/roles', '', 'roles', '1236916745927790564', '99', '2', '1', '2020-01-06 22:33:55', '2020-04-07 22:59:44', '1');
INSERT INTO `sys_permission` VALUES ('1236916745927790579', 'btn-user-update-role', '赋予用户角色权限', '', 'sys:user:role:update', '/api/user/roles', 'PUT', '', '1236916745927790575', '100', '3', '1', '2020-01-08 15:41:20', null, '1');
INSERT INTO `sys_permission` VALUES ('1236916745927790580', 'btn-user-update', '更新用户信息权限', '', 'sys:user:update', '/api/user', 'PUT', '', '1236916745927790575', '100', '3', '1', '2020-01-08 15:42:06', '2020-04-09 13:14:01', '1');
INSERT INTO `sys_permission` VALUES ('1236916745927790581', 'btn-role-add', '角色管理-新增角色', '', 'sys:role:add', '/api/role', 'POST', '', '1236916745927790578', '100', '3', '1', '2020-01-08 15:28:09', '2020-01-08 15:29:31', '0');
INSERT INTO `sys_permission` VALUES ('1236916745927790582', 'btn-permission-add', '新增菜单权限', '', 'sys:permission:add', '/api/permission', 'POST', '', '1236916745927790560', '100', '3', '1', '2020-01-08 15:47:16', null, '1');
INSERT INTO `sys_permission` VALUES ('1236916745927790583', 'btn-role-list', '查询角色列表权限', '', 'sys:role:list', '/api/roles', 'POST', '', '1236916745927790578', '100', '3', '1', '2020-01-08 15:49:20', null, '1');
INSERT INTO `sys_permission` VALUES ('1236916745927790589', '', '日志管理', 'el-icon-user-solid', '', '/logs', '', 'logs', '1236916745927790569', '100', '2', '1', '2020-01-08 13:57:12', '2020-04-08 18:54:16', '1');
INSERT INTO `sys_permission` VALUES ('1236916745927790591', 'btn-log-list', '查询日志列表权限', '', 'sys:log:list', '/api/logs', 'POST', '', '1236916745927790589', '100', '3', '1', '2020-01-08 16:12:14', null, '1');
INSERT INTO `sys_permission` VALUES ('1525716686727155712', 'user-test', '新增用户路由', 'user-test', '/user-test', '/user-test', 'GET', 'user-test', '1236916745927790575', '0', '3', '1', '2022-05-15 05:56:19', '2022-05-15 05:57:09', '1');
INSERT INTO `sys_permission` VALUES ('1689450709126352896', '', 'home', ' ', '', '/', '', 'Layout', '0', '0', '1', '1', '2023-08-10 09:36:52', '2023-08-10 09:58:29', '1');
INSERT INTO `sys_permission` VALUES ('1689456308165677056', '', '发布', 'dashboard', '', 'dashboard', '', '/dashboard/index', '1689450709126352896', '0', '1', '1', '2023-08-10 09:59:07', null, '1');
INSERT INTO `sys_permission` VALUES ('1689456945674719232', '', '权限', '', '', 'pessionConfig', '', 'Layout', '0', '0', '1', '1', '2023-08-10 10:01:39', null, '1');
INSERT INTO `sys_permission` VALUES ('1689457111769157632', '', '权限配置', 'dashboard', '', 'index', '', 'pessionConfig/index', '1689456945674719232', '0', '1', '1', '2023-08-10 10:02:19', null, '1');

-- ----------------------------
-- Table structure for sys_post
-- ----------------------------
DROP TABLE IF EXISTS `sys_post`;
CREATE TABLE `sys_post` (
  `post_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '岗位ID',
  `post_code` varchar(64) COLLATE utf8mb4_bin NOT NULL COMMENT '岗位编码',
  `post_name` varchar(50) COLLATE utf8mb4_bin NOT NULL COMMENT '岗位名称',
  `post_sort` int(11) NOT NULL COMMENT '显示顺序',
  `status` char(1) COLLATE utf8mb4_bin NOT NULL COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) COLLATE utf8mb4_bin DEFAULT '' COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) COLLATE utf8mb4_bin DEFAULT '' COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`post_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='岗位信息表';

-- ----------------------------
-- Records of sys_post
-- ----------------------------

-- ----------------------------
-- Table structure for sys_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_role`;
CREATE TABLE `sys_role` (
  `id` varchar(64) NOT NULL COMMENT '主键',
  `name` varchar(255) DEFAULT NULL COMMENT '角色名称',
  `description` varchar(300) DEFAULT NULL,
  `status` tinyint(4) DEFAULT '1' COMMENT '状态(1:正常0:弃用)',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `deleted` tinyint(4) DEFAULT '1' COMMENT '是否删除(1未删除；0已删除)',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='角色表';

-- ----------------------------
-- Records of sys_role
-- ----------------------------
INSERT INTO `sys_role` VALUES ('1237258113002901512', '超级管理员', '我是超级管理员', '1', '2020-01-06 23:37:45', '2023-08-09 17:12:34', '1');
INSERT INTO `sys_role` VALUES ('1237258113002901513', '标记用户角色测试', '标记用户角色测试', '1', '2020-01-08 10:53:35', '2020-04-04 18:20:54', '1');
INSERT INTO `sys_role` VALUES ('1237258113002901514', '测试删除角色', '432432', '1', '2020-01-08 10:54:24', '2020-04-08 00:39:09', '1');
INSERT INTO `sys_role` VALUES ('1237258113002901515', 'test', '我是test', '1', '2020-01-07 21:19:04', '2020-04-09 13:59:53', '1');
INSERT INTO `sys_role` VALUES ('1245949043784421376', '测试123水水水水', '水水水水', '1', '2020-04-03 13:39:35', '2020-04-06 20:42:55', '0');
INSERT INTO `sys_role` VALUES ('1247141318979883008', 'sssssss', '', '1', '2020-04-06 20:37:16', '2020-04-06 20:42:52', '0');
INSERT INTO `sys_role` VALUES ('1247141375170973696', 'aaaaa', 'aaaa', '1', '2020-04-06 20:37:29', '2020-04-06 20:42:50', '0');
INSERT INTO `sys_role` VALUES ('1247141409027395584', 'ddddd', '', '1', '2020-04-06 20:37:37', '2020-04-06 20:42:48', '0');
INSERT INTO `sys_role` VALUES ('1247141434457460736', 'cccccc', '', '1', '2020-04-06 20:37:43', '2020-04-06 20:42:45', '0');
INSERT INTO `sys_role` VALUES ('1247141460004966400', 'xxxxxx', '', '1', '2020-04-06 20:37:49', '2020-04-06 20:40:23', '0');
INSERT INTO `sys_role` VALUES ('1247141493991411712', 'vvvvvv', '', '1', '2020-04-06 20:37:58', '2020-04-06 20:42:43', '0');
INSERT INTO `sys_role` VALUES ('1689208395539812352', '林谷智能', '林谷智能', '1', '2023-08-09 17:34:00', '2023-08-10 10:02:34', '1');

-- ----------------------------
-- Table structure for sys_role_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_dept`;
CREATE TABLE `sys_role_dept` (
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  `dept_id` bigint(20) NOT NULL COMMENT '部门ID',
  PRIMARY KEY (`role_id`,`dept_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='角色和部门关联表';

-- ----------------------------
-- Records of sys_role_dept
-- ----------------------------

-- ----------------------------
-- Table structure for sys_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_menu`;
CREATE TABLE `sys_role_menu` (
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  `menu_id` bigint(20) NOT NULL COMMENT '菜单ID',
  PRIMARY KEY (`role_id`,`menu_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='角色和菜单关联表';

-- ----------------------------
-- Records of sys_role_menu
-- ----------------------------

-- ----------------------------
-- Table structure for sys_role_permission
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_permission`;
CREATE TABLE `sys_role_permission` (
  `id` varchar(64) NOT NULL COMMENT '主键',
  `role_id` varchar(64) DEFAULT NULL COMMENT '角色id',
  `permission_id` varchar(64) DEFAULT NULL COMMENT '菜单权限id',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='角色权限表';

-- ----------------------------
-- Records of sys_role_permission
-- ----------------------------
INSERT INTO `sys_role_permission` VALUES ('1248128480433016832', '1237258113002901515', '1236916745927790568', '2020-04-09 13:59:53');
INSERT INTO `sys_role_permission` VALUES ('1248128480433016833', '1237258113002901515', '1236916745927790564', '2020-04-09 13:59:53');
INSERT INTO `sys_role_permission` VALUES ('1248128480433016834', '1237258113002901515', '1236916745927790575', '2020-04-09 13:59:53');
INSERT INTO `sys_role_permission` VALUES ('1689203000440131584', '1237258113002901512', '1236916745927790564', '2023-08-09 17:12:34');
INSERT INTO `sys_role_permission` VALUES ('1689203000440131585', '1237258113002901512', '1236916745927790575', '2023-08-09 17:12:34');
INSERT INTO `sys_role_permission` VALUES ('1689203000440131586', '1237258113002901512', '1236916745927790556', '2023-08-09 17:12:34');
INSERT INTO `sys_role_permission` VALUES ('1689203000440131587', '1237258113002901512', '1236916745927790561', '2023-08-09 17:12:34');
INSERT INTO `sys_role_permission` VALUES ('1689203000440131588', '1237258113002901512', '1236916745927790568', '2023-08-09 17:12:34');
INSERT INTO `sys_role_permission` VALUES ('1689203000440131589', '1237258113002901512', '1236916745927790579', '2023-08-09 17:12:34');
INSERT INTO `sys_role_permission` VALUES ('1689203000440131590', '1237258113002901512', '1236916745927790580', '2023-08-09 17:12:34');
INSERT INTO `sys_role_permission` VALUES ('1689203000440131591', '1237258113002901512', '1525716686727155712', '2023-08-09 17:12:34');
INSERT INTO `sys_role_permission` VALUES ('1689203000440131592', '1237258113002901512', '1236916745927790578', '2023-08-09 17:12:34');
INSERT INTO `sys_role_permission` VALUES ('1689203000440131593', '1237258113002901512', '1236916745927790562', '2023-08-09 17:12:34');
INSERT INTO `sys_role_permission` VALUES ('1689203000440131594', '1237258113002901512', '1236916745927790570', '2023-08-09 17:12:34');
INSERT INTO `sys_role_permission` VALUES ('1689203000440131595', '1237258113002901512', '1236916745927790572', '2023-08-09 17:12:34');
INSERT INTO `sys_role_permission` VALUES ('1689203000440131596', '1237258113002901512', '1236916745927790574', '2023-08-09 17:12:34');
INSERT INTO `sys_role_permission` VALUES ('1689203000440131597', '1237258113002901512', '1236916745927790583', '2023-08-09 17:12:34');
INSERT INTO `sys_role_permission` VALUES ('1689203000440131598', '1237258113002901512', '1236916745927790560', '2023-08-09 17:12:34');
INSERT INTO `sys_role_permission` VALUES ('1689203000440131599', '1237258113002901512', '1236916745927790563', '2023-08-09 17:12:34');
INSERT INTO `sys_role_permission` VALUES ('1689203000440131600', '1237258113002901512', '1236916745927790565', '2023-08-09 17:12:34');
INSERT INTO `sys_role_permission` VALUES ('1689203000440131601', '1237258113002901512', '1236916745927790577', '2023-08-09 17:12:34');
INSERT INTO `sys_role_permission` VALUES ('1689203000440131602', '1237258113002901512', '1236916745927790582', '2023-08-09 17:12:34');
INSERT INTO `sys_role_permission` VALUES ('1689203000440131603', '1237258113002901512', '1236916745927790569', '2023-08-09 17:12:34');
INSERT INTO `sys_role_permission` VALUES ('1689203000440131604', '1237258113002901512', '1236916745927790589', '2023-08-09 17:12:34');
INSERT INTO `sys_role_permission` VALUES ('1689203000440131605', '1237258113002901512', '1236916745927790557', '2023-08-09 17:12:34');
INSERT INTO `sys_role_permission` VALUES ('1689203000440131606', '1237258113002901512', '1236916745927790591', '2023-08-09 17:12:34');
INSERT INTO `sys_role_permission` VALUES ('1689203000440131607', '1237258113002901512', '1236916745927790558', '2023-08-09 17:12:34');
INSERT INTO `sys_role_permission` VALUES ('1689203000440131608', '1237258113002901512', '1236916745927790571', '2023-08-09 17:12:34');
INSERT INTO `sys_role_permission` VALUES ('1689457175816179712', '1689208395539812352', '1689450709126352896', '2023-08-10 10:02:34');
INSERT INTO `sys_role_permission` VALUES ('1689457175816179713', '1689208395539812352', '1689456308165677056', '2023-08-10 10:02:34');
INSERT INTO `sys_role_permission` VALUES ('1689457175816179714', '1689208395539812352', '1689456945674719232', '2023-08-10 10:02:34');
INSERT INTO `sys_role_permission` VALUES ('1689457175816179715', '1689208395539812352', '1689457111769157632', '2023-08-10 10:02:34');

-- ----------------------------
-- Table structure for sys_user
-- ----------------------------
DROP TABLE IF EXISTS `sys_user`;
CREATE TABLE `sys_user` (
  `id` varchar(64) NOT NULL COMMENT '用户id',
  `username` varchar(50) NOT NULL COMMENT '账户',
  `password` varchar(200) NOT NULL COMMENT '用户密码密文',
  `phone` varchar(20) DEFAULT NULL COMMENT '手机号码',
  `real_name` varchar(60) DEFAULT NULL COMMENT '真实名称',
  `nick_name` varchar(60) DEFAULT NULL COMMENT '昵称',
  `email` varchar(50) DEFAULT NULL COMMENT '邮箱(唯一)',
  `status` tinyint(4) DEFAULT '1' COMMENT '账户状态(1.正常 2.锁定 )',
  `sex` tinyint(4) DEFAULT '1' COMMENT '性别(1.男 2.女)',
  `deleted` tinyint(4) DEFAULT '1' COMMENT '是否删除(1未删除；0已删除)',
  `create_id` varchar(64) DEFAULT NULL COMMENT '创建人',
  `update_id` varchar(64) DEFAULT NULL COMMENT '更新人',
  `create_where` tinyint(4) DEFAULT '1' COMMENT '创建来源(1.web 2.android 3.ios )',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='用户表';

-- ----------------------------
-- Records of sys_user
-- ----------------------------
INSERT INTO `sys_user` VALUES ('1237361915165020161', 'admin', '$2a$10$BGys1N0SGdynf6HzdARzUeXZN7JZq5MBE5C6b/oZD108eIYGuq.rK', '13888888888', '小池', '超级管理员', '875267425@qq.com', '1', '1', '1', null, '1237361915165020161', '1', '2019-09-22 19:38:05', '2020-04-07 18:08:52');
INSERT INTO `sys_user` VALUES ('1237365636208922624', 'test', '$2a$10$BGys1N0SGdynf6HzdARzUeXZN7JZq5MBE5C6b/oZD108eIYGuq.rK', '16666666666', null, null, null, '1', '2', '1', '1237361915165020161', '1237361915165020161', '1', '2020-03-10 13:12:12', '2020-04-06 18:11:58');
INSERT INTO `sys_user` VALUES ('1246071816909361152', 'test123', '$2a$10$aT26Bk4wqx0DC6PuwpxLDuiHa121g1qsTgbH5.bxf14VPv4PRtLg.', '13666666666', 'test测试账号', '测试账号', '222222222@qq.com', '1', '1', '1', null, '1237361915165020161', '1', '2020-04-03 21:47:27', '2020-04-04 15:13:44');
INSERT INTO `sys_user` VALUES ('1246347518934126592', 'aaaaaa啊啊啊啊', '$2a$10$l1H90jy1UyZaHnsnZ7qCHOL8d83RUZn8A0N0aIEHWfGe2u.LmYkES', '13333333336', 'aaaaa', 'aaaaaa', 'aaaaaaaa@qq.com', '1', '1', '1', null, '1237361915165020161', '1', '2020-04-04 16:02:59', '2020-04-04 17:18:34');
INSERT INTO `sys_user` VALUES ('1246352746546860032', 'bb啵啵c呃呃呃呃呃', '$2a$10$ex6BCxAd.ubD6ogPgj/jKOvr1HYcczXnGUXGSiP2Lh8uTcSD7dngK', '13888888888', 'bbbbb', 'bbb', 'bbbbbbbbbb@qq.com', '1', '2', '1', null, '1247515643591397376', '1', '2020-04-04 16:23:46', '2020-04-08 12:01:41');
INSERT INTO `sys_user` VALUES ('1246362842827984896', '我只是想测试123', '$2a$10$31JFwSh4bGCD/b.rwnKYHeHlqP5q3hTQZGr3nsSJW2HujULNfMrii', '13555555553', 'formceshiddd', 'formceshiddd', 'bbb888888@qq.com', '1', '2', '1', null, '1237361915165020161', '2', '2020-04-04 17:03:53', '2020-04-04 17:44:09');
INSERT INTO `sys_user` VALUES ('1246368763562037248', '水水水123', '$2a$10$FDofRcNN18MbTGFHXQLSf.wsmFGozn3JUTVIvTiaiqRNthrdxKTzG', '15777777778', '水水水水123', '水水水水123', 'qq55555@qq.com', '1', '1', '1', null, '1237361915165020161', '2', '2020-04-04 17:27:24', '2020-04-04 17:44:00');
INSERT INTO `sys_user` VALUES ('1247078461865070592', 'ddddddd', '$2a$10$Sw2Ql7BnqqX2WCE7UZxoP.x5UeQe/7QlBLD.8WQgA5VFETi04aN5S', '13222222222', 'ddddd', 'dddddd', '55555555@qq.com', '1', '1', '1', null, null, '1', '2020-04-06 16:27:30', null);
INSERT INTO `sys_user` VALUES ('1247078545952477184', 'ccccccccc', '$2a$10$BdjM5j3wiVHF1XHymLxaxOfMeh4.uF7rnETKaNUB37yVWylFKwSRK', '13555555555', 'ccccc', 'cccc', '22222555@qq.com', '1', '2', '1', null, null, '1', '2020-04-06 16:27:50', '2020-04-06 16:31:06');
INSERT INTO `sys_user` VALUES ('1247078658519207936', 'xxxxxxxxx', '$2a$10$1/RUJ7Na1tsgUfYnygnlAead0odJBhREJbb.7G2pW5YAaIX/WJenO', '13333333333', 'xxxxxxxxx', 'xxxxxxx', '2444444445@qq.com', '1', '2', '1', null, null, '1', '2020-04-06 16:28:17', null);
INSERT INTO `sys_user` VALUES ('1247078839641837568', '8888888888', '$2a$10$I79.b91kXfwhG6Nw8EsQY.ZSuk5dffpt1fwQqJx01IB/7C.bErozq', '13999999999', '888888', '88888', '888888888@qq.com', '1', '1', '1', null, null, '1', '2020-04-06 16:29:00', '2020-04-06 16:32:38');
INSERT INTO `sys_user` VALUES ('1247079478228815872', 'eeeeeeeeee', '$2a$10$3EsSOzRQ7SheqTvf3I9l9.hnpjAAIyRnGnLLYA28CWb0niFgN6iry', '13688888888', 'eeee', 'eee', 'eeeeee@qq.com', '1', '1', '1', null, null, '1', '2020-04-06 16:31:32', '2020-04-06 16:38:23');
INSERT INTO `sys_user` VALUES ('1247462611247828992', 'ssssss', '$2a$10$BDHPYj6a7hT7wz.cbC6uGOVV57r7C0CmrM59EMBtdxo34astzQLJS', '13333333333', 'ssssss', 'ssssss', '333333@qq.com', '1', '1', '1', null, null, '1', '2020-04-07 17:53:58', null);
INSERT INTO `sys_user` VALUES ('1247515643591397376', 'admin123', '$2a$10$RlBzDJm2IOb5...piM.yEObU.r0D6Jd5XrszKzu/r3mFRPTx0gQbi', '13699999999', 'admin测试', 'admin测试', 'admin123@qq.com', '1', '1', '1', null, '1237361915165020161', '1', '2020-04-07 21:24:42', '2020-04-08 12:04:46');

-- ----------------------------
-- Table structure for sys_user_post
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_post`;
CREATE TABLE `sys_user_post` (
  `user_id` bigint(20) NOT NULL COMMENT '用户ID',
  `post_id` bigint(20) NOT NULL COMMENT '岗位ID',
  PRIMARY KEY (`user_id`,`post_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='用户与岗位关联表';

-- ----------------------------
-- Records of sys_user_post
-- ----------------------------

-- ----------------------------
-- Table structure for sys_user_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_role`;
CREATE TABLE `sys_user_role` (
  `id` varchar(64) NOT NULL COMMENT '主键',
  `user_id` varchar(64) DEFAULT NULL COMMENT '用户id',
  `role_id` varchar(64) DEFAULT NULL COMMENT '角色id',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='用户角色表';

-- ----------------------------
-- Records of sys_user_role
-- ----------------------------
INSERT INTO `sys_user_role` VALUES ('1239912670904324096', '1237361915165020161', '1237258113002901512', '2020-03-17 21:53:12');
INSERT INTO `sys_user_role` VALUES ('1246339384232513536', '1246071816909361152', '1237258113002901515', '2020-04-04 15:30:40');
INSERT INTO `sys_user_role` VALUES ('1247515049136885760', '1237365636208922624', '1237258113002901515', '2020-04-07 21:22:20');
INSERT INTO `sys_user_role` VALUES ('1247736718564659200', '1247515643591397376', '1237258113002901515', '2020-04-08 12:03:10');
INSERT INTO `sys_user_role` VALUES ('1689208437839368192', '10002', '1689208395539812352', '2023-08-09 17:34:10');

-- ----------------------------
-- Table structure for temp_course
-- ----------------------------
DROP TABLE IF EXISTS `temp_course`;
CREATE TABLE `temp_course` (
  `zxl_course_id` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL,
  `course_name` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL,
  `course_url` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL,
  `sub_url` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of temp_course
-- ----------------------------

-- ----------------------------
-- Table structure for temp_course_copy1
-- ----------------------------
DROP TABLE IF EXISTS `temp_course_copy1`;
CREATE TABLE `temp_course_copy1` (
  `zxl_course_id` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL,
  `course_name` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL,
  `course_url` text COLLATE utf8mb4_bin,
  `sub_url` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of temp_course_copy1
-- ----------------------------

-- ----------------------------
-- Table structure for tuser
-- ----------------------------
DROP TABLE IF EXISTS `tuser`;
CREATE TABLE `tuser` (
  `folk` int(11) NOT NULL DEFAULT '-1',
  `status` int(11) NOT NULL,
  `slabs` varchar(4) DEFAULT '',
  `id` bigint(20) NOT NULL,
  `regname` varchar(200) NOT NULL,
  `name` varchar(50) NOT NULL,
  `password` varchar(50) NOT NULL,
  `sex` int(11) NOT NULL,
  `learn` varchar(50) DEFAULT NULL,
  `businesscategory` int(11) NOT NULL DEFAULT '-1',
  `business` bigint(20) NOT NULL DEFAULT '-1',
  `techgrade` bigint(20) DEFAULT NULL,
  `techcategory` bigint(20) DEFAULT NULL,
  `photo` varchar(100) DEFAULT NULL,
  `birthday` datetime DEFAULT NULL,
  `certificatetype` int(11) DEFAULT NULL,
  `usercode` varchar(20) DEFAULT NULL,
  `certificatecode` varchar(50) DEFAULT NULL,
  `workdate` datetime DEFAULT NULL,
  `academy` varchar(50) DEFAULT NULL,
  `major` varchar(50) DEFAULT NULL,
  `degree` varchar(50) DEFAULT NULL,
  `phone` varchar(100) DEFAULT NULL,
  `email` varchar(100) DEFAULT NULL,
  `tcomment` text,
  `reservedint` bigint(20) DEFAULT NULL,
  `reservedint1` bigint(20) DEFAULT NULL,
  `reserveddouble` decimal(20,0) DEFAULT NULL,
  `properties` text,
  `groupids` varchar(1000) DEFAULT NULL,
  `enterbankdate` datetime DEFAULT NULL,
  `corpid` bigint(20) DEFAULT NULL,
  `syndate` date DEFAULT NULL,
  `user_code` varchar(50) DEFAULT '0',
  `level` int(11) DEFAULT '0',
  `worktype` bigint(20) DEFAULT '0',
  `syncdate` date NOT NULL,
  `isndg` int(11) DEFAULT '0',
  `subuniv` int(11) DEFAULT '0',
  `jobnumber` varchar(50) DEFAULT NULL,
  `tysfrz` varchar(50) DEFAULT NULL,
  `istysfrz` int(11) DEFAULT NULL,
  `zgzt` bigint(20) DEFAULT '0',
  `cpid` bigint(20) DEFAULT NULL,
  `hr_userid` varchar(20) DEFAULT NULL,
  `user_type` int(11) DEFAULT NULL,
  `zyjszg` varchar(10) DEFAULT NULL,
  `modify_time` datetime DEFAULT NULL,
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP,
  `sys_user_type` varchar(200) DEFAULT NULL,
  `group_names` varchar(1000) DEFAULT NULL,
  `flag` varchar(20) DEFAULT NULL,
  `begin_time` date DEFAULT NULL,
  `end_time` date DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  KEY `CERTIFICATECODE` (`certificatecode`) USING BTREE,
  KEY `NAME` (`name`) USING BTREE,
  KEY `REGNAME` (`regname`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of tuser
-- ----------------------------
INSERT INTO `tuser` VALUES ('-1', '1', '', '10002', '10002', '宋梅', '67890', '0', null, '-1', '-1', null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, '2023-08-07', '0', '0', '0', '2023-08-07', '0', '0', null, null, null, '0', null, null, null, null, null, '2023-08-07 16:46:33', null, null, null, null, null);
INSERT INTO `tuser` VALUES ('-1', '1', '', '1237361915165020161', '10001', '张三', '111111111111111', '1', null, '-1', '-1', null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, '2023-08-07', '0', '0', '0', '2023-08-07', '0', '0', null, null, null, '0', null, null, null, null, null, '2023-08-07 16:28:23', null, null, null, null, null);

-- ----------------------------
-- Table structure for t_class_sort_rela
-- ----------------------------
DROP TABLE IF EXISTS `t_class_sort_rela`;
CREATE TABLE `t_class_sort_rela` (
  `class_id` int(11) NOT NULL COMMENT '培训班ID',
  `class_sort_id` int(11) NOT NULL COMMENT '培训班分类表ID',
  `seq_no` bigint(20) DEFAULT '0' COMMENT '排序字段',
  PRIMARY KEY (`class_id`,`class_sort_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='培训班与培训班分类关联表';

-- ----------------------------
-- Records of t_class_sort_rela
-- ----------------------------
INSERT INTO `t_class_sort_rela` VALUES ('10001', '10001', '0');
INSERT INTO `t_class_sort_rela` VALUES ('10002', '10002', '0');

-- ----------------------------
-- Table structure for t_course
-- ----------------------------
DROP TABLE IF EXISTS `t_course`;
CREATE TABLE `t_course` (
  `id` varchar(100) CHARACTER SET utf8 COLLATE utf8_estonian_ci NOT NULL COMMENT '唯一不重复',
  `course_title` varchar(150) DEFAULT NULL COMMENT '课程标题',
  `course_desc` text COMMENT '课程介绍',
  `course_score` double(11,2) DEFAULT '0.00' COMMENT '课程平均评分',
  `play_num` int(11) DEFAULT '0' COMMENT '播放次数',
  `credit_hour` int(11) DEFAULT '1' COMMENT '学时',
  `credit` int(11) DEFAULT '1' COMMENT '学分',
  `course_introduce` varchar(500) DEFAULT NULL COMMENT '课程描述',
  `class_duration` int(11) DEFAULT '0' COMMENT '课程时长 单位秒 改视频长度',
  `major_id` varchar(255) DEFAULT NULL COMMENT '课程分类ID',
  `is_del` int(11) DEFAULT '0' COMMENT '0 正常 1 删除',
  `remarks` varchar(255) DEFAULT NULL COMMENT '备注',
  `created_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `created_by` int(11) DEFAULT NULL COMMENT '创建人',
  `updated_time` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `updated_by` int(11) DEFAULT NULL COMMENT '最后修改人',
  `status` int(11) DEFAULT NULL COMMENT '发布状态 1 发布 0未发布',
  `type` int(11) DEFAULT NULL COMMENT '课程类型 0 视频 1 文章',
  `is_other` int(11) DEFAULT '0' COMMENT '是否为外部资源 0 内部资源 1 外部资源 2外部资源异常 3正在同步中',
  `tip` varchar(255) DEFAULT NULL COMMENT '封面标题',
  `num` int(11) DEFAULT '0' COMMENT '观看数量',
  `collectsum` int(11) DEFAULT '0' COMMENT '收藏数量',
  `commentsum` int(11) DEFAULT '0' COMMENT '评价数量',
  `lecturer_id` int(11) DEFAULT NULL COMMENT '讲师id',
  `lecturer_name` varchar(50) DEFAULT NULL COMMENT '讲师名称',
  `course_quality` varchar(255) DEFAULT NULL COMMENT '课程品质 0：默认 1：优秀 2：精品 3：标准',
  `created_by_name` varchar(50) DEFAULT NULL COMMENT '创建人名称',
  `release_date` datetime DEFAULT NULL COMMENT '发布日期',
  `recommend` varchar(5) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL COMMENT '是否推荐',
  `create_corp_code` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL COMMENT '课程的创建公司',
  `publish_date` datetime DEFAULT NULL COMMENT '课程出版日期',
  `supplier_corp_code` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL COMMENT '课程供应商corp_code',
  `course_type` int(11) DEFAULT '0' COMMENT '课程来源类型 0：自建课程 1：抽取课程',
  `open_enroll` int(11) DEFAULT '1' COMMENT '是否公开 0:不公开 1:公开',
  `pid_dept_code` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL COMMENT '二级公司（部门）',
  `major_name` varchar(255) DEFAULT NULL COMMENT '课程名称（同步数据使用）',
  `dept_code` varchar(100) DEFAULT NULL COMMENT '所属公司',
  `id_tree` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL COMMENT '机构关系树',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `mId` (`major_id`) USING BTREE,
  KEY `idx_is_del_status` (`is_del`,`status`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='自学楼-课程表';

-- ----------------------------
-- Records of t_course
-- ----------------------------

-- ----------------------------
-- Table structure for t_course_comment
-- ----------------------------
DROP TABLE IF EXISTS `t_course_comment`;
CREATE TABLE `t_course_comment` (
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_estonian_ci NOT NULL COMMENT '唯一不重复',
  `course_id` varchar(115) DEFAULT NULL COMMENT 't_study_course的id',
  `parent_id` varchar(115) DEFAULT NULL COMMENT '创建这条评论的生成的第一个id置为0',
  `comment_content` text COMMENT '评论内容',
  `user_id` bigint(20) DEFAULT NULL COMMENT '评论人id',
  `reply_to_user_id` bigint(20) DEFAULT NULL COMMENT '向谁回复,这里是填被回复人的id',
  `auditing_id` varchar(115) DEFAULT NULL COMMENT '审核人id',
  `is_true` int(11) DEFAULT '0' COMMENT '0未审核1审核已通过2审核不通过',
  `created_time` datetime DEFAULT CURRENT_TIMESTAMP,
  `created_by` bigint(20) DEFAULT NULL COMMENT '创建人',
  `updated_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  `updated_by` bigint(20) DEFAULT NULL COMMENT '最后修改人',
  `is_del` int(11) DEFAULT '1' COMMENT '0正常1删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='自学楼-课程评论表';

-- ----------------------------
-- Records of t_course_comment
-- ----------------------------

-- ----------------------------
-- Table structure for t_course_default_img
-- ----------------------------
DROP TABLE IF EXISTS `t_course_default_img`;
CREATE TABLE `t_course_default_img` (
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_estonian_ci NOT NULL COMMENT '唯一不重复',
  `file_path` varchar(255) DEFAULT NULL COMMENT '文件存储路径不包括id',
  `file_name` varchar(255) DEFAULT NULL COMMENT '文件原名',
  `other_name` varchar(255) DEFAULT NULL COMMENT '文件别名',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `created_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `created_by` bigint(20) DEFAULT NULL COMMENT '创建人',
  `updated_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `updated_by` bigint(20) DEFAULT NULL COMMENT '更新人',
  `is_delete` int(11) DEFAULT NULL COMMENT '删除标志 0 存在 1删除',
  `type` int(11) DEFAULT NULL COMMENT '0 封面图片  11 视频 1 视频截图  2文档',
  `business_id` varchar(115) DEFAULT NULL COMMENT '业务id  关联课程id',
  `ip` varchar(255) DEFAULT NULL COMMENT '存储地址',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='自学楼-文件表';

-- ----------------------------
-- Records of t_course_default_img
-- ----------------------------

-- ----------------------------
-- Table structure for t_course_dept
-- ----------------------------
DROP TABLE IF EXISTS `t_course_dept`;
CREATE TABLE `t_course_dept` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `relation_id` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '关联id（课程id/系列课id）',
  `dept_id` int(11) DEFAULT NULL COMMENT '机构id 关联t_dept的id',
  `created_at` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `created_by` bigint(20) DEFAULT NULL COMMENT '创建人id',
  `seq_no` bigint(20) DEFAULT NULL COMMENT '排序字段',
  `is_del` int(11) DEFAULT '0' COMMENT '0 正常 1 删除',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `organizerId` (`dept_id`) USING BTREE,
  KEY `classId` (`relation_id`,`is_del`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='课程开放机构表';

-- ----------------------------
-- Records of t_course_dept
-- ----------------------------

-- ----------------------------
-- Table structure for t_course_label
-- ----------------------------
DROP TABLE IF EXISTS `t_course_label`;
CREATE TABLE `t_course_label` (
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_estonian_ci NOT NULL COMMENT '唯一不重复',
  `parent_id` varchar(115) DEFAULT NULL COMMENT '父级id',
  `label_name` varchar(50) DEFAULT NULL COMMENT '标签名称',
  `label_describe` varchar(255) DEFAULT NULL COMMENT '标签描述',
  `created_time` datetime DEFAULT CURRENT_TIMESTAMP,
  `created_by` int(11) DEFAULT NULL COMMENT '创建人',
  `updated_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  `updated_by` int(11) DEFAULT NULL COMMENT '最后修改人',
  `status` int(11) DEFAULT '1' COMMENT '0禁用 1启用',
  `remark` text COMMENT '备注',
  `weight` int(11) DEFAULT NULL COMMENT '权重  有先展示',
  `is_user` int(11) DEFAULT NULL COMMENT '0 启用 1 禁用',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='自学楼-课程标签表';

-- ----------------------------
-- Records of t_course_label
-- ----------------------------

-- ----------------------------
-- Table structure for t_course_major
-- ----------------------------
DROP TABLE IF EXISTS `t_course_major`;
CREATE TABLE `t_course_major` (
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_estonian_ci NOT NULL COMMENT '唯一不重复',
  `major_name` varchar(255) DEFAULT NULL COMMENT '类名',
  `parent_id` varchar(155) DEFAULT NULL COMMENT '父类id  ',
  `group_ids` varchar(200) DEFAULT NULL COMMENT '树级分类id（;分割）',
  `group_names` varchar(200) DEFAULT NULL COMMENT '树级名称（;分割）',
  `remarks` text COMMENT '备注',
  `is_del` int(11) DEFAULT '1' COMMENT '删除标识  0 正常  1删除',
  `created_time` datetime DEFAULT CURRENT_TIMESTAMP,
  `created_by` int(11) DEFAULT NULL COMMENT '创建人',
  `updated_by` int(11) DEFAULT NULL COMMENT '最后修改人',
  `updated_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  `level` int(11) DEFAULT NULL COMMENT '等级',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `parentId` (`parent_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='自学楼-课程分类表';

-- ----------------------------
-- Records of t_course_major
-- ----------------------------

-- ----------------------------
-- Table structure for t_course_major_copy1
-- ----------------------------
DROP TABLE IF EXISTS `t_course_major_copy1`;
CREATE TABLE `t_course_major_copy1` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '唯一不重复',
  `major_name` varchar(255) DEFAULT NULL COMMENT '类名',
  `parent_id` varchar(200) DEFAULT NULL COMMENT '父类id  ',
  `group_ids` varchar(500) DEFAULT NULL COMMENT '树级分类id（;分割）',
  `group_names` varchar(500) DEFAULT NULL COMMENT '树级名称（;分割）',
  `remarks` text COMMENT '备注',
  `is_del` int(11) DEFAULT '1' COMMENT '删除标识  0 正常  1删除',
  `created_time` datetime DEFAULT CURRENT_TIMESTAMP,
  `created_by` int(11) DEFAULT NULL COMMENT '创建人',
  `updated_by` int(11) DEFAULT NULL COMMENT '最后修改人',
  `updated_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  `code` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  KEY `parentId` (`parent_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='自学楼-课程分类表';

-- ----------------------------
-- Records of t_course_major_copy1
-- ----------------------------

-- ----------------------------
-- Table structure for t_course_message
-- ----------------------------
DROP TABLE IF EXISTS `t_course_message`;
CREATE TABLE `t_course_message` (
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_estonian_ci NOT NULL COMMENT '唯一不重复',
  `course_id` varchar(255) DEFAULT NULL COMMENT 't_study_course的id',
  `message_content` text COMMENT '留言内容',
  `user_id` varchar(255) DEFAULT NULL COMMENT '留言人id',
  `reply_content` text COMMENT '回复内容',
  `reply_user_id` int(11) DEFAULT NULL COMMENT '回复人id',
  `created_time` datetime DEFAULT CURRENT_TIMESTAMP,
  `created_by` int(11) DEFAULT NULL COMMENT '创建人',
  `updated_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  `updated_by` int(11) DEFAULT NULL COMMENT '最后修改人',
  `is_del` int(11) DEFAULT '1' COMMENT '0正常1删除is_del',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='自学楼-课程留言表';

-- ----------------------------
-- Records of t_course_message
-- ----------------------------

-- ----------------------------
-- Table structure for t_course_note
-- ----------------------------
DROP TABLE IF EXISTS `t_course_note`;
CREATE TABLE `t_course_note` (
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_estonian_ci NOT NULL COMMENT '唯一不重复',
  `course_id` varchar(255) DEFAULT NULL COMMENT 't_study_course的id 课程id',
  `note_content` text COMMENT '笔记内容',
  `user_id` int(11) DEFAULT NULL COMMENT '笔记人id',
  `created_time` datetime DEFAULT CURRENT_TIMESTAMP,
  `created_by` int(11) DEFAULT NULL COMMENT '创建人',
  `updated_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  `updated_by` int(11) DEFAULT NULL COMMENT '最后修改人',
  `is_del` int(11) DEFAULT '1' COMMENT '0正常1删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='自学楼-课程笔记表';

-- ----------------------------
-- Records of t_course_note
-- ----------------------------

-- ----------------------------
-- Table structure for t_course_series
-- ----------------------------
DROP TABLE IF EXISTS `t_course_series`;
CREATE TABLE `t_course_series` (
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_estonian_ci NOT NULL COMMENT '唯一不重复',
  `series_name` varchar(255) DEFAULT NULL COMMENT '系列名称',
  `series_introduce` varchar(255) DEFAULT NULL COMMENT '系列介绍',
  `total_course` decimal(10,2) DEFAULT NULL COMMENT '总学时',
  `remarks` varchar(255) DEFAULT NULL COMMENT '备注',
  `is_del` int(11) DEFAULT '0' COMMENT '状态 0 正  1 删除',
  `created_time` datetime DEFAULT CURRENT_TIMESTAMP,
  `created_by` int(11) DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  `update_by` int(11) DEFAULT NULL COMMENT '修改人',
  `video_duration` int(11) DEFAULT NULL COMMENT '视频总时长 单位秒',
  `play_num` int(11) DEFAULT NULL COMMENT '播放次数',
  `course_score` decimal(10,2) DEFAULT NULL COMMENT '总学分',
  `status` varchar(255) DEFAULT NULL COMMENT '状态:  0 已发布  1 未发布  2 已撤回',
  `sum` int(11) DEFAULT '0' COMMENT '评价数',
  `num` int(11) DEFAULT '0' COMMENT '学习数',
  `coursenum` int(11) DEFAULT NULL COMMENT '课程数量',
  `open_enroll` int(11) DEFAULT NULL COMMENT '是否公开 0:不公开 1:公开',
  `course_type` int(11) DEFAULT '0' COMMENT '课程来源类型 0：自建课程 1：抽取课程',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='自学楼-系列课程';

-- ----------------------------
-- Records of t_course_series
-- ----------------------------

-- ----------------------------
-- Table structure for t_course_temp
-- ----------------------------
DROP TABLE IF EXISTS `t_course_temp`;
CREATE TABLE `t_course_temp` (
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_estonian_ci NOT NULL COMMENT '唯一不重复',
  `course_title` varchar(200) DEFAULT NULL COMMENT '课程标题',
  `major_id` varchar(255) DEFAULT NULL COMMENT '课程分类ID',
  `major_name` varchar(255) DEFAULT NULL COMMENT '课程名称',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `mId` (`major_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='自学楼-课程表';

-- ----------------------------
-- Records of t_course_temp
-- ----------------------------

-- ----------------------------
-- Table structure for t_course_to_label
-- ----------------------------
DROP TABLE IF EXISTS `t_course_to_label`;
CREATE TABLE `t_course_to_label` (
  `course_id` varchar(155) NOT NULL COMMENT '课程id',
  `label_id` varchar(155) NOT NULL COMMENT '标签id',
  PRIMARY KEY (`course_id`,`label_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='自学楼-标签 课程关联表';

-- ----------------------------
-- Records of t_course_to_label
-- ----------------------------

-- ----------------------------
-- Table structure for t_course_to_series
-- ----------------------------
DROP TABLE IF EXISTS `t_course_to_series`;
CREATE TABLE `t_course_to_series` (
  `course_id` varchar(155) NOT NULL COMMENT '课程id',
  `series_id` varchar(155) DEFAULT NULL COMMENT '系列id',
  PRIMARY KEY (`course_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='自学楼-系列 课程 关联表';

-- ----------------------------
-- Records of t_course_to_series
-- ----------------------------

-- ----------------------------
-- Table structure for t_default_data
-- ----------------------------
DROP TABLE IF EXISTS `t_default_data`;
CREATE TABLE `t_default_data` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `data_type` int(11) DEFAULT NULL COMMENT '类型;0=培训班默认风格;',
  `value` text COLLATE utf8mb4_bin COMMENT '内容',
  `created_by` bigint(20) DEFAULT NULL COMMENT '创建人',
  `created_at` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `seq_no` int(11) DEFAULT NULL COMMENT '排序字段',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='默认数据记录表';

-- ----------------------------
-- Records of t_default_data
-- ----------------------------

-- ----------------------------
-- Table structure for t_dept
-- ----------------------------
DROP TABLE IF EXISTS `t_dept`;
CREATE TABLE `t_dept` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `pid` int(11) DEFAULT NULL COMMENT '父id',
  `source_id` bigint(20) DEFAULT NULL COMMENT '源数据id,db2的id',
  `dept_name` varchar(200) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '机构名称',
  `dept_short_name` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '机构简称',
  `reserved_int` tinyint(4) DEFAULT NULL COMMENT '0-部门 1公司',
  `unit_property` tinyint(4) DEFAULT NULL COMMENT '单位性质：1.主业，2.农电，3.集体，4.其他',
  `is_use` tinyint(4) DEFAULT NULL,
  `is_corp` int(11) DEFAULT NULL COMMENT '是否为公司',
  `duty_paragraph` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '税号',
  `company` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '单位',
  `phone` varchar(20) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '电话',
  `bank_name` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '开户行',
  `bank_no` varchar(30) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '银行账户',
  `created_at` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `created_by` bigint(20) DEFAULT NULL COMMENT '创建人id',
  `status` int(11) DEFAULT '1' COMMENT '1正常 0删除',
  `seq_no` bigint(20) DEFAULT NULL COMMENT '排序字段',
  `id_tree` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '机构关系树',
  `reg_name` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '人资部门编码',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `isCorp` (`is_corp`) USING BTREE,
  KEY `idTree` (`id_tree`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='组织机构表';

-- ----------------------------
-- Records of t_dept
-- ----------------------------

-- ----------------------------
-- Table structure for t_detault_res
-- ----------------------------
DROP TABLE IF EXISTS `t_detault_res`;
CREATE TABLE `t_detault_res` (
  `uid` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT 'UUID',
  `res_type` int(11) DEFAULT NULL COMMENT '资源类型;1=培训班默认封面',
  `res_url` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '资源地址',
  `created_at` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `status` int(11) DEFAULT NULL COMMENT '1正常 0删除',
  `seq_no` bigint(20) DEFAULT NULL COMMENT '排序字段'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of t_detault_res
-- ----------------------------

-- ----------------------------
-- Table structure for t_els_course_category
-- ----------------------------
DROP TABLE IF EXISTS `t_els_course_category`;
CREATE TABLE `t_els_course_category` (
  `category_id` varchar(32) COLLATE utf8mb4_bin NOT NULL COMMENT '主键',
  `category_name` varchar(200) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '名称',
  `show_order` double DEFAULT NULL COMMENT '排序号',
  `parent_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '父类别ID',
  `corp_code` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '公司ID',
  `open_scope` varchar(20) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '类别开放范围:全部开放all|部分开放part|不开放not open',
  `id_path` text COLLATE utf8mb4_bin COMMENT '类别IDpath',
  `create_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `last_modify_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '最后一次修改人',
  `last_modify_time` datetime DEFAULT NULL COMMENT '最后一次修改时间',
  `opt_time` bigint(20) DEFAULT NULL,
  `picture_id` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '广告id',
  `source_category_id` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '来源类别ID',
  `ind` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '测试',
  `category_code` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '分类编码',
  PRIMARY KEY (`category_id`) USING BTREE,
  KEY `i_lcms_category_create_time` (`corp_code`,`create_time`) USING BTREE,
  KEY `i_lcms_category_last_time` (`corp_code`,`last_modify_time`) USING BTREE,
  KEY `i_lcms_category_name` (`corp_code`,`category_name`) USING BTREE,
  KEY `i_lcms_category_parent_id` (`parent_id`,`corp_code`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of t_els_course_category
-- ----------------------------

-- ----------------------------
-- Table structure for t_els_course_collection
-- ----------------------------
DROP TABLE IF EXISTS `t_els_course_collection`;
CREATE TABLE `t_els_course_collection` (
  `collection_id` varchar(32) COLLATE utf8mb4_bin NOT NULL COMMENT '主键',
  `course_id` varchar(32) COLLATE utf8mb4_bin NOT NULL COMMENT '收藏的课程id',
  `user_id` varchar(32) COLLATE utf8mb4_bin NOT NULL COMMENT '用户id',
  `corp_code` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL,
  `create_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `last_modify_time` datetime DEFAULT NULL,
  `last_modify_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL,
  `opt_time` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`collection_id`) USING BTREE,
  KEY `i_els_course_collection_corp_code` (`corp_code`) USING BTREE,
  KEY `i_els_course_collection_course_id` (`course_id`) USING BTREE,
  KEY `i_els_course_collection_user_id` (`user_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of t_els_course_collection
-- ----------------------------

-- ----------------------------
-- Table structure for t_els_course_info
-- ----------------------------
DROP TABLE IF EXISTS `t_els_course_info`;
CREATE TABLE `t_els_course_info` (
  `course_id` varchar(32) COLLATE utf8mb4_bin NOT NULL COMMENT '主键',
  `course_title` varchar(200) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '课程名称',
  `course_code` varchar(20) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '课程代码：唯一的课程标识',
  `category_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '课程分类',
  `source_course_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '来源于课程ID',
  `course_period` double DEFAULT NULL COMMENT '学时（单位：分钟）',
  `course_status` varchar(20) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '课程状态：激活(active)/禁用(forbidden)/删除(delete)',
  `corp_code` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '所属公司',
  `course_standard` varchar(20) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '课程种类:SCORM12(scorm1.2课程),SCORM14(scorm2004课程),ONLINEPACKAGE(普通在线观看课程),DOWNLOAD(普通下载观看课程),OLINEURL(URL课程),ONLINEDOC(文档类课程),THREESCREEN(三分屏课程),TWOSCREEN(两分屏课程)',
  `file_href` text COLLATE utf8mb4_bin COMMENT '在线URL课程的 url',
  `min_study_time` double DEFAULT NULL COMMENT '在线观看课程的最短学习时长',
  `terminal` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '适合终端以逗号间隔\r\n（COMPUTER，ANDROIDPHONE，IPHONE，ANDROIDPAD，IPAD）',
  `online` varchar(5) COLLATE utf8mb4_bin NOT NULL COMMENT '线上/线下',
  `create_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `last_modify_time` datetime DEFAULT NULL COMMENT '最后一次修改时间',
  `last_modify_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '最后一次修改人',
  `opt_time` bigint(20) DEFAULT NULL,
  `category_id_path` text COLLATE utf8mb4_bin,
  `teacher` text COLLATE utf8mb4_bin,
  `open_dsc` varchar(5) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '是否开放讨论区',
  `open_scope` varchar(20) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '类别开放范围:全部开放all|部分开放part|不开放not open',
  `cover_id` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '封面id',
  `stored_file_id` varchar(200) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '课程附件在fs中的fileId',
  `license_type` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '类型',
  `last_upload_time` datetime DEFAULT NULL COMMENT '课程最后一次上传时间',
  `step_to_get_score` varchar(20) COLLATE utf8mb4_bin DEFAULT NULL,
  `course_score` double DEFAULT NULL COMMENT '学分',
  `select_count` int(11) DEFAULT NULL,
  `al_ready_copy_app` varchar(5) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '已经拷贝了应用，新课程创建的时候都是false',
  `provider_corp_code` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '来源公司',
  `license_number` int(11) DEFAULT NULL COMMENT '许可人数',
  `license_end_time` datetime DEFAULT NULL COMMENT '许可结束时间',
  `release_date` datetime DEFAULT NULL COMMENT '发布日期',
  `need_approval` varchar(5) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '是否需要申请',
  `recommend` varchar(5) COLLATE utf8mb4_bin NOT NULL COMMENT '是否推荐',
  `create_corp_code` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '课程的创建公司',
  `publish_date` datetime DEFAULT NULL COMMENT '课程出版日期',
  `supplier_corp_code` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '课程供应商corp_code',
  `currency_type` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT 'STUDY_FREE 免费,STUDY_REWARD奖励,STUDY_CHARGE收取',
  `currency_count` decimal(11,3) DEFAULT NULL COMMENT '奖励或收取的虚拟币',
  `mode_payment` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT 'SELECT_TACK 选课后收取，COMPLETE_TACK达到结业条件后收取，SELECT_PAY选课后支付，COMPLETE_PAY达到结业条件后支付',
  `teacher_name` varchar(200) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '讲师名称',
  `template_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL,
  `page_type` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL,
  `cover_filename` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL,
  `unlock_type` varchar(20) COLLATE utf8mb4_bin DEFAULT NULL,
  `unlock_credit` int(11) DEFAULT NULL,
  `ind` varchar(30) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '测试',
  PRIMARY KEY (`course_id`) USING BTREE,
  KEY `i_els_course_info` (`corp_code`) USING BTREE,
  KEY `i_els_course_info_catalog_id` (`category_id`) USING BTREE,
  KEY `i_els_course_info_course_code` (`corp_code`,`course_code`) USING BTREE,
  KEY `i_els_course_info_teacher_name` (`corp_code`,`teacher_name`) USING BTREE,
  KEY `i_els_coz_info_course_title` (`corp_code`,`course_title`) USING BTREE,
  KEY `i_els_coz_info_create_time` (`corp_code`,`create_time`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of t_els_course_info
-- ----------------------------

-- ----------------------------
-- Table structure for t_els_course_item
-- ----------------------------
DROP TABLE IF EXISTS `t_els_course_item`;
CREATE TABLE `t_els_course_item` (
  `resource_id` varchar(32) COLLATE utf8mb4_bin NOT NULL COMMENT '主键',
  `resource_title` varchar(150) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '资源名称',
  `resource_type` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '资源种类(文件类型)(配置文件中的type,一般为webcontent)',
  `launch` varchar(200) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '讲义的路径（kcjy/A01/0101.htm）',
  `launch_file_id` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '章节在fs中对应的uuid',
  `is_visible` varchar(5) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '是否可见',
  `parameter_string` varchar(200) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '参数',
  `hide_lms_ui` varchar(150) COLLATE utf8mb4_bin DEFAULT NULL COMMENT 'hideLMSUI',
  `status` varchar(20) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '资源状态:禁用(forbidden)|激活(active)',
  `corp_code` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '所属公司',
  `scorm_version` varchar(10) COLLATE utf8mb4_bin DEFAULT NULL COMMENT 'scorm版本:scorm1.2|scorm1.3|scorm1.4',
  `min_study_time` int(11) DEFAULT NULL COMMENT '最少需要的时间',
  `attempt_absolute_dura_limit` datetime DEFAULT NULL COMMENT '学习者被允许的最大时间限制',
  `attempt_limit` int(11) DEFAULT NULL COMMENT '活动可以 attempt （尝试）的最大次数，为非负数',
  `mastery_score` varchar(3) COLLATE utf8mb4_bin DEFAULT NULL COMMENT 'MASTERY_SCORE',
  `min_normalized_measure` decimal(65,30) DEFAULT NULL COMMENT '目标的最小满意尺度',
  `time_limit_action` varchar(254) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '当超出最大允许时间时采取的动作(exit,message|exit,no message|continue,message|continue,no message)',
  `choice` int(11) DEFAULT NULL COMMENT '是否允许选择学习活动',
  `sn_control_mode` varchar(10) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '排序控制模式',
  `choice_exit` int(11) DEFAULT NULL COMMENT '允许中止活动',
  `forward_only` int(11) DEFAULT NULL COMMENT '是否允许后退目标',
  `scorm_type` varchar(20) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '类型:是organization还是sco或是asset、elnitem',
  `file_size` int(11) DEFAULT NULL COMMENT '文件大小',
  `file_suffix` varchar(20) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '文件后缀名',
  `create_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `last_modify_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '最后一次修改人',
  `last_modify_time` datetime DEFAULT NULL COMMENT '最后一次修改时间',
  `opt_time` bigint(20) DEFAULT NULL COMMENT '操作时间',
  `data_from_lms` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL,
  `prerequisites` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL,
  `max_time_allow` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL,
  `media` varchar(200) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '视频的flv路径（3.0中的V2,但由于老数据，可能存在带有flash/v2,程序支持这两种格式的）',
  `media_file_id` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '视频在fs中的UUID',
  `wmv_launch` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '视频的wmv路径地址',
  `modify_lecture` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '改造后章节讲义相对于课程包的相对路径URL',
  `modify_media` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL,
  `modify_media_file_id` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '改造课程视频fileId',
  `modify_lecture_file_id` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '改造课程讲义fileId',
  `tbc_sso_scorm` varchar(10) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '是否为tbcssoscorm 是：true',
  `learning_style` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL,
  `question_analysis_type` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL,
  `flash_file_id` varchar(200) COLLATE utf8mb4_bin DEFAULT NULL,
  `html_file_id` varchar(200) COLLATE utf8mb4_bin DEFAULT NULL,
  `flash_path` varchar(200) COLLATE utf8mb4_bin DEFAULT NULL,
  `html_path` varchar(200) COLLATE utf8mb4_bin DEFAULT NULL,
  `duration` bigint(20) DEFAULT NULL,
  `remark` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL,
  PRIMARY KEY (`resource_id`) USING BTREE,
  KEY `i_lcms_coz_item_create_time` (`corp_code`,`create_time`) USING BTREE,
  KEY `i_lcms_coz_item_last_time` (`corp_code`,`last_modify_time`) USING BTREE,
  KEY `i_lcms_coz_item_resource_title` (`corp_code`,`resource_title`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='资源信息';

-- ----------------------------
-- Records of t_els_course_item
-- ----------------------------

-- ----------------------------
-- Table structure for t_els_course_sco_rel
-- ----------------------------
DROP TABLE IF EXISTS `t_els_course_sco_rel`;
CREATE TABLE `t_els_course_sco_rel` (
  `rel_id` varchar(32) COLLATE utf8mb4_bin NOT NULL,
  `course_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '课程id',
  `sco_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT 'scoid,t_lcms_course_item的主键',
  `show_order` double DEFAULT NULL COMMENT '排序号',
  `corp_code` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '所属公司',
  `create_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `last_modify_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '最后一次创建人',
  `last_modify_time` datetime DEFAULT NULL COMMENT '最后一次创建时间',
  `opt_time` bigint(20) DEFAULT NULL COMMENT '操作时间',
  PRIMARY KEY (`rel_id`) USING BTREE,
  KEY `i_lcms_course_sco_rel_lasttime` (`corp_code`,`last_modify_time`) USING BTREE,
  KEY `i_lcms_course_sco_rel_time` (`corp_code`,`create_time`) USING BTREE,
  KEY `i_lcms_coz_sco_rel_course_id` (`course_id`) USING BTREE,
  KEY `i_lcms_coz_sco_rel_sco_id` (`sco_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of t_els_course_sco_rel
-- ----------------------------

-- ----------------------------
-- Table structure for t_file
-- ----------------------------
DROP TABLE IF EXISTS `t_file`;
CREATE TABLE `t_file` (
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_estonian_ci NOT NULL COMMENT '唯一不重复',
  `file_path` varchar(255) DEFAULT NULL COMMENT '文件存储路径不包括id',
  `file_name` varchar(255) DEFAULT NULL COMMENT '文件原名',
  `other_name` varchar(255) DEFAULT NULL COMMENT '文件别名',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `created_time` datetime DEFAULT CURRENT_TIMESTAMP,
  `created_by` bigint(20) DEFAULT NULL COMMENT '创建人',
  `updated_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  `updated_by` bigint(20) DEFAULT NULL COMMENT '更新人',
  `is_delete` int(11) DEFAULT '0' COMMENT '删除标志 0 存在 1删除',
  `type` int(11) DEFAULT NULL COMMENT '类型 0 封面图片  1 视频 2 切片',
  `business_id` varchar(115) DEFAULT NULL COMMENT '业务id  关联课程id',
  `ip` varchar(255) DEFAULT NULL COMMENT '存储地址',
  `source` int(11) DEFAULT NULL COMMENT '来源类型 1：已抽取的老视频资源 2：老视频资源',
  `url_type` int(11) DEFAULT '0' COMMENT '地址类型 0：使用配置地址 1：使用外部地址',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `busId` (`business_id`) USING BTREE,
  KEY `business_type_del_index` (`business_id`,`type`,`is_delete`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of t_file
-- ----------------------------

-- ----------------------------
-- Table structure for t_file_20230220
-- ----------------------------
DROP TABLE IF EXISTS `t_file_20230220`;
CREATE TABLE `t_file_20230220` (
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_estonian_ci NOT NULL COMMENT '唯一不重复',
  `file_path` varchar(255) DEFAULT NULL COMMENT '文件存储路径不包括id',
  `file_name` varchar(255) DEFAULT NULL COMMENT '文件原名',
  `other_name` varchar(255) DEFAULT NULL COMMENT '文件别名',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  `created_time` datetime DEFAULT CURRENT_TIMESTAMP,
  `created_by` bigint(20) DEFAULT NULL COMMENT '创建人',
  `updated_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  `updated_by` bigint(20) DEFAULT NULL COMMENT '更新人',
  `is_delete` int(11) DEFAULT '0' COMMENT '删除标志 0 存在 1删除',
  `type` int(11) DEFAULT NULL COMMENT '类型 0 封面图片  1 视频 2 切片',
  `business_id` varchar(115) DEFAULT NULL COMMENT '业务id  关联课程id',
  `ip` varchar(255) DEFAULT NULL COMMENT '存储地址',
  `source` int(11) DEFAULT NULL COMMENT '来源类型 1：外部视频资源',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `busId` (`business_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of t_file_20230220
-- ----------------------------

-- ----------------------------
-- Table structure for t_file_resources
-- ----------------------------
DROP TABLE IF EXISTS `t_file_resources`;
CREATE TABLE `t_file_resources` (
  `uid` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '文件ID',
  `filename` varchar(200) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '上传文件的原名称',
  `file_type` varchar(10) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '文件类型',
  `url` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '文件路径',
  `business_type` int(11) DEFAULT NULL COMMENT '业务类型;0=未使用、1=培训班封面',
  `created_at` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `created_by` bigint(20) DEFAULT NULL COMMENT '创建人'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of t_file_resources
-- ----------------------------

-- ----------------------------
-- Table structure for t_file_resource_config
-- ----------------------------
DROP TABLE IF EXISTS `t_file_resource_config`;
CREATE TABLE `t_file_resource_config` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `resource_prefix_url` varchar(255) DEFAULT NULL COMMENT '资源前缀地址',
  `sort` int(11) DEFAULT NULL COMMENT '资源访问优先级(1:包含全部资源)',
  `is_del` int(11) DEFAULT '0' COMMENT '0 正常 1 删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='资源配置表';

-- ----------------------------
-- Records of t_file_resource_config
-- ----------------------------

-- ----------------------------
-- Table structure for t_home_banner
-- ----------------------------
DROP TABLE IF EXISTS `t_home_banner`;
CREATE TABLE `t_home_banner` (
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_estonian_ci NOT NULL COMMENT '唯一不重复',
  `type` int(11) DEFAULT '1' COMMENT '1不跳转',
  `created_time` datetime DEFAULT CURRENT_TIMESTAMP,
  `created_by` int(11) DEFAULT NULL COMMENT '创建人',
  `updated_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  `updated_by` int(11) DEFAULT NULL COMMENT '最后修改人',
  `status` int(11) DEFAULT '1' COMMENT '1正常0删除',
  `remarks` text COMMENT '备注',
  `img_name` text COMMENT '图片名称',
  `img_sort` int(11) DEFAULT NULL COMMENT '图片排序',
  `course_id` int(11) DEFAULT NULL COMMENT '课程id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='自学楼-首页banner表';

-- ----------------------------
-- Records of t_home_banner
-- ----------------------------

-- ----------------------------
-- Table structure for t_mechanism_bill
-- ----------------------------
DROP TABLE IF EXISTS `t_mechanism_bill`;
CREATE TABLE `t_mechanism_bill` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `dept_id` int(11) DEFAULT NULL COMMENT '机构ID',
  `duty_paragraph` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '税号',
  `company` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '单位',
  `phone` varchar(20) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '电话',
  `bank_name` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '开户行',
  `bank_no` varchar(30) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '银行账户',
  `created_at` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `created_by` bigint(20) DEFAULT NULL COMMENT '创建人id',
  `status` int(11) DEFAULT '1' COMMENT '1正常 0删除',
  `seq_no` bigint(20) DEFAULT '0' COMMENT '排序字段',
  `rise` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '抬头信息',
  `mailing_address` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '邮寄地址',
  `addressee` varchar(200) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '收件人',
  `addressee_phone` varchar(200) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '收件人电话',
  `default_bill` int(11) DEFAULT '0' COMMENT '是否为默认票据;0=否、1=是',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='机构票据管理表1对多关系';

-- ----------------------------
-- Records of t_mechanism_bill
-- ----------------------------

-- ----------------------------
-- Table structure for t_px_pxjhxmxx
-- ----------------------------
DROP TABLE IF EXISTS `t_px_pxjhxmxx`;
CREATE TABLE `t_px_pxjhxmxx` (
  `id` bigint(20) NOT NULL COMMENT '培训计划项目id',
  `jh_id` bigint(20) DEFAULT NULL COMMENT '年度计划id、临时计划id',
  `pxjhmc` varchar(300) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '培训计划项目名称',
  `nf` smallint(6) DEFAULT NULL COMMENT '年份',
  `zbdw_id` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '主办单位id',
  `ssdw_id` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '实施单位id',
  `znbm_id` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '职能部门id',
  `xbdw` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '协办单位',
  `fzr_id` bigint(20) DEFAULT NULL COMMENT '负责人id',
  `fzr_name` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '负责人名称',
  `jhrs` int(11) DEFAULT NULL COMMENT '计划人数',
  `pxfl` varchar(40) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '培训分类',
  `pxxs` varchar(40) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '培训形式',
  `kssj` date DEFAULT NULL COMMENT '开始时间',
  `jssj` date DEFAULT NULL COMMENT '结束时间',
  `pxdx` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '培训对象',
  `ssdd` varchar(200) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '实施地点',
  `pxxmnr` varchar(600) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '培训项目内容',
  `bzdw` bigint(20) DEFAULT NULL COMMENT '编制单位',
  `zt` char(1) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '状态',
  `bz` varchar(250) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '备注',
  `ygxz` char(1) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '员工性质',
  `pxbdj` varchar(40) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '培训班等级',
  `pxxmbh` varchar(40) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '培训项目编号',
  `pxtzbhfl` varchar(40) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '培训通知编号分类',
  `sfsq` varchar(4) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '是否申请',
  `jhb_id` bigint(20) DEFAULT NULL COMMENT '计划表id',
  `xjbs` varchar(4) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '下级标识',
  `cbdw_id` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '承办单位id',
  `create_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `zbdw_name` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '主办单位名称',
  `ssdw_name` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '实施单位名称',
  `znbm_name` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '职能部门名称',
  `cbdw_name` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '承办单位名称',
  KEY `jhId` (`jh_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='培训计划项目信息(数据中台)';

-- ----------------------------
-- Records of t_px_pxjhxmxx
-- ----------------------------

-- ----------------------------
-- Table structure for t_px_pxjhxx
-- ----------------------------
DROP TABLE IF EXISTS `t_px_pxjhxx`;
CREATE TABLE `t_px_pxjhxx` (
  `id` bigint(20) NOT NULL COMMENT '培训计划信息id',
  `jhlb` varchar(5) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '0：年度计划 1：临时计划',
  `nf` smallint(6) DEFAULT NULL COMMENT '年份',
  `bzdw` bigint(20) DEFAULT NULL COMMENT '编制组织单元',
  `zt` char(1) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '状态',
  `create_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='培训计划信息(数据中台)';

-- ----------------------------
-- Records of t_px_pxjhxx
-- ----------------------------

-- ----------------------------
-- Table structure for t_series_user
-- ----------------------------
DROP TABLE IF EXISTS `t_series_user`;
CREATE TABLE `t_series_user` (
  `id` varchar(255) CHARACTER SET utf8 COLLATE utf8_estonian_ci NOT NULL COMMENT '唯一不重复',
  `user_id` bigint(20) DEFAULT NULL COMMENT '学员id',
  `series_id` varchar(155) DEFAULT NULL COMMENT '系列课id',
  `is_collect` int(11) DEFAULT NULL COMMENT '是否收藏',
  `course_id` varchar(255) DEFAULT NULL COMMENT '此系列正在观看课程的ID',
  `time` double DEFAULT NULL COMMENT '学习时长',
  `is_del` int(11) DEFAULT NULL COMMENT '0 正常  1 删除',
  `created_time` datetime DEFAULT CURRENT_TIMESTAMP,
  `created_by` bigint(20) DEFAULT NULL COMMENT '创建人id',
  `updated_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  `updated_by` bigint(20) DEFAULT NULL COMMENT '修改人id',
  `study_rate` decimal(10,2) DEFAULT NULL COMMENT '学习进度',
  `complete_time` datetime DEFAULT NULL COMMENT '完成时间',
  `credit` int(11) DEFAULT NULL COMMENT '学分',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='自学楼-学习表';

-- ----------------------------
-- Records of t_series_user
-- ----------------------------

-- ----------------------------
-- Table structure for t_study_topic
-- ----------------------------
DROP TABLE IF EXISTS `t_study_topic`;
CREATE TABLE `t_study_topic` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL COMMENT '学习专题名称',
  `moudel` varchar(1) DEFAULT NULL COMMENT '模板',
  `title` varchar(255) DEFAULT NULL COMMENT '标题',
  `second_title` varchar(255) DEFAULT NULL COMMENT '副标题',
  `main_photo` varchar(100) DEFAULT NULL COMMENT '封面',
  `banner_photo` varchar(100) DEFAULT NULL COMMENT 'banner图',
  `introduce_name` varchar(255) CHARACTER SET utf32 DEFAULT NULL COMMENT '简介名称',
  `introduce` varchar(255) DEFAULT NULL COMMENT '介绍',
  `introduce_main_title` varchar(255) DEFAULT NULL COMMENT '简介主标题',
  `introduce_second_title` varchar(255) DEFAULT NULL COMMENT '简介副标题',
  `introduce_main_photo` varchar(100) DEFAULT NULL COMMENT '简介主图',
  `introduce_outside_photo` varchar(100) DEFAULT NULL COMMENT '简介边框图',
  `start_time` datetime DEFAULT NULL COMMENT '开始时间',
  `end_time` datetime DEFAULT NULL COMMENT '结束时间',
  `study_file` varchar(100) DEFAULT NULL COMMENT '学习资料',
  `student_scope` varchar(1) DEFAULT NULL COMMENT '学员范围：0.所有学生，1.部分学生',
  `dept_id` int(11) DEFAULT NULL COMMENT '组织架构',
  `welcome_sentence` varchar(255) DEFAULT NULL COMMENT '欢迎语',
  `foot` varchar(255) DEFAULT NULL COMMENT '版权信息',
  `status` varchar(1) DEFAULT NULL COMMENT '状态：0.未发布，1.已发布，2.已撤回，3.已删除',
  `is_old` int(11) DEFAULT NULL COMMENT '是否是老专题：0.否，1.是',
  `old_url` varchar(100) DEFAULT '0' COMMENT '老专题的地址',
  `path` varchar(100) DEFAULT NULL COMMENT '老专题路径',
  `old_id` int(11) DEFAULT NULL COMMENT '老专题id',
  `topic_type` varchar(1) DEFAULT NULL COMMENT '专题分类',
  `exam_id` varchar(32) DEFAULT NULL COMMENT '考试id',
  `count` int(11) DEFAULT NULL COMMENT '学习量',
  `is_private` varchar(1) DEFAULT NULL COMMENT '是否私有：0.公开，1.私有',
  `author_id` varchar(50) DEFAULT NULL COMMENT '作者id',
  `author_name` varchar(50) DEFAULT NULL COMMENT '作者姓名',
  `is_del` tinyint(4) DEFAULT '0' COMMENT '是否删除 1是 0否',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_by` bigint(20) DEFAULT NULL COMMENT '创建人id',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` bigint(20) DEFAULT NULL COMMENT '更新人id',
  `create_name` varchar(50) DEFAULT NULL COMMENT '创建人名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of t_study_topic
-- ----------------------------

-- ----------------------------
-- Table structure for t_study_topic_class
-- ----------------------------
DROP TABLE IF EXISTS `t_study_topic_class`;
CREATE TABLE `t_study_topic_class` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `group_id` int(11) DEFAULT NULL COMMENT '课组id',
  `class_id` varchar(56) DEFAULT NULL COMMENT '课程id',
  `class_name` varchar(255) DEFAULT NULL COMMENT '课程名称',
  `class_url` text COMMENT '课程路径',
  `class_image_url` varchar(255) DEFAULT NULL COMMENT '课程封面路径',
  `sort` int(11) DEFAULT NULL COMMENT '排序',
  `count` int(11) DEFAULT '0' COMMENT '点击量',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of t_study_topic_class
-- ----------------------------

-- ----------------------------
-- Table structure for t_study_topic_class_group
-- ----------------------------
DROP TABLE IF EXISTS `t_study_topic_class_group`;
CREATE TABLE `t_study_topic_class_group` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `study_topic_id` int(11) DEFAULT NULL COMMENT '学习专题',
  `name` varchar(100) DEFAULT NULL COMMENT '组名',
  `sort` int(11) DEFAULT NULL COMMENT '排序',
  `group_photo` varchar(255) DEFAULT NULL COMMENT '标签背景图',
  `create_by` varchar(32) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `update_by` varchar(32) DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of t_study_topic_class_group
-- ----------------------------

-- ----------------------------
-- Table structure for t_study_topic_collection
-- ----------------------------
DROP TABLE IF EXISTS `t_study_topic_collection`;
CREATE TABLE `t_study_topic_collection` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) DEFAULT NULL,
  `topic_id` int(11) DEFAULT NULL,
  `type` int(11) DEFAULT NULL COMMENT '类型：0.浏览，1.收藏',
  `create_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of t_study_topic_collection
-- ----------------------------

-- ----------------------------
-- Table structure for t_study_topic_copy1
-- ----------------------------
DROP TABLE IF EXISTS `t_study_topic_copy1`;
CREATE TABLE `t_study_topic_copy1` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL COMMENT '学习专题名称',
  `moudel` varchar(1) DEFAULT NULL COMMENT '模板',
  `title` varchar(255) DEFAULT NULL COMMENT '标题',
  `second_title` varchar(255) DEFAULT NULL COMMENT '副标题',
  `main_photo` varchar(100) DEFAULT NULL COMMENT '封面',
  `banner_photo` varchar(100) DEFAULT NULL COMMENT 'banner图',
  `introduce_name` varchar(255) CHARACTER SET utf32 DEFAULT NULL COMMENT '简介名称',
  `introduce` varchar(255) DEFAULT NULL COMMENT '介绍',
  `introduce_main_title` varchar(255) DEFAULT NULL COMMENT '简介主标题',
  `introduce_second_title` varchar(255) DEFAULT NULL COMMENT '简介副标题',
  `introduce_main_photo` varchar(100) DEFAULT NULL COMMENT '简介主图',
  `introduce_outside_photo` varchar(100) DEFAULT NULL COMMENT '简介边框图',
  `start_time` datetime DEFAULT NULL COMMENT '开始时间',
  `end_time` datetime DEFAULT NULL COMMENT '结束时间',
  `study_file` varchar(100) DEFAULT NULL COMMENT '学习资料',
  `student_scope` varchar(1) DEFAULT NULL COMMENT '学员范围：0.所有学生，1.部分学生',
  `dept_id` int(11) DEFAULT NULL COMMENT '组织架构',
  `welcome_sentence` varchar(255) DEFAULT NULL COMMENT '欢迎语',
  `foot` varchar(255) DEFAULT NULL COMMENT '版权信息',
  `status` varchar(1) DEFAULT NULL COMMENT '状态：0.未发布，1.已发布，2.已撤回，3.已删除',
  `is_old` int(11) DEFAULT NULL COMMENT '是否是老专题：0.否，1.是',
  `old_url` varchar(100) DEFAULT '0' COMMENT '老专题的地址',
  `path` varchar(100) DEFAULT NULL COMMENT '老专题路径',
  `old_id` int(11) DEFAULT NULL COMMENT '老专题id',
  `topic_type` varchar(1) DEFAULT NULL COMMENT '专题分类',
  `exam_id` varchar(32) DEFAULT NULL COMMENT '考试id',
  `count` int(11) DEFAULT NULL COMMENT '学习量',
  `is_private` varchar(1) DEFAULT NULL COMMENT '是否私有：0.公开，1.私有',
  `author_id` varchar(50) DEFAULT NULL COMMENT '作者id',
  `author_name` varchar(50) DEFAULT NULL COMMENT '作者姓名',
  `is_del` tinyint(4) DEFAULT '0' COMMENT '是否删除 1是 0否',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_by` bigint(20) DEFAULT NULL COMMENT '创建人id',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` bigint(20) DEFAULT NULL COMMENT '更新人id',
  `create_name` varchar(50) DEFAULT NULL COMMENT '创建人名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of t_study_topic_copy1
-- ----------------------------

-- ----------------------------
-- Table structure for t_study_topic_personal_model
-- ----------------------------
DROP TABLE IF EXISTS `t_study_topic_personal_model`;
CREATE TABLE `t_study_topic_personal_model` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(32) DEFAULT NULL COMMENT '学习专题名称',
  `moudel` varchar(1) DEFAULT NULL COMMENT '模板',
  `title` varchar(32) DEFAULT NULL COMMENT '标题',
  `second_title` varchar(50) DEFAULT NULL COMMENT '副标题',
  `main_photo` varchar(100) DEFAULT NULL COMMENT '封面',
  `banner_photo` varchar(100) DEFAULT NULL COMMENT 'banner图',
  `introduce_name` varchar(50) CHARACTER SET utf32 DEFAULT NULL COMMENT '简介名称',
  `introduce` varchar(255) DEFAULT NULL COMMENT '介绍',
  `introduce_main_title` varchar(50) DEFAULT NULL COMMENT '简介主标题',
  `introduce_second_title` varchar(50) DEFAULT NULL COMMENT '简介副标题',
  `introduce_main_photo` varchar(100) DEFAULT NULL COMMENT '简介主图',
  `introduce_outside_photo` varchar(100) DEFAULT NULL COMMENT '简介边框图',
  `study_file` varchar(100) DEFAULT NULL COMMENT '学习资料',
  `welcome_sentence` varchar(255) DEFAULT NULL COMMENT '欢迎语',
  `foot` varchar(255) DEFAULT NULL COMMENT '版权信息',
  `status` varchar(1) DEFAULT NULL COMMENT '状态：0.未发布，1.已发布，2.已撤回，3.已删除',
  `user_id` bigint(20) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(9) DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  `update_by` varchar(9) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of t_study_topic_personal_model
-- ----------------------------

-- ----------------------------
-- Table structure for t_study_topic_user
-- ----------------------------
DROP TABLE IF EXISTS `t_study_topic_user`;
CREATE TABLE `t_study_topic_user` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `topic_id` int(11) DEFAULT NULL,
  `user_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of t_study_topic_user
-- ----------------------------

-- ----------------------------
-- Table structure for t_study_topic_visit_log
-- ----------------------------
DROP TABLE IF EXISTS `t_study_topic_visit_log`;
CREATE TABLE `t_study_topic_visit_log` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `created_at` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '点击时间',
  `ip` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT 'ip地址',
  `course_id` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '课程id',
  `course_name` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '课程名称',
  `topic_id` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '专题id',
  `topic_name` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '专题名称',
  `click_type` tinyint(4) DEFAULT NULL COMMENT '点击类型 1专题 2课程',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='访问记录表';

-- ----------------------------
-- Records of t_study_topic_visit_log
-- ----------------------------

-- ----------------------------
-- Table structure for t_training_class
-- ----------------------------
DROP TABLE IF EXISTS `t_training_class`;
CREATE TABLE `t_training_class` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(200) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '培训班标题（名称）',
  `short_title` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '培训班简称（20字内，用于首页封面展示）',
  `training_target` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '培训对象',
  `code` varchar(10) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '培训班编码',
  `cover_img_url` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '培训班封面',
  `sort_id` int(11) DEFAULT NULL COMMENT '(废弃)分类id t_trianing_class表的id',
  `begin_date` datetime DEFAULT NULL COMMENT '培训开始时间',
  `end_date` datetime DEFAULT NULL COMMENT '培训结束时间',
  `content` text COLLATE utf8mb4_bin COMMENT '培训班介绍',
  `organizer_id` int(11) DEFAULT NULL COMMENT '主办单位id t_organizer的id',
  `organizer_name` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '主办单位名称',
  `notice_url` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '培训班通知url',
  `sign_end_date` datetime DEFAULT NULL COMMENT '报名截止时间',
  `class_hours` decimal(10,2) DEFAULT NULL COMMENT '培训班总学时',
  `is_exam` int(11) DEFAULT '1' COMMENT '是否需要考试1是0否',
  `exam_pass_condition` tinyint(4) NOT NULL DEFAULT '2' COMMENT '结业条件 1场考试合格-1 每场考试合格-2',
  `is_charge` int(11) DEFAULT '1' COMMENT '是否收费1是0否',
  `is_video_drag` int(11) DEFAULT '1' COMMENT '视频是否可以拖动1是0否',
  `class_type` int(11) DEFAULT '0' COMMENT '培训班状态1发布（公开）0保存（不公开）',
  `offer_type` int(11) DEFAULT '0' COMMENT '开班状态 0：待开始 1：已开始 2：已结束',
  `signed_count` int(11) DEFAULT '0' COMMENT '已报名人数',
  `learned_count` int(11) DEFAULT '0' COMMENT '参加学习人数',
  `created_at` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `created_by` bigint(20) DEFAULT NULL COMMENT '创建人id',
  `status` int(11) DEFAULT '1' COMMENT '1正常 0删除',
  `seq_no` bigint(20) DEFAULT NULL COMMENT '排序字段',
  `responsibility_user_id` bigint(20) DEFAULT NULL COMMENT '负责人ID(班主任)',
  `responsibility_name` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '负责人ID(班主任)名称',
  `assist_user_id` bigint(20) DEFAULT NULL COMMENT '协助人（协同处理人）',
  `assist_name` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '协助人名称',
  `data_source` int(10) unsigned DEFAULT NULL COMMENT '(废弃)数据来源；1=内网、2=外网',
  `plan_type` int(11) DEFAULT NULL COMMENT '计划类型；0=计划内、1=计划外',
  `open_enroll` int(11) DEFAULT NULL COMMENT '公开报名;0=不公开、1=公开报名、2=指定报名',
  `is_number_limit` int(11) DEFAULT '0' COMMENT '是否人数限制 0：不限制 1：限制',
  `state` int(11) DEFAULT '0' COMMENT '培训班进程状态;0=未发布;1=报名中;2=报名结束;3=进行中;4=结业中;5=结束',
  `graduation_user_count` int(11) DEFAULT '0' COMMENT '结业人数',
  `graduation_rate` decimal(20,2) DEFAULT NULL COMMENT '结业率',
  `plan_id` bigint(20) DEFAULT NULL COMMENT '培训计划id',
  `plan_name` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '培训计划名称',
  `min_elective_study_hours` decimal(10,2) DEFAULT NULL COMMENT '选修最小学时',
  `user_type` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '人员性质，对应用户表source_user_type字段; 99-无限制 1-全民职工 3-集体职工 0-集体企业聘用职工 4-供电服务职工 5-主业劳务派遣用工 6-集体企业劳务派遣用工 7-劳务外包 9-主业社会招聘人员 9-专业外包',
  `is_modify_study_ratio` tinyint(4) NOT NULL DEFAULT '0' COMMENT '是否可修改进度 1-是 0-否',
  `modify_study_ratio_end_time` datetime DEFAULT NULL COMMENT '修改进度功能关闭时间',
  `is_modify_score` tinyint(4) NOT NULL DEFAULT '0' COMMENT '是否可修改分数 1-是 0-否',
  `modify_score_end_time` datetime DEFAULT NULL COMMENT '修改分数功能关闭时间',
  `is_need_audit` tinyint(4) DEFAULT '1' COMMENT '报名是否需要审核1-是 0否 默认1',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `responsibilityUserId` (`responsibility_user_id`) USING BTREE,
  KEY `createdBy` (`created_by`) USING BTREE,
  KEY `status` (`status`) USING BTREE,
  KEY `learnedCount` (`learned_count`) USING BTREE,
  KEY `minElectiveStudyHours` (`min_elective_study_hours`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=10003 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='培训班表';

-- ----------------------------
-- Records of t_training_class
-- ----------------------------
INSERT INTO `t_training_class` VALUES ('10001', '消防培训', '消防培训，安全落实各项措施', '后勤人员', 'XFPX', null, '1', '2023-08-01 00:00:00', '2023-08-30 00:00:00', 0xE585A8E99DA2E890BDE5AE9EE59084E9A1B9E5AE89E585A8E68EAAE696BD, null, null, null, null, null, '1', '2', '1', '1', '0', '0', '5', '10', '2023-08-07 16:29:25', null, '1', null, null, null, null, null, null, null, null, '0', '0', '0', '0.00', null, null, '0.00', null, '0', null, '0', null, '1');
INSERT INTO `t_training_class` VALUES ('10002', '植树培训', '提高种树水平，建立美丽地球', '全体职工', 'ZSPX', null, '1', '2023-08-07 16:47:58', '2023-08-15 16:48:04', 0xE7A7AFE69E81E7A78DE6A091EFBC8CE68993E980A0E7BBBFE889B2E59CB0E79083, null, null, null, null, null, '1', '2', '1', '1', '0', '0', '10', '20', '2023-08-07 16:47:53', null, '1', null, null, null, null, null, null, null, null, '0', '0', '0', '0.00', null, null, '0.00', null, '0', null, '0', null, '1');

-- ----------------------------
-- Table structure for t_training_class_appoint_user
-- ----------------------------
DROP TABLE IF EXISTS `t_training_class_appoint_user`;
CREATE TABLE `t_training_class_appoint_user` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `class_id` int(11) DEFAULT NULL COMMENT '培训班id',
  `appoint_user_code` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '培训班指定人员报名code',
  `name` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '学员名称',
  `id_card` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '身份证号码',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `business_dept_id` int(11) DEFAULT NULL COMMENT '用户所属机构id',
  `created_at` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `created_by` bigint(20) DEFAULT NULL COMMENT '创建人id',
  `status` int(11) DEFAULT '1' COMMENT '1正常 0删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='培训班指定人员报名表';

-- ----------------------------
-- Records of t_training_class_appoint_user
-- ----------------------------

-- ----------------------------
-- Table structure for t_training_class_collection
-- ----------------------------
DROP TABLE IF EXISTS `t_training_class_collection`;
CREATE TABLE `t_training_class_collection` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `class_id` int(11) DEFAULT NULL COMMENT '收藏的培训班id',
  `type` tinyint(4) DEFAULT '1' COMMENT '1-培训班收藏',
  `seq_no` int(11) DEFAULT NULL COMMENT '排序',
  `created_at` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updated_at` datetime DEFAULT NULL COMMENT '更新时间',
  `created_by` bigint(20) DEFAULT NULL COMMENT '创建人',
  `updated_by` bigint(20) DEFAULT NULL COMMENT '更新人',
  `status` tinyint(4) unsigned zerofill DEFAULT '0001' COMMENT '1正常 0删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=111 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of t_training_class_collection
-- ----------------------------
INSERT INTO `t_training_class_collection` VALUES ('1', '1', null, '1', null, '2023-08-07 15:33:40', null, null, null, '0001');
INSERT INTO `t_training_class_collection` VALUES ('110', '10001', '10001', '1', null, '2023-08-07 16:34:32', null, null, null, '0001');

-- ----------------------------
-- Table structure for t_training_class_consts
-- ----------------------------
DROP TABLE IF EXISTS `t_training_class_consts`;
CREATE TABLE `t_training_class_consts` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '名称',
  `type` varchar(20) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '类型',
  `value` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '值',
  `remark1` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '备用字段1',
  `remark2` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '备用字段2',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of t_training_class_consts
-- ----------------------------

-- ----------------------------
-- Table structure for t_training_class_course
-- ----------------------------
DROP TABLE IF EXISTS `t_training_class_course`;
CREATE TABLE `t_training_class_course` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `class_id` int(11) DEFAULT NULL COMMENT '培训班id',
  `zxl_course_id` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '调用自学楼的课程的id 方便排查使用',
  `course_name` varchar(200) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '课程名称',
  `course_type` int(11) DEFAULT NULL COMMENT '课程类型；1=视频、2=文档、3=直播',
  `outline_id` int(11) DEFAULT NULL COMMENT '大纲ID',
  `study_hours` decimal(10,2) DEFAULT NULL COMMENT '学时',
  `study_score` decimal(10,2) DEFAULT NULL COMMENT '学分',
  `is_compulsory` int(11) DEFAULT '0' COMMENT '是否必修1是0否',
  `course_url` text COLLATE utf8mb4_bin COMMENT '课程链接',
  `introduction` text COLLATE utf8mb4_bin COMMENT '课程介绍',
  `created_at` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `created_by` bigint(20) DEFAULT NULL COMMENT '创建人id',
  `status` int(11) DEFAULT '1' COMMENT '1正常 0删除',
  `seq_no` bigint(20) DEFAULT NULL COMMENT '排序字段',
  `play_num` int(11) DEFAULT '0' COMMENT '播放量',
  `course_time` decimal(10,2) DEFAULT NULL COMMENT '课程时长（视频时长-单位秒/pdf页数-计算学习进度）',
  `author_name` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '老师/作者',
  `cover_img_url` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '课程封面',
  `live_broadcast_url_type` int(11) DEFAULT NULL COMMENT '直播链接类型；0=跳转链接、1=二维码链接',
  `live_broadcast_url` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '直播链接地址',
  `live_broadcast_date` datetime DEFAULT NULL COMMENT '直播时间',
  `course_evaluate` decimal(10,2) DEFAULT NULL COMMENT '课程评价打分',
  `teacher_evaluate` decimal(10,2) DEFAULT NULL COMMENT '课程老师评价打分',
  `outline_name` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '大纲名称',
  `outline_type` int(11) DEFAULT '0' COMMENT '课件大纲类型；0=课件、1=大纲标题',
  `outline_pid` int(11) DEFAULT '0' COMMENT '大纲父ID;当前值大于0时，此纪录一定属于课程',
  `live_broadcast_remarks` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '直播备注',
  `video_type` int(11) DEFAULT '0' COMMENT '大纲视频类型 0：正常视频  1：二分屏/三分屏視頻',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `courseName` (`course_name`) USING BTREE,
  KEY `classId` (`class_id`) USING BTREE,
  KEY `status` (`status`) USING BTREE,
  KEY `outlineType` (`outline_type`) USING BTREE,
  KEY `isCompulsory` (`is_compulsory`) USING BTREE,
  KEY `studyHours` (`study_hours`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='培训班课程表';

-- ----------------------------
-- Records of t_training_class_course
-- ----------------------------

-- ----------------------------
-- Table structure for t_training_class_course_server
-- ----------------------------
DROP TABLE IF EXISTS `t_training_class_course_server`;
CREATE TABLE `t_training_class_course_server` (
  `course_id` varchar(50) COLLATE utf8mb4_bin NOT NULL COMMENT '课程id，资源服务器上的文件夹名',
  `ip` varchar(20) COLLATE utf8mb4_bin NOT NULL COMMENT '可用ip地址',
  `course_name` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '课程名称',
  `course_id2` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '截取后的便于查询',
  `file_path` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL,
  `course_url` text COLLATE utf8mb4_bin,
  `status` tinyint(4) DEFAULT '1' COMMENT '状态 1-正常 0删除',
  `created_by` bigint(20) DEFAULT NULL COMMENT '创建者id',
  `created_at` datetime DEFAULT NULL COMMENT '创建时间',
  `updated_by` bigint(20) DEFAULT NULL COMMENT '更新人id',
  `updated_at` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '最后更新时间',
  `remark1` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '备用字段1',
  `remark2` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '备用字段2',
  `remark3` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '备用字段3',
  PRIMARY KEY (`course_id`,`ip`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of t_training_class_course_server
-- ----------------------------

-- ----------------------------
-- Table structure for t_training_class_course_tmp
-- ----------------------------
DROP TABLE IF EXISTS `t_training_class_course_tmp`;
CREATE TABLE `t_training_class_course_tmp` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `zxl_course_id` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '调用自学楼的课程的id 方便排查使用',
  `course_name` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '课程名称',
  `course_type` int(11) DEFAULT NULL COMMENT '课程类型；1=视频、2=文档、3=直播',
  `outline_id` int(11) DEFAULT NULL COMMENT '大纲ID',
  `study_hours` decimal(10,2) DEFAULT NULL COMMENT '学时',
  `study_score` decimal(10,2) DEFAULT NULL COMMENT '学分',
  `is_compulsory` int(11) DEFAULT '0' COMMENT '是否必修1是0否',
  `course_url` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '课程链接',
  `introduction` text COLLATE utf8mb4_bin COMMENT '课程介绍',
  `created_at` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `created_by` bigint(20) DEFAULT NULL COMMENT '创建人id',
  `status` int(11) DEFAULT '1' COMMENT '1正常 0删除',
  `seq_no` bigint(20) DEFAULT NULL COMMENT '排序字段',
  `play_num` int(11) DEFAULT '0' COMMENT '播放量',
  `course_time` decimal(10,2) DEFAULT NULL COMMENT '课程时长（视频时长-单位秒/pdf页数-计算学习进度）',
  `author_name` varchar(20) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '老师/作者',
  `cover_img_url` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '课程封面',
  `live_broadcast_url_type` int(11) DEFAULT NULL COMMENT '直播链接类型；0=跳转链接、1=二维码链接',
  `live_broadcast_url` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '直播链接地址',
  `live_broadcast_date` datetime DEFAULT NULL COMMENT '直播时间',
  `course_evaluate` decimal(10,2) DEFAULT NULL COMMENT '课程评价打分',
  `teacher_evaluate` decimal(10,2) DEFAULT NULL COMMENT '课程老师评价打分',
  `outline_name` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '大纲名称',
  `outline_type` int(11) DEFAULT '0' COMMENT '课件大纲类型；0=课件、1=大纲标题',
  `outline_pid` int(11) DEFAULT '0' COMMENT '大纲父ID;当前值大于0时，此纪录一定属于课程',
  `live_broadcast_remarks` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '直播备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='临时课程表-用于以后关联自学楼';

-- ----------------------------
-- Records of t_training_class_course_tmp
-- ----------------------------

-- ----------------------------
-- Table structure for t_training_class_data
-- ----------------------------
DROP TABLE IF EXISTS `t_training_class_data`;
CREATE TABLE `t_training_class_data` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `class_id` int(11) DEFAULT NULL COMMENT '培训班id',
  `data_name` varchar(200) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '资料名称',
  `data_url` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '资料url',
  `created_at` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `created_by` bigint(20) DEFAULT NULL COMMENT '创建人id',
  `status` int(11) DEFAULT '1' COMMENT '1正常 0删除',
  `seq_no` bigint(20) DEFAULT NULL COMMENT '排序字段',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='培训班上传资料表';

-- ----------------------------
-- Records of t_training_class_data
-- ----------------------------

-- ----------------------------
-- Table structure for t_training_class_exam
-- ----------------------------
DROP TABLE IF EXISTS `t_training_class_exam`;
CREATE TABLE `t_training_class_exam` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `class_id` int(11) NOT NULL COMMENT '培训班id',
  `ks_exam_id` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '调用考试系统传递来的id 方便排查使用',
  `exam_name` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '考试名称',
  `exam_begin_date` datetime DEFAULT NULL COMMENT '考试开始时间',
  `exam_end_date` datetime DEFAULT NULL COMMENT '考试结束时间',
  `exam_url` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '考试的地址',
  `exam_minutes` int(11) DEFAULT NULL COMMENT '考试时间(分钟)',
  `exam_score` decimal(10,2) DEFAULT NULL COMMENT '总分',
  `pass_score` decimal(10,2) DEFAULT NULL COMMENT '试题模板',
  `exam_number` int(11) DEFAULT '0' COMMENT '考试次数',
  `exam_status` int(11) DEFAULT '0' COMMENT '考试状态 0：未发布 1：已发布 ',
  `offer_status` int(11) DEFAULT '0' COMMENT '考试进行状态 0：待开始 1：进行中 2：已结束',
  `exam_adopt_ratio` decimal(10,2) DEFAULT NULL COMMENT '通过率%',
  `seq_no` tinyint(4) DEFAULT NULL COMMENT '排序字段',
  `created_at` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `created_by` bigint(20) DEFAULT NULL COMMENT '创建人id',
  `update_at` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `updated_by` bigint(20) DEFAULT NULL COMMENT '更新人id',
  `status` int(11) DEFAULT '1' COMMENT '1正常 0删除',
  `exam_temp_name` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '考试试题-导入Excel名称',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `examStatus` (`exam_status`) USING BTREE,
  KEY `examBeginDate` (`exam_begin_date`) USING BTREE,
  KEY `examEndDate` (`exam_end_date`) USING BTREE,
  KEY `status` (`status`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='培训班考试信息';

-- ----------------------------
-- Records of t_training_class_exam
-- ----------------------------

-- ----------------------------
-- Table structure for t_training_class_exam_option
-- ----------------------------
DROP TABLE IF EXISTS `t_training_class_exam_option`;
CREATE TABLE `t_training_class_exam_option` (
  `option_id` int(11) NOT NULL AUTO_INCREMENT,
  `exam_id` int(11) NOT NULL COMMENT '考试id',
  `question_id` bigint(20) NOT NULL COMMENT '题库id',
  `option_str` varchar(10) COLLATE utf8mb4_bin NOT NULL COMMENT '选项ABCD',
  `description` varchar(50) COLLATE utf8mb4_bin NOT NULL COMMENT '选项描述',
  `question_type` tinyint(4) NOT NULL DEFAULT '1' COMMENT '1-单项选择题',
  `seq_no` tinyint(4) DEFAULT NULL COMMENT '排序字段',
  `created_by` bigint(20) DEFAULT NULL COMMENT '创建人id',
  `created_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `updated_by` bigint(20) DEFAULT NULL COMMENT '更新人',
  `status` tinyint(4) NOT NULL DEFAULT '1' COMMENT '1正常 0删除',
  PRIMARY KEY (`option_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='考试选择题选项';

-- ----------------------------
-- Records of t_training_class_exam_option
-- ----------------------------

-- ----------------------------
-- Table structure for t_training_class_exam_option_template
-- ----------------------------
DROP TABLE IF EXISTS `t_training_class_exam_option_template`;
CREATE TABLE `t_training_class_exam_option_template` (
  `option_id` int(11) NOT NULL AUTO_INCREMENT,
  `question_id` bigint(20) DEFAULT NULL COMMENT '题库id',
  `temp_id` bigint(20) DEFAULT NULL COMMENT '模板id（新增模板id/编辑考试id）',
  `option_str` varchar(10) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '选项ABCD',
  `description` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '选项描述',
  `question_type` tinyint(4) DEFAULT '1' COMMENT '1-单项选择题',
  `seq_no` tinyint(4) DEFAULT NULL COMMENT '排序字段',
  `created_at` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `created_by` bigint(20) DEFAULT NULL COMMENT '创建人id',
  `updated_at` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '更新时间',
  `updated_by` bigint(20) DEFAULT NULL COMMENT '更新人',
  `status` tinyint(4) DEFAULT '1' COMMENT '1正常 0删除',
  PRIMARY KEY (`option_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='考试选择题选项-导入临时表';

-- ----------------------------
-- Records of t_training_class_exam_option_template
-- ----------------------------

-- ----------------------------
-- Table structure for t_training_class_exam_question
-- ----------------------------
DROP TABLE IF EXISTS `t_training_class_exam_question`;
CREATE TABLE `t_training_class_exam_question` (
  `question_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `class_id` int(11) NOT NULL COMMENT '培训班id-t_training_class',
  `exam_id` int(11) NOT NULL COMMENT '考试id-t_training_class_exam',
  `question_title` varchar(200) COLLATE utf8mb4_bin NOT NULL COMMENT '题目名称-t_training_class_exam_question',
  `question_answer` varchar(50) COLLATE utf8mb4_bin NOT NULL COMMENT '答案选项ABCD',
  `answer_type` tinyint(4) NOT NULL DEFAULT '1' COMMENT '答案类型 1-单项选择题',
  `question_score` decimal(10,2) NOT NULL COMMENT '当前题目分数',
  `question_type` tinyint(4) NOT NULL DEFAULT '1' COMMENT '题库类型 1-培训班题库 后期可扩展苏电e学堂其他模块题库',
  `seq_no` tinyint(4) DEFAULT NULL COMMENT '排序字段',
  `created_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `created_by` bigint(20) DEFAULT NULL COMMENT '创建人id',
  `updated_at` timestamp NULL DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `updated_by` bigint(20) DEFAULT NULL COMMENT '更新人',
  `status` tinyint(4) DEFAULT '1' COMMENT '1正常 0删除',
  PRIMARY KEY (`question_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='考试题库（含答案）';

-- ----------------------------
-- Records of t_training_class_exam_question
-- ----------------------------

-- ----------------------------
-- Table structure for t_training_class_exam_question_template
-- ----------------------------
DROP TABLE IF EXISTS `t_training_class_exam_question_template`;
CREATE TABLE `t_training_class_exam_question_template` (
  `question_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `class_id` int(11) DEFAULT NULL COMMENT '培训班id',
  `temp_id` bigint(20) DEFAULT NULL COMMENT '模板id（新增模板id/编辑考试id）',
  `question_title` varchar(200) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '题目名称',
  `question_answer` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '答案选项ABCD',
  `answer_type` tinyint(4) DEFAULT '1' COMMENT '答案类型 1-单项选择题',
  `question_score` decimal(10,2) DEFAULT NULL COMMENT '当前题目分数',
  `question_type` tinyint(4) DEFAULT '1' COMMENT '题库类型 1-培训班题库 后期可扩展苏电e学堂其他模块题库',
  `seq_no` tinyint(4) DEFAULT NULL COMMENT '排序字段',
  `created_at` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `created_by` bigint(20) DEFAULT NULL COMMENT '创建人id',
  `updated_at` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '更新时间',
  `updated_by` bigint(20) DEFAULT NULL COMMENT '更新人',
  `status` tinyint(4) DEFAULT '1' COMMENT '1正常 0删除',
  PRIMARY KEY (`question_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='考试题库-导入临时表';

-- ----------------------------
-- Records of t_training_class_exam_question_template
-- ----------------------------

-- ----------------------------
-- Table structure for t_training_class_excel_temp
-- ----------------------------
DROP TABLE IF EXISTS `t_training_class_excel_temp`;
CREATE TABLE `t_training_class_excel_temp` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) DEFAULT NULL,
  `id_card` varchar(50) DEFAULT NULL,
  `class_title` varchar(50) DEFAULT NULL,
  `course_title` varchar(50) DEFAULT NULL,
  `study_hours` varchar(50) DEFAULT NULL,
  `err_msg` varchar(200) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

-- ----------------------------
-- Records of t_training_class_excel_temp
-- ----------------------------

-- ----------------------------
-- Table structure for t_training_class_notice
-- ----------------------------
DROP TABLE IF EXISTS `t_training_class_notice`;
CREATE TABLE `t_training_class_notice` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `notice_title` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '标题',
  `class_id` int(11) DEFAULT NULL COMMENT '培训班id',
  `notice_content` text COLLATE utf8mb4_bin COMMENT '内容',
  `type` int(11) DEFAULT '0' COMMENT '状态 1已发布0未发布',
  `release_time` varchar(30) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '发布时间',
  `created_at` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `created_by` bigint(20) DEFAULT NULL COMMENT '创建人id',
  `status` int(11) DEFAULT '1' COMMENT '1正常 0删除',
  `seq_no` bigint(20) DEFAULT NULL COMMENT '排序字段',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=10003 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='培训班通知公告表';

-- ----------------------------
-- Records of t_training_class_notice
-- ----------------------------
INSERT INTO `t_training_class_notice` VALUES ('10001', '消防通知即将开始', '10001', 0x31E6B688E998B2E9809AE79FA5E58DB3E5B086E5BC80E5A78BEFBC8CE8AFB7E59084E983A8E997A8E5819AE5A5BDE58786E5A487, '1', '2023-08-07 17:19:23', '2023-08-07 17:18:25', '10001', '1', '1');
INSERT INTO `t_training_class_notice` VALUES ('10002', '植树培训即将开始', '10002', 0xE6A48DE6A091E59FB9E8AEADE58DB3E5B086E5BC80E5A78BEFBC8CE8AFB7E59084E983A8E997A8E5819AE5A5BDE58786E5A487, '1', '2023-08-07 17:19:23', '2023-08-07 17:19:23', '10001', '1', '2');

-- ----------------------------
-- Table structure for t_training_class_rotation
-- ----------------------------
DROP TABLE IF EXISTS `t_training_class_rotation`;
CREATE TABLE `t_training_class_rotation` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cover_img_name` varchar(200) COLLATE utf8mb4_bin NOT NULL COMMENT '图片名称',
  `cover_img_url` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '图片地址',
  `cover_img_type` tinyint(4) DEFAULT NULL COMMENT '图片类型',
  `cover_text` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '背景图片文字',
  `jump_type` tinyint(4) DEFAULT NULL COMMENT '0不跳转 1跳转链接 2跳转培训班',
  `jump_url` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '跳转地址',
  `jump_id` int(11) DEFAULT NULL COMMENT '培训班id',
  `memo` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '备注',
  `created_at` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `created_by` bigint(20) DEFAULT NULL COMMENT '创建人id',
  `status` int(11) DEFAULT '1' COMMENT '1正常 0删除',
  `seq_no` bigint(20) DEFAULT NULL COMMENT '排序字段',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='培训班轮播图';

-- ----------------------------
-- Records of t_training_class_rotation
-- ----------------------------

-- ----------------------------
-- Table structure for t_training_class_seal
-- ----------------------------
DROP TABLE IF EXISTS `t_training_class_seal`;
CREATE TABLE `t_training_class_seal` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `dept_id` int(11) NOT NULL COMMENT '印章所属单位id,t_dept表id',
  `file_name` varchar(255) COLLATE utf8mb4_bin NOT NULL COMMENT '印章文件名',
  `seal_name` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '印章名称',
  `id_tree` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '同步t_dept表的id_tree字段',
  `type` tinyint(4) NOT NULL DEFAULT '1' COMMENT '选择类型1-单选，2-多选',
  `url` varchar(255) COLLATE utf8mb4_bin NOT NULL COMMENT '印章url',
  `status` tinyint(4) NOT NULL DEFAULT '1' COMMENT '1有效 0无效',
  `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `created_by` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='印章表';

-- ----------------------------
-- Records of t_training_class_seal
-- ----------------------------

-- ----------------------------
-- Table structure for t_training_class_sign_dept
-- ----------------------------
DROP TABLE IF EXISTS `t_training_class_sign_dept`;
CREATE TABLE `t_training_class_sign_dept` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `class_id` int(11) DEFAULT NULL COMMENT '培训班id',
  `organizer_id` int(11) DEFAULT NULL COMMENT '机构id 关联t_dept的id',
  `min_num` int(11) DEFAULT '0' COMMENT '最小人数',
  `max_num` int(11) DEFAULT '0' COMMENT '最大人数',
  `created_at` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `created_by` bigint(20) DEFAULT NULL COMMENT '创建人id',
  `status` int(11) DEFAULT '1' COMMENT '1正常 0删除',
  `seq_no` bigint(20) DEFAULT NULL COMMENT '排序字段',
  `state` int(11) DEFAULT '0' COMMENT '机构状态;0=报名中、1=已确认、2=已过期、3、待班主任审核',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `classId` (`class_id`) USING BTREE,
  KEY `status` (`status`) USING BTREE,
  KEY `organizerId` (`organizer_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='培训班报名机构表';

-- ----------------------------
-- Records of t_training_class_sign_dept
-- ----------------------------

-- ----------------------------
-- Table structure for t_training_class_user_type
-- ----------------------------
DROP TABLE IF EXISTS `t_training_class_user_type`;
CREATE TABLE `t_training_class_user_type` (
  `id` int(11) NOT NULL,
  `name` varchar(50) COLLATE utf8mb4_bin NOT NULL COMMENT '名称',
  `status` tinyint(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='培训班人员性质表';

-- ----------------------------
-- Records of t_training_class_user_type
-- ----------------------------

-- ----------------------------
-- Table structure for t_trianing_class_sort
-- ----------------------------
DROP TABLE IF EXISTS `t_trianing_class_sort`;
CREATE TABLE `t_trianing_class_sort` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sort_title` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '分类标题',
  `created_at` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `created_by` bigint(20) DEFAULT NULL COMMENT '创建人id',
  `status` int(11) DEFAULT '1' COMMENT '1正常 0删除',
  `seq_no` bigint(20) DEFAULT '0' COMMENT '排序字段',
  `pid` int(11) DEFAULT NULL COMMENT '父ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=10003 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='培训班--分类表-备用';

-- ----------------------------
-- Records of t_trianing_class_sort
-- ----------------------------
INSERT INTO `t_trianing_class_sort` VALUES ('10001', '技能培训', '2023-08-07 16:33:18', null, '1', '1', null);
INSERT INTO `t_trianing_class_sort` VALUES ('10002', '园艺培训', '2023-08-07 16:51:15', null, '1', '2', null);

-- ----------------------------
-- Table structure for t_trianing_class_sort_del
-- ----------------------------
DROP TABLE IF EXISTS `t_trianing_class_sort_del`;
CREATE TABLE `t_trianing_class_sort_del` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sort_title` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '分类标题',
  `created_at` datetime DEFAULT NULL COMMENT '创建时间',
  `created_by` int(11) DEFAULT NULL COMMENT '创建人id',
  `status` int(11) DEFAULT '1' COMMENT '1正常 0删除',
  `seq_no` bigint(20) DEFAULT NULL COMMENT '排序字段',
  `pid` int(11) DEFAULT NULL COMMENT '父ID',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='培训班--分类表';

-- ----------------------------
-- Records of t_trianing_class_sort_del
-- ----------------------------

-- ----------------------------
-- Table structure for t_uc_user
-- ----------------------------
DROP TABLE IF EXISTS `t_uc_user`;
CREATE TABLE `t_uc_user` (
  `user_id` varchar(32) COLLATE utf8mb4_bin NOT NULL COMMENT '主键',
  `corp_code` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '公司代码',
  `user_name` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '姓名',
  `employee_code` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '工号，员工号',
  `organize_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '直属部门id',
  `organize_name` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '部门名称',
  `show_order` double DEFAULT NULL COMMENT '显示顺序',
  `position_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '岗位id',
  `position_name` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '岗位名称',
  `duty_level` varchar(10) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '职级',
  `create_time` datetime DEFAULT NULL,
  `create_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL,
  `last_modify_time` datetime DEFAULT NULL,
  `last_modify_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL,
  `opt_time` bigint(20) DEFAULT NULL,
  `duty_name` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '职务名称',
  `superior_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '隶属上级ID',
  `duty_level_old` varchar(10) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '上一次登陆的职级',
  `login_name` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '用户名',
  `account_status` varchar(10) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '用户状态 ENABLE 激活、FORBIDDEN 冻结',
  `id_card` varchar(20) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '身份证号码',
  `mobile` varchar(20) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '手机号码',
  `email` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '邮箱',
  `nick_name` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '用户昵称',
  `expire_time` datetime DEFAULT NULL COMMENT '帐号过期时间,\r\n为空时表示该公司无学员过期设置\r\n或者该学员不会自动过期,公司admin账户该字段为空',
  PRIMARY KEY (`user_id`) USING BTREE,
  KEY `i_uc_user` (`corp_code`) USING BTREE,
  KEY `i_uc_user_code` (`corp_code`,`employee_code`) USING BTREE,
  KEY `i_uc_user_create_time` (`corp_code`,`create_time`) USING BTREE,
  KEY `i_uc_user_last_modify_time` (`corp_code`,`last_modify_time`) USING BTREE,
  KEY `i_uc_user_name` (`corp_code`,`user_name`) USING BTREE,
  KEY `i_uc_user_organize_id` (`organize_id`) USING BTREE,
  KEY `i_uc_user_position_id` (`position_id`) USING BTREE,
  KEY `i_uc_user_superior_id` (`superior_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='用户表';

-- ----------------------------
-- Records of t_uc_user
-- ----------------------------

-- ----------------------------
-- Table structure for t_user_class_status_log
-- ----------------------------
DROP TABLE IF EXISTS `t_user_class_status_log`;
CREATE TABLE `t_user_class_status_log` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `class_id` int(11) DEFAULT NULL COMMENT '培训班id',
  `user_sign_id` int(11) DEFAULT NULL COMMENT '用户报名id',
  `is_export` tinyint(4) DEFAULT NULL COMMENT '报名渠道 1-培训专职导入 2-自主报名 3-班主任导入',
  `student_status` tinyint(4) DEFAULT NULL COMMENT '学员状态 0:已导入  1:待审核报名  2:报名成功 3:报名失败 4:学习中 5:办结中 6:结业审核成功 7:结业审核失败',
  `created_at` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `created_by` bigint(20) DEFAULT NULL COMMENT '创建人id',
  `status` int(11) DEFAULT '1' COMMENT '1正常 0删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='学员状态记录表';

-- ----------------------------
-- Records of t_user_class_status_log
-- ----------------------------

-- ----------------------------
-- Table structure for t_user_count
-- ----------------------------
DROP TABLE IF EXISTS `t_user_count`;
CREATE TABLE `t_user_count` (
  `id` varchar(255) NOT NULL,
  `user_id` varchar(255) DEFAULT NULL COMMENT '用户id',
  `today_learning_time` int(11) DEFAULT NULL COMMENT '分钟',
  `created_time` datetime DEFAULT CURRENT_TIMESTAMP,
  `created_by` int(11) DEFAULT NULL COMMENT '创建人',
  `updated_time` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  `updated_by` int(11) DEFAULT NULL COMMENT '更新人',
  `ip_location` int(11) DEFAULT NULL COMMENT '所在地市',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='自学楼-观看人时间统计';

-- ----------------------------
-- Records of t_user_count
-- ----------------------------

-- ----------------------------
-- Table structure for t_user_exam
-- ----------------------------
DROP TABLE IF EXISTS `t_user_exam`;
CREATE TABLE `t_user_exam` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `exam_id` int(11) DEFAULT NULL COMMENT '考试id',
  `class_id` int(11) DEFAULT NULL COMMENT '培训班id',
  `id_card` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '身份证号码',
  `ks_exam_id` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '调用考试系统传递来的id',
  `grade` decimal(10,2) DEFAULT NULL COMMENT '考试成绩',
  `is_exam` tinyint(4) DEFAULT '0' COMMENT '是否参加考试 0：未参加 1：参加',
  `user_start_exam_time` datetime DEFAULT NULL COMMENT '开始考试时间',
  `user_end_exam_time` datetime DEFAULT NULL COMMENT '交卷时间',
  `is_finish` tinyint(4) DEFAULT '0' COMMENT '用户是否已经完成（交卷）考试，交卷后更新为1',
  `type` tinyint(4) DEFAULT '0' COMMENT '答题记录  0：未做（初始化状态） 1：正常保存  2：超时系统提交  3：系统赋分',
  `is_pass` int(11) DEFAULT '0' COMMENT '是否通过 1：通过 0：未通过',
  `created_at` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updated_at` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `created_by` bigint(20) DEFAULT NULL COMMENT '创建人id',
  `updated_by` bigint(20) DEFAULT NULL COMMENT '更新人id',
  `status` int(11) DEFAULT '1' COMMENT '1正常 0删除',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `examId` (`exam_id`) USING BTREE,
  KEY `isExam` (`is_exam`) USING BTREE,
  KEY `status` (`status`) USING BTREE,
  KEY `userId` (`user_id`) USING BTREE,
  KEY `classId` (`class_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='用户考试成绩';

-- ----------------------------
-- Records of t_user_exam
-- ----------------------------

-- ----------------------------
-- Table structure for t_user_exam_record
-- ----------------------------
DROP TABLE IF EXISTS `t_user_exam_record`;
CREATE TABLE `t_user_exam_record` (
  `user_exam_record_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id，关联t_uer表id',
  `class_id` int(11) DEFAULT NULL COMMENT '培训班id，关联t_training_class表id',
  `exam_id` int(11) DEFAULT NULL COMMENT '考试id,关联t_training_class_exam表id',
  `question_id` bigint(20) DEFAULT NULL COMMENT '题目id，关联t_training_class_exam_question表id',
  `user_exam_record_answer` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '用户答题答案，答案选项ABCD',
  `is_correct` tinyint(4) DEFAULT NULL COMMENT '是否正确 1是 0否',
  `user_exam_record_score` decimal(10,2) DEFAULT NULL COMMENT '得分',
  `user_exam_record_type` tinyint(4) DEFAULT '0' COMMENT '答题记录类型  0：未做（初始化状态） 1：正常保存  2：超时系统提交  3：系统赋分',
  `seq_no` tinyint(4) DEFAULT NULL COMMENT '排序字段',
  `created_at` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_at` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `created_by` bigint(20) DEFAULT NULL COMMENT '创建人id',
  `updated_by` bigint(20) DEFAULT NULL COMMENT '更新人id',
  `status` tinyint(4) DEFAULT '1' COMMENT '1正常 0删除',
  PRIMARY KEY (`user_exam_record_id`) USING BTREE,
  KEY `examId` (`exam_id`) USING BTREE,
  KEY `userId` (`user_id`) USING BTREE,
  KEY `userExamRecordId` (`user_exam_record_id`) USING BTREE,
  KEY `status` (`status`) USING BTREE,
  KEY `questionId` (`question_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='用户答题记录';

-- ----------------------------
-- Records of t_user_exam_record
-- ----------------------------

-- ----------------------------
-- Table structure for t_user_sign_template
-- ----------------------------
DROP TABLE IF EXISTS `t_user_sign_template`;
CREATE TABLE `t_user_sign_template` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `appoint_user_code` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '培训班指定人员报名code',
  `code` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '导入模板code',
  `name` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '学员名称',
  `id_card` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '身份证号码',
  `excel_row` int(11) DEFAULT NULL COMMENT 'excel行数',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `class_id` int(11) DEFAULT NULL COMMENT '班级id',
  `business_dept_id` int(11) DEFAULT NULL COMMENT '用户所属机构',
  `is_error` tinyint(4) DEFAULT '0' COMMENT '是否错误 0：否 1：是',
  `error_content` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '错误信息',
  `created_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `updateUserTemp` (`name`,`id_card`,`appoint_user_code`) USING BTREE,
  KEY `tempCode` (`code`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='用户报名导入模板表';

-- ----------------------------
-- Records of t_user_sign_template
-- ----------------------------

-- ----------------------------
-- Table structure for t_user_sign_training_class
-- ----------------------------
DROP TABLE IF EXISTS `t_user_sign_training_class`;
CREATE TABLE `t_user_sign_training_class` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `business_dept_id` int(11) DEFAULT NULL COMMENT '用户所属机构',
  `class_id` int(11) DEFAULT NULL COMMENT '培训班id',
  `is_export` tinyint(4) DEFAULT NULL COMMENT '报名渠道 1-培训专职导入 2-自主报名 3-班主任导入',
  `student_status` tinyint(4) DEFAULT NULL COMMENT '学员状态 0:已导入  1:待审核报名  2:报名成功 3:报名失败 4:学习中 5:办结中 6:结业 9-不参与统计',
  `sign_status` tinyint(4) DEFAULT '0' COMMENT '报名状态 0:待审核  1:审核通过  2:驳回',
  `reject_by` bigint(20) DEFAULT NULL COMMENT '驳回人id',
  `reject_at` datetime DEFAULT NULL COMMENT '驳回时间',
  `sign_time` datetime DEFAULT NULL COMMENT '报名成功时间（审核成功时间）',
  `created_at` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `created_by` bigint(20) DEFAULT NULL COMMENT '创建人id',
  `status` int(11) DEFAULT '1' COMMENT '1正常 0删除',
  `seq_no` bigint(20) DEFAULT NULL COMMENT '排序字段',
  `training_user_show` int(11) DEFAULT '0' COMMENT '培训专职是否可见；0=不可见、1=可见',
  `study_hours` decimal(10,2) DEFAULT NULL COMMENT '已获得学时（培训班）',
  `elective_study_hours` decimal(10,2) DEFAULT NULL COMMENT '已获得选修总学时',
  `study_score` decimal(10,2) DEFAULT NULL COMMENT '已获得学分（培训班）',
  `study_ratio` decimal(10,2) DEFAULT NULL COMMENT '学习进度%(已获得学时/总学时）',
  `is_push` int(11) DEFAULT '0' COMMENT '是否推送；0=未推送、1=已推送；学员状态为已导入时，此参数为培训专职推送给班主任审核。学员状态为办结中时此状态复用，描述培训专职确认办结名单。',
  `is_confirm` int(11) NOT NULL DEFAULT '0' COMMENT '结业确认；0=未确认;1=已确认',
  `template_code` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '导入模板code',
  `bill_id` int(11) DEFAULT NULL COMMENT '票据id,默认所属单位第一张',
  `graduation_result` tinyint(4) NOT NULL DEFAULT '0' COMMENT '结业结果 0-未结业 1-结业',
  `opt_log` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '操作记录',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `businessDeptId` (`business_dept_id`) USING BTREE,
  KEY `classId` (`class_id`) USING BTREE,
  KEY `studentStatus` (`student_status`) USING BTREE,
  KEY `signStatus` (`sign_status`) USING BTREE,
  KEY `status` (`status`) USING BTREE,
  KEY `userId` (`user_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='报名表';

-- ----------------------------
-- Records of t_user_sign_training_class
-- ----------------------------
INSERT INTO `t_user_sign_training_class` VALUES ('1', '10001', null, '10001', null, null, '0', null, null, null, '2023-08-07 16:39:35', null, '1', null, '0', '0.00', '0.00', '0.00', '0.00', '0', '0', null, null, '0', null);
INSERT INTO `t_user_sign_training_class` VALUES ('2', '10001', null, '10002', null, null, '0', null, null, null, '2023-08-07 16:57:01', null, '1', null, '0', '0.00', '0.00', '0.00', '0.00', '0', '0', null, null, '0', null);

-- ----------------------------
-- Table structure for t_user_study_collection
-- ----------------------------
DROP TABLE IF EXISTS `t_user_study_collection`;
CREATE TABLE `t_user_study_collection` (
  `id` int(11) NOT NULL,
  `user_id` int(11) DEFAULT NULL COMMENT '用户id',
  `course_id` int(11) DEFAULT NULL COMMENT '课程id',
  `created_at` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `created_by` bigint(20) DEFAULT NULL COMMENT '创建人id',
  `status` int(11) DEFAULT '1' COMMENT '1正常 0删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='用户课程收藏表';

-- ----------------------------
-- Records of t_user_study_collection
-- ----------------------------

-- ----------------------------
-- Table structure for t_user_study_course
-- ----------------------------
DROP TABLE IF EXISTS `t_user_study_course`;
CREATE TABLE `t_user_study_course` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `class_id` int(11) DEFAULT NULL COMMENT '班级id',
  `course_id` int(11) DEFAULT NULL COMMENT '课程id',
  `study_times` int(11) DEFAULT NULL COMMENT '视频学习时长(观看最长时长)-秒（视频-时间/pdf-页码）',
  `last_play_progress` int(11) DEFAULT NULL COMMENT '上次播放节点时间（视频-时间,pdf-页码）',
  `study_ratio` decimal(10,2) DEFAULT NULL COMMENT '课程学习进度%(视频学习时长/课程时长；已获得学时/总学时）',
  `created_at` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `created_by` bigint(20) DEFAULT NULL COMMENT '创建人id',
  `updated_at` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `status` int(11) DEFAULT '1' COMMENT '1正常 0删除',
  `seq_no` bigint(20) DEFAULT NULL COMMENT '排序字段',
  `course_evaluate` decimal(10,2) DEFAULT '5.00' COMMENT '课程评价打分',
  `teacher_evaluate` decimal(10,2) DEFAULT '5.00' COMMENT '课程老师评价打分',
  `study_hours` decimal(10,2) DEFAULT NULL COMMENT '已获得学时（课程）',
  `study_score` decimal(10,2) DEFAULT NULL COMMENT '已获得学分（课程）',
  `is_evaluate` int(11) DEFAULT '0' COMMENT '是否评价  0：未评价 1：已评价',
  `is_compulsory` int(11) DEFAULT '0' COMMENT '是否必修1是0否',
  `opt_log` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '操作记录',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `study_ratio` (`study_ratio`) USING BTREE,
  KEY `study_hours` (`study_hours`) USING BTREE,
  KEY `ind_status` (`status`) USING BTREE,
  KEY `updated_at` (`updated_at`) USING BTREE,
  KEY `course_id` (`course_id`) USING BTREE,
  KEY `class_id` (`class_id`) USING BTREE,
  KEY `user_id` (`user_id`) USING BTREE,
  KEY `isCompulsory` (`is_compulsory`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='用户学习表';

-- ----------------------------
-- Records of t_user_study_course
-- ----------------------------

-- ----------------------------
-- Table structure for t_user_study_course_template
-- ----------------------------
DROP TABLE IF EXISTS `t_user_study_course_template`;
CREATE TABLE `t_user_study_course_template` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `code` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '导入标识code',
  `name` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '学员名称',
  `id_card` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '身份证号码',
  `class_title` varchar(200) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '培训班标题',
  `course_title` varchar(200) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '课程标题',
  `study_hours` decimal(10,2) DEFAULT NULL COMMENT '已获得学时（课程）',
  `excel_row` int(11) DEFAULT NULL COMMENT 'excel行数',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `class_id` int(11) DEFAULT NULL COMMENT '班级id',
  `course_id` int(11) DEFAULT NULL COMMENT '课程id',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `idx_code` (`code`) USING BTREE,
  KEY `idx_userId` (`user_id`) USING BTREE,
  KEY `idx_classId` (`class_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='用户学习进度导入模板表';

-- ----------------------------
-- Records of t_user_study_course_template
-- ----------------------------

-- ----------------------------
-- Table structure for t_user_teacher_dept
-- ----------------------------
DROP TABLE IF EXISTS `t_user_teacher_dept`;
CREATE TABLE `t_user_teacher_dept` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `dept_id` int(11) DEFAULT NULL COMMENT '组织机构id',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `created_at` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `created_by` int(11) DEFAULT NULL COMMENT '创建人id',
  `status` int(11) DEFAULT '1' COMMENT '1正常 0删除',
  `seq_no` bigint(20) DEFAULT NULL COMMENT '排序字段',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `deptId` (`dept_id`) USING BTREE,
  KEY `status` (`status`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='组织机构培训专职人员表';

-- ----------------------------
-- Records of t_user_teacher_dept
-- ----------------------------

-- ----------------------------
-- Table structure for t_wk_document
-- ----------------------------
DROP TABLE IF EXISTS `t_wk_document`;
CREATE TABLE `t_wk_document` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `title` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '文档名称',
  `cover_img` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '文档封面',
  `sort_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '末级分类id',
  `label_ids` varchar(200) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '标签id（多选;分割）',
  `introduce` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '介绍',
  `file_url` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '文件地址',
  `quality_type` int(11) DEFAULT NULL COMMENT '品质类型（废弃）',
  `type` int(11) DEFAULT NULL COMMENT '文档类型 0：文档类',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户ID',
  `user_name` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '用户名称',
  `evaluate` decimal(10,2) DEFAULT NULL COMMENT '评分',
  `collect_num` int(11) DEFAULT '0' COMMENT '收藏量',
  `download_num` int(11) DEFAULT '0' COMMENT '下载次数',
  `read_num` int(11) DEFAULT NULL COMMENT '阅读次数',
  `created_by` bigint(20) DEFAULT NULL COMMENT '创建人id',
  `created_at` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updated_at` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `status` int(11) DEFAULT '0' COMMENT '删除标识  0正常 1删除',
  `cover_img_type` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '文档封面类型 0：其他 1：默认图1 2：默认图2  3：默认图3 ',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='文库表';

-- ----------------------------
-- Records of t_wk_document
-- ----------------------------

-- ----------------------------
-- Table structure for t_wk_document_label
-- ----------------------------
DROP TABLE IF EXISTS `t_wk_document_label`;
CREATE TABLE `t_wk_document_label` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `label_title` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '标签标题',
  `seq_no` bigint(20) DEFAULT '0' COMMENT '排序字段',
  `created_at` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `created_by` bigint(20) DEFAULT NULL COMMENT '创建人id',
  `status` int(11) DEFAULT '0' COMMENT '删除标识 0正常 1删除',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='文库标签表';

-- ----------------------------
-- Records of t_wk_document_label
-- ----------------------------

-- ----------------------------
-- Table structure for t_wk_document_sort
-- ----------------------------
DROP TABLE IF EXISTS `t_wk_document_sort`;
CREATE TABLE `t_wk_document_sort` (
  `id` varchar(32) COLLATE utf8mb4_bin NOT NULL,
  `sort_title` varchar(50) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '分类标题',
  `pid` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '父ID',
  `type` int(11) DEFAULT NULL COMMENT '等级 1：一级 2：二级 3：三级',
  `seq_no` bigint(20) DEFAULT '0' COMMENT '排序字段',
  `group_ids` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '树级分类id（;分割）',
  `group_tities` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '树级分类名称（;分割）',
  `status` int(11) DEFAULT '0' COMMENT '0正常 1删除',
  `created_at` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `created_by` bigint(20) DEFAULT NULL COMMENT '创建人id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='文库分类表';

-- ----------------------------
-- Records of t_wk_document_sort
-- ----------------------------

-- ----------------------------
-- Table structure for t_wk_user_comment
-- ----------------------------
DROP TABLE IF EXISTS `t_wk_user_comment`;
CREATE TABLE `t_wk_user_comment` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `document_id` bigint(20) DEFAULT NULL COMMENT '文档id',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户ID',
  `user_name` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '用户名称',
  `dept_name` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '部门名称',
  `comment_time` datetime DEFAULT NULL COMMENT '评论时间',
  `content` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '评论内容',
  `created_by` bigint(20) DEFAULT NULL COMMENT '创建人id',
  `created_at` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updated_at` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `status` int(11) DEFAULT '0' COMMENT '删除标识 1删除 0正常',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='文库评价表';

-- ----------------------------
-- Records of t_wk_user_comment
-- ----------------------------

-- ----------------------------
-- Table structure for t_wk_user_document
-- ----------------------------
DROP TABLE IF EXISTS `t_wk_user_document`;
CREATE TABLE `t_wk_user_document` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `document_id` bigint(20) DEFAULT NULL COMMENT '文档id',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户ID',
  `user_name` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '用户名称',
  `dept_name` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '部门名称',
  `collect_time` datetime DEFAULT NULL COMMENT '收藏时间',
  `is_collect` int(11) DEFAULT NULL COMMENT '是否收藏 0：否 1：是',
  `evaluate` int(11) DEFAULT NULL COMMENT '评分',
  `read_time` datetime DEFAULT NULL COMMENT '浏览时间',
  `created_by` bigint(20) DEFAULT NULL COMMENT '创建人id',
  `created_at` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updated_at` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `status` int(11) DEFAULT '0' COMMENT '删除标识 1删除 0正常',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='用户文库关联表';

-- ----------------------------
-- Records of t_wk_user_document
-- ----------------------------

-- ----------------------------
-- Table structure for t_zjgf_exchange_questions
-- ----------------------------
DROP TABLE IF EXISTS `t_zjgf_exchange_questions`;
CREATE TABLE `t_zjgf_exchange_questions` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `title` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '标题',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户ID',
  `user_name` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '用户名称',
  `dept_id` int(11) DEFAULT NULL COMMENT '部门id',
  `dept_name` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '部门名称',
  `questions_time` datetime DEFAULT NULL COMMENT '提问时间',
  `questions_describe` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '问题描述',
  `is_resolved` int(11) DEFAULT '0' COMMENT '是否已解决 0：未解决 1：已解决',
  `state` int(11) DEFAULT NULL COMMENT '发布状态 0：草稿 1：发布 2：已撤回',
  `questions_count` int(11) DEFAULT '0' COMMENT '总提问数量',
  `expert_count` int(11) DEFAULT '0' COMMENT '专家回复数量',
  `created_by` bigint(20) DEFAULT NULL COMMENT '创建人id',
  `created_at` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updated_at` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `status` int(11) DEFAULT '1' COMMENT '1正常 0删除',
  `expert_id` bigint(20) DEFAULT NULL COMMENT '专家id',
  `expert_name` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '专家名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='主提问表';

-- ----------------------------
-- Records of t_zjgf_exchange_questions
-- ----------------------------

-- ----------------------------
-- Table structure for t_zjgf_exchange_questions_details
-- ----------------------------
DROP TABLE IF EXISTS `t_zjgf_exchange_questions_details`;
CREATE TABLE `t_zjgf_exchange_questions_details` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `main_questions_id` bigint(20) DEFAULT NULL COMMENT '主提问id',
  `title` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '标题/追问/回复信息',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户ID',
  `user_name` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '用户名称',
  `dept_id` int(11) DEFAULT NULL COMMENT '部门id',
  `dept_name` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '部门名称',
  `questions_time` datetime DEFAULT NULL COMMENT '提问时间/回复时间',
  `questions_describe` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '问题描述',
  `questions_type` int(11) DEFAULT NULL COMMENT '提问类型 0：主提问 1：追问 2：专家回复',
  `state` int(11) DEFAULT NULL COMMENT '发布状态 0：草稿 1：发布 2：已撤回',
  `is_reply` int(11) DEFAULT NULL COMMENT '是否已回复 0：未回复 1：已回复',
  `is_resolved` int(11) DEFAULT NULL COMMENT '是否已解决 0：未解决 1：已解决',
  `reply_id` int(11) DEFAULT NULL COMMENT '专家回复id（提问类型：主提问/追问）',
  `is_accepted` int(11) DEFAULT NULL COMMENT '专家回复是否被采纳 0：未采纳 1：已采纳 (提问类型：主提问/追问）',
  `questions_count` int(11) DEFAULT NULL COMMENT '总提问数量',
  `expert_count` int(11) DEFAULT '0' COMMENT '专家回复数量',
  `not_see_count` int(11) DEFAULT '0' COMMENT '未看的提问数量（主提问：未看的追问数+未看的专家数；追问：未看的专家回复数）',
  `created_by` bigint(20) DEFAULT NULL COMMENT '创建人id',
  `created_at` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updated_at` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `status` int(11) DEFAULT '1' COMMENT '1正常 0删除',
  `expert_id` bigint(20) DEFAULT NULL COMMENT '专家id',
  `expert_name` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '专家名称',
  `head_images` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '头像地址',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='提问详情表';

-- ----------------------------
-- Records of t_zjgf_exchange_questions_details
-- ----------------------------

-- ----------------------------
-- Table structure for t_zjgf_expert_information
-- ----------------------------
DROP TABLE IF EXISTS `t_zjgf_expert_information`;
CREATE TABLE `t_zjgf_expert_information` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `rz_id` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '人资id',
  `user_id` bigint(20) DEFAULT NULL COMMENT '专家用户ID',
  `person_name` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '专家名称',
  `professional_field` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '专业领域',
  `org_name` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '公司名称',
  `expert_introduction` text COLLATE utf8mb4_bin COMMENT '专家介绍',
  `achievement_feat` text COLLATE utf8mb4_bin COMMENT '成就专长',
  `personal_honor` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '个人荣誉-多个会用分号分割',
  `academic_part` varchar(500) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '学术兼职--多个会用分号分割',
  `paper_works` text COLLATE utf8mb4_bin COMMENT '论文著作',
  `system_standard` text COLLATE utf8mb4_bin COMMENT '制度标准',
  `innovations` text COLLATE utf8mb4_bin COMMENT '创新成果',
  `major_projects` text COLLATE utf8mb4_bin COMMENT '重大项目',
  `authorized_patents` text COLLATE utf8mb4_bin COMMENT '授权专利',
  `parent_experts_call` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '父级专家称号',
  `parent_professional_field` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '父级专业领域',
  `status` int(11) DEFAULT '1' COMMENT '1正常 0删除',
  `created_at` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `updated_at` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `type_sort` int(11) DEFAULT NULL COMMENT '类型排序',
  `sort` int(11) DEFAULT NULL COMMENT '排序',
  `experts_call` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '专家称号',
  `achievement_feat_img` text COLLATE utf8mb4_bin COMMENT '成就专长图片',
  `professional_field_type` varchar(100) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '专业类型',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC COMMENT='专家信息表';

-- ----------------------------
-- Records of t_zjgf_expert_information
-- ----------------------------

-- ----------------------------
-- Event structure for 测试事件执行update
-- ----------------------------
DROP EVENT IF EXISTS `测试事件执行update`;
DELIMITER ;;
CREATE DEFINER=`root`@`%` EVENT `测试事件执行update` ON SCHEDULE AT '2023-03-10 10:00:01' ON COMPLETION PRESERVE DISABLE DO begin
update course_info set course_standard='ghjgj' where id=1;
end
;;
DELIMITER ;
